var App = function() {
	
	var leftNav,main;
	var arrowEl = $('#arrow');
	var record = Fw.getParameters()||{};
    //
    return {
        /**
         * 依赖组件
         */
        requires : ['Fw.app.LeftNav','Fw.app.Main','Fw.app.Session'],
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	var user = Fw.app.Session.get() || {};
        	main = new Fw.app.Main();
			leftNav = new Fw.app.LeftNav();
			leftNav.showUserInfo(user, main, record);
			arrowEl.show();
			if(!Fw.isEmpty(record.bankflag)){
				Fw.util.Ajax.query({
					service : 'notePcQueryService.queryNoteQuery',
					params : {
						InfoType : 'N',
					},
					staticData : false,
					// 请求成功后回调
					success : function(data, result) {
						if(data.List != ""){
							var content = {
									data : data.List[0].Content,
							};
							Fw.util.Storage.set('_parameters', Fw.encode(content));
							Fw.Window.show({
								title : data.List[0].InfoName,
								url : 'notice.html',
								autoCloseHandler: function(win, content, app){
			                    },
			                    buttons : [
								           {
								        	text : '确定',
											cls : 'ui-btn-default',
											dismiss: false,
											handler : function(btn, win, content, app) {
												win.hide();
											}
										} ]
							});
						}
					},
					failure : function(status, textStatus, error) {
						
					}
				});
			}
            //初始化事件
            this.initEvents();
            this.requestKey();
            this.queryMoreMenu();
        },
        /**
         * 初始化事件
         */
        initEvents : function() {
        	//点击菜单时触发
            leftNav.on('select', Fw.bind(this.onMenuSelect, this));
            //点击立即登录时触发
            leftNav.on('login', Fw.bind(this.goLogin, this));
            //加载url是触发
            main.on('load', Fw.bind(this.onLoad, this));
            //菜单收缩
            arrowEl.on('click', Fw.bind(this.onArrow, this));
        },
        /**
         * 点击立即登录时触发
         */
        goLogin: function(nav, e){
            Fw.redirect(Fw.getBasePath() + '/page/pc/login/main.html');
        },
        //菜单收缩
        onArrow: function(e){
        	e.preventDefault();
        	e.stopPropagation();
        	var item = $(e.target);
    		item.hide();
        	//展开
        	if(item.hasClass('_collapse')) {
        		leftNav.navEl.show();
				$('#left').animate({width: '200px', opacity:'1'}, 300, function(){
        			item.removeClass('_collapse').attr('title', '收缩').show();
				});
        	} 
        	//收缩
        	else {
        		$('#left').animate({width: '0px', opacity:'0'}, 300, function(){
        			leftNav.navEl.hide();
        			item.addClass('_collapse').attr('title', '展开').show();
				});
        	}
        },
        /**
         * 点击菜单时触发
         */
        onMenuSelect: function(menu, url, record, e) {
        	main.load(url);
        },
        /**
         * 加载url是触发
         */
        onLoad: function(content, app, url, main){
        	var base = Fw.getBasePath()+'';
        	url = url.substr(base.length+1);
        	var index = 0;
        	//我的资产
        	if(url == 'page/pc/myAsset/main.html') {
        		index = 0;
        	} 
        	//我的负债
        	else if(url == 'page/pc/myDebt/main.html') {
        		index = 1;
        	} 
        	//转账汇款
        	else if(url == 'page/pc/transfer_accounts/index.html') {
        		index = 2;
        	} 
        	//生活服务
        	else if((url == 'page/pageMenu/lifeService.html') || (url.indexOf('page/lifeService') >= 0)) {
        		index = 3;
        	} 
        	//更多功能
        	else {
        		index = 4;
        	}
        	//设置一级菜单选中状态
        	leftNav.setSelect(index);
        },
        requestKey: function(){
        		Fw.util.Ajax.get({
		            service: 'passService/getTest',
		            success: function(data, result) {
		            	
		            	Fw.util.Storage.set("TpgeRZRandNum",""+data.key);
		            	Fw.util.Storage.set("TpgeRZDataB",""+data.enStr);
					}
		        });
        },
        /**
         * 查询菜单
         */
        queryMoreMenu: function(){
		    //查询数据
		    Fw.util.Ajax.get({
		    	//数据源（服务接口）
		    	service: 'menuService/getMorePageMenu',
		    	params: {
		    		//菜单所属渠道
		    		channel: 'web',
		    		BankType : Fw.util.Storage.get("app_type")
		    	},
		    	//是否使用数据挡板（默认false）
		    	staticData: false,
		    	//请求成功后回调
		    	success: function(data, result) {
		    		var MENU_SESSION_KEY = '_MORE_MENU_SESSION_KEY';
		    		Fw.util.Storage.set(MENU_SESSION_KEY, Fw.encode(data));
		    		var wiFlag;
		    		var powerData = {};
		    		for(var t=0;t<data.length;t++){
		    			if(data[t].name == '账户管理'){
		    				var children = data[t].children;
		    				for(var i=0;i<children.length;i++){
		    					if(children[i].MENU_CODE == 'M050200'){  //关联账户管理
		    						if(Fw.util.Storage.get("app_type") == 1){
		    			    			powerData.zhgl = children[i].WI_FLAG;
		    			    		}else{
		    			    			powerData.zhgl = children[i].WM_FLAG;
		    			    		}
		    					}
		    					if(children[i].MENU_CODE == 'M050100'){  //交易明细查询
		    						if(Fw.util.Storage.get("app_type") == 1){
		    			    			powerData.jymx = children[i].WI_FLAG;
		    			    		}else{
		    			    			powerData.jymx = children[i].WM_FLAG;
		    			    		}
		    					}
		    					if(children[i].MENU_CODE == 'M050300'){  //限额管理
		    						if(Fw.util.Storage.get("app_type") == 1){
		    			    			powerData.xegl = children[i].WI_FLAG;
		    			    		}else{
		    			    			powerData.xegl = children[i].WM_FLAG;
		    			    		}
		    					}
		    				}
		    			}
		    			if(data[t].name == '转账汇款'){
		    				var children = data[t].children;
		    				for(var i=0;i<children.length;i++){
		    					if(children[i].MENU_CODE == 'M051200'){   //实时汇款
		    						if(Fw.util.Storage.get("app_type") == 1){
		    			    			powerData.zzhk = children[i].WI_FLAG;
		    			    		}else{
		    			    			powerData.zzhk = children[i].WM_FLAG;
		    			    		}
		    					}
		    					if(children[i].MENU_CODE == 'M051100'){  //联系人管理
		    						if(Fw.util.Storage.get("app_type") == 1){
		    							powerData.lxrgl = children[i].WI_FLAG;
		    			    		}else{
		    			    			powerData.lxrgl = children[i].WM_FLAG;
		    			    		}
		    					}
		    					if(children[i].MENU_CODE == 'M050911'){  //村镇信用卡还款
		    			    		powerData.xykhk = children[i].WM_FLAG;
		    					}
		    				}
		    			}
		    			if(data[t].name == '农信理财'){
		    				var children = data[t].children;
		    				for(var i=0;i<children.length;i++){
		    					if(children[i].MENU_CODE == 'M050704'){    //我的理财
		    						if(Fw.util.Storage.get("app_type") == 1){
		    							powerData.wdlc = children[i].WI_FLAG;
		    			    		}else{
		    			    			powerData.wdlc = children[i].WM_FLAG;
		    			    		}
		    					}
		    				}
		    			}
		    			if(data[t].name == '其他服务'){
		    				var children = data[t].children;
		    				for(var i=0;i<children.length;i++){
		    					if(children[i].MENU_CODE == 'M051101'){   //我的记账簿
		    						if(Fw.util.Storage.get("app_type") == 1){
		    							powerData.wdjzp = children[i].WI_FLAG;
		    			    		}else{
		    			    			powerData.wdjzp = children[i].WM_FLAG;
		    			    		}
		    					}
		    				}
		    			}
		    			if(data[t].name == '生活服务'){
		    				var children = data[t].children;
		    				for(var i=0;i<children.length;i++){
		    					if(children[i].MENU_CODE == 'M040100'){   //话费充值
		    						if(Fw.util.Storage.get("app_type") == 1){
		    							powerData.hfcz = children[i].WI_FLAG;
		    			    		}else{
		    			    			powerData.hfcz = children[i].WM_FLAG;
		    			    		}
		    					}
		    					if(children[i].MENU_CODE == 'M040200'){     //电费
		    						if(Fw.util.Storage.get("app_type") == 1){
		    							powerData.df = children[i].WI_FLAG;
		    			    		}else{
		    			    			powerData.df = children[i].WM_FLAG;
		    			    		}
		    					}
		    					if(children[i].MENU_CODE == 'M040300'){   //水费
		    						if(Fw.util.Storage.get("app_type") == 1){
		    							powerData.sf = children[i].WI_FLAG;
		    			    		}else{
		    			    			powerData.sf = children[i].WM_FLAG;
		    			    		}
		    					}
		    					if(children[i].MENU_CODE == 'M040400'){   //学费
		    						if(Fw.util.Storage.get("app_type") == 1){
		    							powerData.xf = children[i].WI_FLAG;
		    			    		}else{
		    			    			powerData.xf = children[i].WM_FLAG;
		    			    		}
		    					}
		    					if(children[i].MENU_CODE == 'M040500'){  //物业费
		    						if(Fw.util.Storage.get("app_type") == 1){
		    							powerData.wyf = children[i].WI_FLAG;
		    			    		}else{
		    			    			powerData.wyf = children[i].WM_FLAG;
		    			    		}
		    					}
		    					if(children[i].MENU_CODE == 'M040600'){   //有线电视费
		    						if(Fw.util.Storage.get("app_type") == 1){
		    							powerData.yxdsf = children[i].WI_FLAG;
		    			    		}else{
		    			    			powerData.yxdsf = children[i].WM_FLAG;
		    			    		}
		    					}
		    					if(children[i].MENU_CODE == 'M040700'){  //电信缴费
		    						if(Fw.util.Storage.get("app_type") == 1){
		    							powerData.dxjf = children[i].WI_FLAG;
		    			    		}else{
		    			    			powerData.dxjf = children[i].WM_FLAG;
		    			    		}
		    					}
		    					if(children[i].MENU_CODE == 'M040800'){  //居民保缴费
		    						if(Fw.util.Storage.get("app_type") == 1){
		    							powerData.jmbjf = children[i].WI_FLAG;
		    			    		}else{
		    			    			powerData.jmbjf = children[i].WM_FLAG;
		    			    		}
		    					}
								if(children[i].MENU_CODE == 'M041900'){  //党费
		    						if(Fw.util.Storage.get("app_type") == 1){
		    							powerData.dangf = children[i].WI_FLAG;
		    			    		}else{
		    			    			powerData.dangf = children[i].WM_FLAG;
		    			    		}
		    					}
		    					if(children[i].MENU_CODE == 'M041910'){  //住房公租金
		    						if(Fw.util.Storage.get("app_type") == 1){
		    							powerData.gzfzj = children[i].WI_FLAG;
		    			    		}else{
		    			    			powerData.gzfzj = children[i].WM_FLAG;
		    			    		}
		    					}
		    					if(children[i].MENU_CODE == 'M041920'){  //医保单笔缴费
		    						if(Fw.util.Storage.get("app_type") == 1){
		    							powerData.ybdbjf = children[i].WI_FLAG;
		    			    		}else{
		    			    			powerData.ybdbjf = children[i].WM_FLAG;
		    			    		}
		    					}
		    				}
		    			}
		    			if(data[t].name == '我的信用卡'){
		    				var children = data[t].children;
		    				for(var i=0;i<children.length;i++){
		    					if(children[i].MENU_CODE == 'M050904'){  //账单分期
		    						if(Fw.util.Storage.get("app_type") == 1){
		    							powerData.zdfq = children[i].WI_FLAG;
		    			    		}else{
		    			    			powerData.zdfq = children[i].WM_FLAG;
		    			    		}
		    					}
		    					if(children[i].MENU_CODE == 'M050903'){  //信用卡还款
		    						if(Fw.util.Storage.get("app_type") == 1){
		    							powerData.xykhk = children[i].WI_FLAG;
		    			    		}
		    					}
		    					if(children[i].MENU_CODE == 'M050902'){  //预借现金
		    						if(Fw.util.Storage.get("app_type") == 1){
		    							powerData.yjxj = children[i].WI_FLAG;
		    			    		}else{
		    			    			powerData.yjxj = children[i].WM_FLAG;
		    			    		}
		    					}
		    					if(children[i].MENU_CODE == 'M050901'){  //账单查询
		    						if(Fw.util.Storage.get("app_type") == 1){
		    							powerData.zdcx = children[i].WI_FLAG;
		    			    		}else{
		    			    			powerData.zdcx = children[i].WM_FLAG;
		    			    		}
		    					}
		    				}
		    			}
		    		}
		    		console.log(powerData);
		    		Fw.util.Storage.set('powerData', Fw.encode(powerData));
		    		//初始化菜单
		    	}
		    });
        },
        close_business : function(){
        	Fw.util.Ajax.get({
                service: 'loginService/executeLogout',
                success: function(data, result) {
                }
            });
        },
    };
}();

//window.onbeforeunload = App.close_business;
Fw.onReady(App); 