/**
 * 创建应用
 */
var App = function() {
	var container = $('body');
	//过滤pid标识
	var filterPid = '';
	var scoll=Fw.getParameters("scoll")||{};
	//模板
	var tpl = [
	           	'{@each data as item,index}',
	           	'<div  class="minWidth ui-border">',
		           	'<div class="labelTab">', 
						'<span class="font-size-18">·</span>${item.name}<span class="labelTab-sub"></span>', 
					'</div>',
					'<div id="labelTab1" class="moreMenu ui-border-t">',
						'<ul>',
						'{@each item.children as itemChild,index}',
							'<li data-status="${itemChild.WI_FLAG}" data-m-status="${itemChild.WM_FLAG}" data-code="${itemChild.MENU_CODE}" data-flag="${itemChild.LOGIN_FLAG}" data-url="${itemChild.MENU_URL}" class="moreMenuLi ',
								'{@if ((Number(index)+1) % 6 != 0 ||  index == 0)}',
								'ui-border-r ' ,
								'{@/if}',
								
								'{@if item.children.length > 6 && !(Number(index) + 1 > parseInt(item.children.length / 6) * 6 ) && !(item.children.length % 6 == 0 && Number(index)+1 > item.children.length - 6)}',
								'ui-border-b ',
								'{@/if}',
								'">',
								'<div class="moreMenu-info"><img src="../../images/menu/${itemChild.MENU_ICO}.png" /><div class="color-000000">${itemChild.MENU_NAME}</div></div>',
							'</li>',
						'{@/each}',
						'</ul>',
					'</div>',
				'</div>',
				'<div class="ui-margin-b-15"></div>',
				'{@/each}'
			];
	var app_type = Fw.util.Storage.get("app_type")
	if(app_type == 2){
		var title = '村镇银行'
	}else{
		var title = '更多功能'
	}
    return {
        /**
         * 依赖组件
         */
        requires : [
                    'Fw.app.Session'
        ],
        viewConfig: {
        	title: title,
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: false
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	//初始化菜单
        	this.queryMoreMenu();
            //初始化事件
            this.initEvents();
        },
        /**
         * 查询菜单
         */
        queryMoreMenu: function(){
        	var MENU_SESSION_KEY = '_MORE_MENU_SESSION_KEY';
        	var MENU_SESSION = Fw.util.Storage.get(MENU_SESSION_KEY);
		    if(!Fw.isEmpty(MENU_SESSION)){
		    	Fw.LoadMask.hide();
		    	MENU_SESSION = Fw.decode(MENU_SESSION);
		    	//初始化菜单
            	this.initMoreMenu(MENU_SESSION);
		    } else {
		    	//查询数据
	        	Fw.util.Ajax.get({
	                //数据源（服务接口）
	        		service: 'menuService/getMorePageMenu',
	        		params: {
						//菜单所属渠道
						channel: 'web',
						BankType : Fw.util.Storage.get("app_type")
					},
	                //是否使用数据挡板（默认false）
	                staticData: false,
	                //请求成功后回调
	                success: function(data, result) {
	                	MENU_SESSION = data;
                        Fw.util.Storage.set(MENU_SESSION_KEY, Fw.encode(MENU_SESSION));
	                	//初始化菜单
	                	App.initMoreMenu(data);
	                }
	            });
		    }
        },
        /**
         * 渲染菜单
         */
        initMoreMenu: function(data){
        	//渲染模板
        	var html = Fw.template(tpl, {data: data});
        	//添加到页面
            $('#content').html(html);
            if(scoll == "1"){
            	container.scrollTop(680);
            }else if(scoll == "2"){
            	container.scrollTop(780);
            }
            //li点击事件
        	$('.moreMenu ul li').on('click', Fw.bind(this.moreMenuItemClick, this));
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        },
        /**
         * li点击事件
         */
        moreMenuItemClick: function(e){
        	var loginFlag = Fw.app.Session.getCifNo();
        	//
        	var el = $(e.currentTarget);
        	var dataFlag = el.attr('data-flag');
        	if(Fw.util.Storage.get("app_type") == 1){
        		var status = el.attr('data-status');
        	}else{
        		var status = el.attr('data-m-status');
        	}
        	if(status == 'F') {
        		Fw.Msg.info('尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。')
        		return;
        	}
        	var url = el.attr('data-url');
        	var config = {
	    			index : 4,
	    			url : url
	    	};
        	Fw.util.Storage.set("config", Fw.encode(config));
        	if(Fw.isEmpty(loginFlag) && dataFlag == 1){
        		Fw.device.Device.gotoLogin(config);
        		return;
        	}
        	//
        	if(!Fw.isEmpty(url)) {
        		var url2 = Fw.cont.ifep_b + url;
        		if(!Fw.isURL(url)) {
	        		url = Fw.getBasePath() +'/'+ url;
        		}
	        	var code = el.attr('data-code');
	        	if(code == "M050702"){
	        		var result="";
        			var objecp = new XMLHttpRequest();
        			var url = Fw.getBasePath()+"/toNetLoan.do";
        			objecp.open("GET",url,false);
        			objecp.onreadystatechange=function(){
        				if(objecp.readyState==4 || objecp.readyState==200 || objecp.readyState==304){
        					Fw.redirect(url2);
        				}else{
        				}
        			}
        			try{
        				objecp.send(null);
        			}catch(e){
        			}
        			return;
	        	}
	        	Fw.redirect(url, {menuCode: code});
        	} else {
        		Fw.Msg.info('请尽快维护URL')
        	}
        }
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);