/**
 * 创建应用
 */
var App = function() {
	var card;
	// var data = Fw.getParameters("data");
	// var indexs = Fw.getParameters("index");
	// var powerData = Fw.util.Storage.get('powerData');
	// powerData = Fw.decode(powerData);
	var recordData;
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Card' ],
		viewConfig : {
			title : '万通宝贷款',
			leftButton : {
				handler : function() {
					Fw.redirect("../../pageMenu/moreMenu.html")
				}
			}
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {

			Fw.util.Ajax.get({
				service : 'loanService.getLoanIndex',
				params : {
					loanType : "0"
				},
				staticData : false,
				success : function(data, result) {
					if (data.List.length == 0) {
						Fw.Msg.info("未搜索到符合条件的贷款信息", function() {
							Fw.redirect(Fw.getBasePath()
									+ "/page/pageMenu/moreMenu.html")
						})
						return;
					}
					recordData = data.List[0];
					App.initCard(data);
				},
				failure : function(statues, textStatus, error) {
					if (error == "无满足条件记录") {
						Fw.Msg.info("未搜索到符合条件的贷款信息", function() {
							Fw.redirect(Fw.getBasePath()
									+ "/page/pageMenu/moreMenu.html")
						})
						return;
					}
					Fw.Msg.info(error, function() {
						Fw.redirect(Fw.getBasePath()
								+ "/page/pageMenu/moreMenu.html")
					})
					return false;
				}
			});
			// 初始化事件
			this.initEvents();
		},
		initCard : function(data) {
			juicer.register('SimN', function(bankId, cardType) {
				return Fw.SimN(bankId, cardType);
			});
			card = new Fw.Card(
					{
						contentEl : 'card',
						data : data.List,
						activeCard : 0,
						itemTpl : [
								'<div class="selection">',
								'<div class="card-title">',
								'<label>${item.LoanDeptName}</label>',
								'</div>',
								'<div class="card-content">',
								'<div class="content-h">',
								'<label>授信额度</label>',
								'<span style="float: right;" class="ishide1">${item.CreditLimit|fmtAmt}</span>',
								'<span style="float: right;" class="ishide2">********</span>',
								'</div>',
								'<div class="content-h">',
								'<label>已用额度</label>',
								'<span style="float: right;" class="ishide1">${item.UsedLimit|fmtAmt}</span>',
								'<span style="float: right;" class="ishide2">********</span>',
								'</div>',
								'<div class="content-h">',
								'<label>到期日</label>',
								'<span style="float: right;" class="ishide1">${item.LoanEndDate|fmtDate}</span>',
								'<span style="float: right;" class="ishide2">********</span>',
								'</div>', '</div>', '</div>' ]
					});
			card.on('change', Fw.bind(this.onZoomChange, this));
			Fw.LoadMask.hide();
		},
		onZoomChange : function(record, index, z) {
			recordData = record;
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$('#xq').on('click', Fw.bind(this.xq, this));
			$('#mx').on('click', Fw.bind(this.mx, this));
			$('#hk').on('click', Fw.bind(this.hk, this));
			$('#fk').on('click', Fw.bind(this.fk, this));
		},
		xq : function() {
			Fw.redirect("../../pub/loan/TTloan/detail/main.html", {
				'record' : recordData
			})
		},
		mx : function() {
			Fw.redirect("../../pub/loan/TTloan/list/main.html", {
				'record' : recordData
			})
		},
		hk : function() {
			Fw.redirect("../../pub/loan/TTloan/repyloan/main.html", {
				'record' : recordData
			})
		},
		fk : function() {
			Fw.redirect("../../pub/loan/TTloan/getloan/main.html", {
				'record' : recordData
			})
		},
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);