/**
 * 创建应用
 */
var App = function() {
	//session获取idcard
	var idCard;
	var record = Fw.getParameters();
	var yearMonthDate;
	var backDate=record.YearMonth;
    return {
        /**
         * 依赖组件
         */
        requires : [
                    'Fw.Form','Fw.Calendar','Fw.Select','Fw.Keyboard','Fw.app.Session','Fw.TableView'
        ],
        viewConfig: {
            title: '预算单位工资查询',
            leftButton: {
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
            },
            //隐藏等待层
            loadMask: true
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	idCard=Fw.app.Session.getIdentno();
            form = new Fw.Form({
                contentEl : 'form',
                //是否激活重置事件（默认false）
                //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                resettable: false,
                //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                msgTarget: 'tips'
            });
            //定义列表
            this.listViewFunction();
            //初始化事件
            this.initEvents();
          //手动隐藏等待层
	        Fw.LoadMask.hide();
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	// 起始加载日期
			var date1 = new Date();
			var myDate = date1.getFullYear();
			var myYear = date1.getMonth() + 1;
			var mouthBefore;
			if (myYear < 10) {
				myYear = "0" + myYear;
			}
			var dateYear = myDate + "-" + myYear;
			//仅能选择当前月份及之前的月份data-end,业务要求只能选择近六个月的记录
			var dd=parseInt(myDate*12)+parseInt(myYear);
			var ww=dd-5;
			var w1=parseInt(ww/12);
			var w2=ww-w1*12;
			if (w2 < 10) {
				w2 = "0" + w2;
			};
			if (w2 == 0) {
				w1 = w1 - 1;
				w2 = 12;
			}
			var startYear=w1+"-"+w2;
			$("#yearMonth").val(dateYear);
			$("#yearMonth").attr("data-end", dateYear);
			$("#yearMonth").attr("data-start", startYear);
			yearMonthDate=$("#yearMonth").val();
        	yearMonthDate=yearMonthDate.replaceAll("-","");
			$('#unadd').on('click', Fw.bind(this.unadd, this));
			$('#add').on('click', Fw.bind(this.add, this));
			//点击查询显示详情列表
			console.log(backDate);
			if(backDate!="undefined"&&backDate!=null){
				if(backDate!=dateYear){
					$("#yearMonth").val(backDate);
				}else{}
			}else{}
			$("tfoot").hide();
        },
        //列表查询
        listViewFunction:function(){
        	var listView = new Fw.TableView({
                 contentEl : 'table',
                 ajax : {
                	 rootProperty : 'result.List',
                     //数据源（服务接口）
                 	service: 'specialQueryService/queryBudgetQuery',
	                pageSize: 5,
	                staticData: false,
	                params:{
	                	'IdNo':idCard,
//	                 	'IdNo':'352229196909236860',//身份证号
	                 	//下面有setParams
	                 	//'YearMonth':'201511',//查询日期
	                 	'YearMonth':yearMonthDate,
	                }
                 },
                 //是否显示行号（默认显示）
                 rowNumber:false,
                 itemTpl : [
 						'<td>${item.YearMonth|fmtDate,"yyyy-MM"}</td>',
 						'<td>${item.WageDate|fmtDate,"yyyy-MM-dd"}</td>',
 						'<td>${item.UserNo}</td>',
 						'<td>${item.UserName}</td>',
 						'<td>${item.IdCard|fmtAcctNo,"true"}</td>',
 						//金额格式化
 						'<td style="color:#ef2525;">${item.ReceWageAmt|fmtAmt}</td>',//应发工资
 						'<td style="color:#ef2525;">${item.ActWageAmt|fmtAmt}</td>',//实发工资
 						'<td>${item.AcctNo|fmtAcctNo,"true"}</td>',
 						'<td>${item.AcctName}</td>',
 						'<td><a class="details" style="color:#60b2fb;text-decoration:underline;">点击详情</a></td>' 
 	                ]
 	            });
 			
             listView.on('itemclick', this.onSelect, this);
             //查询数据前触发
             listView.ajax.on('beforequery', this.onBeforeQuery, this);
             //查询数据后触发
             //加载数据
             console.log(record);
             if(record!=null){
            	 if(record.indexDetail=="1"){
            		backDate=backDate.substr(0,4)+'-'+backDate.substr(4,5);
 		            listView.ajax.setParams('YearMonth',record.YearMonth);
 					listView.loadData();
 					console.log(backDate);
 					$("#yearMonth").val(backDate);
                 }
             };
             //点击查询加载列表数据
             $('#next-btn').on('click',function(){
            	 $("#table tbody").html("");
            	 	yearMonthDate=$("#yearMonth").val();
		            yearMonthDate=yearMonthDate.replaceAll("-","");
		            listView.ajax.setParams('YearMonth',yearMonthDate);
		            //查询数据后触发
		            listView.ajax.on('query', this.onQuery, this);
					listView.loadData();
					//手动隐藏等待层
			        Fw.LoadMask.hide(500);
 			});
        },
      //减号
		unadd : function() {
			var date = new Date($("#yearMonth").val());
			var lastMonth = date.getMonth();
			var lastyear = date.getFullYear()
			if (lastMonth < 10) {
				lastMonth = "0" + lastMonth
			}
			if (lastMonth == 0) {
				lastyear = lastyear - 1;
				lastMonth = 12;
			}
			date = lastyear + "-" + lastMonth;
			$("#yearMonth").val(date);
		},
		//加号
		add : function() {
			var date = new Date($("#yearMonth").val());
			var nextMonth = date.getMonth() + 2;
			var nextyear = date.getFullYear()
			if (nextMonth > 12) {
				nextyear = nextyear + 1;
				nextMonth = 01;
			}
			if ((nextMonth - 2) < 8) {
				nextMonth = "0" + nextMonth;
			}
			date = nextyear + "-" + nextMonth;
			$("#yearMonth").val(date);
		},
        /**
         * 选中记录时触发
         */
        onSelect : function(record, index, item, e, cmp) {
			$('#table').on('click', 'a.details', function(e) {
				//console.log(Fw.encode(record));
				Fw.redirect("main1.html", record);
			})
			this.record = record;
        },
        /**
         * 渲染到页面前触发
         */
        onBeforeAddItem: function(record, index, cmp){},
        /**
         * 触发查询事件前触发
         */
        onBeforeSearch : function(value) {},
        onBeforeQuery : function(ajax, message, url) {},
        /**
         * 查询数据后触发
         * @param {Object} Ajax对象
         * @param {Object} 响应数据（result[Fw.Ajax.rootProperty]部分）
         * @param {Object} 响应数据（全部）
         */
        onQuery : function(ajax, data, result) {
        	alert(1);
        	console.log(data);
        	console.log(result);
        	if(data.length=="0"){
        		Fw.Msg.info('未查询到相关的工资信息');
        	};
        },
        leftButtonHandler:function(){
        	Fw.redirect("../../../pageMenu/moreMenu.html")
        }
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
