/**
 * 创建应用
 */
var App = function() {
	var recordSelect;
	var dropDownList1;
	var listView;
	var data1 = [];
	// 查询的账号
	var dataAccNo;
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Form', 'Fw.Calendar', 'Fw.Select', 'Fw.TableView',
				'Fw.DropDownList', 'Fw.Keyboard' ],
		viewConfig : {
			title : '商户明细查询、下载',
			leftButton : {
				text : '左边按钮',
			},
			// 隐藏等待层
			loadMask : true
		},

		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 获取当前日期，并控制不能选择以后的日期
			this.newDate();
			// 下拉框
			this.drowDown();
			form = new Fw.Form({
				contentEl : 'form',
				resettable : false,
				msgTarget : 'tips'
			});
			
			var end = Fw.getDate();
			var begin = new Date(Fw.getDate().setDate(Fw.getDate().getDate() - 31));
			$("#beginTime").val(Fw.util.Format.fmtDate(begin, 'yyyy-MM-dd'));
			$("#endTime").val(Fw.util.Format.fmtDate(end, 'yyyy-MM-dd'));
			// 初始化事件
			this.initEvents();
			// 手动隐藏等待层
			// Fw.LoadMask.hide();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$('#payAccount_selectId').on('click', Fw.bind(this.showDropDownListClick1, this));
			// 下拉框中选中其中一条后的事件
			dropDownList1.on('itemClick', Fw.bind(this.itemClick1, this));
			$("#next-btn").on('click', Fw.bind(this.nextBtnClick, this));
			$('#load').on('click', Fw.bind(this.downLoad, this));
		},
		listQuery : function() {
			listView = new Fw.TableView(
					{
						contentEl : 'table',
						ajax : {
							rootProperty : 'result.List',
							service : 'specialQueryService.queryCommercialQuery',
							pageSize : 5,
							staticData : false,
							// 是否显示分页（false不显示，true显示）
							page : true,
							params : {
								AcctNo : dataAccNo,
							}
						},
						// 是否显示行号（默认显示）
						rowNumber : false,
						itemTpl : [
								'<td style="width:21px;">',
								'<div class="_checkbox ui-radio">',
								'<input type="radio" value="" name="type1" id="inputRadio">',
								'</div>', '</td>', '<td>${item.s0}</td>',
								'<td>${item.s1}</td>' ]
					});
			// 选中记录时触发
			listView.on('itemclick', this.onSelect, this);
			// 查询数据前触发
			listView.ajax.on('beforequery', this.onBeforeQuery, this);
			// 查询数据后触发
			listView.ajax.on('query', this.onQuery, this);
			// 加载列表数据
			listView.loadData();
		},
		newDate : function() {
			var date = new Date();
			var myYear = date.getFullYear();
			var myMonth = date.getMonth() + 1;
			var myDate = date.getDate();
			if (myMonth < 10) {
				myMonth = "0" + myMonth;
			};
			if (myDate < 10) {
				myDate = "0" + myDate;
			};
			var dateYear = myYear + "-" + myMonth + "-" + myDate;
			$("#beginTime").attr("data-end", dateYear);
			$("#endTime").attr("data-end", dateYear);
		},
		// 下拉框
		showDropDownListClick1 : function() {
			// 显示组件
			dropDownList1.show(data1);
		},
		itemClick1 : function(data, index, e) {
			recordSelect = undefined;
			if (index != -1) {
				$("#payAccount_select").val(data.option);
				dataAccNo = data.No;
				// 阻止接着加载，把老的移除掉
				$("#table tbody").remove();
				$("#table-paging").remove();
				App.listQuery();
			} else {
				// 手工输入
				Fw.Logger.debug('点击了手工输入');
			}
		},
		drowDown : function() {
			// 查询借记卡
			Fw.util.Ajax.get({
				service : 'accountService',
				method : 'getAccount',
				params : {
					type : '0',
				},
				// 0借记账户1贷记账户2动账借记3动账贷记//不传参全部
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					console.log(data);
					if (data.List.length == 0) {
						Fw.Msg.info('您暂无借记卡', function() {
							Fw.redirect("page/pageMenu/specialQuery.html")
						});
					} else {
						data1 = data.List;
						dataAccNo = data.List[0].No;
						$("#payAccount_select").val(data.List[0].option);
						App.listQuery();
					}
				}
			});
			dropDownList1 = new Fw.DropDownList({
				// 必须参数：结果集
				result : data1.List,
				displayNo : 'false',
				displayName : 'option',
				cursorBtn : false,
				disableFieldValue : '1'
			});
		},
		// 下载调用接口，返回商户明细表
		downLoad : function() {
			// 点击下载调用接口
			// 带账号、起始日期、结束日期
			var startDate = $("#beginTime").val();
			var endDate = $("#endTime").val();
			if(startDate == ""){
				Fw.Msg.info('请选择开始日期');
				return;
			}
			if(endDate == ""){
				Fw.Msg.info('请选择结束日期');
				return;
			}
			// 判断是否是一个月内的时间
			var aa = startDate;
			var bb = endDate;
			aa = aa.split("-");
			bb = bb.split("-");
			var aa1 = new Date(aa[1] + '-' + aa[2] + '-' + aa[0]);
			var bb1 = new Date(bb[1] + '-' + bb[2] + '-' + bb[0]);
			numDay = parseInt(Math.abs(bb1 - aa1) / 1000 / 60 / 60 / 24, 10);
			startDate = startDate.replaceAll("-", "");
			endDate = endDate.replaceAll("-", "");
			if (startDate <= endDate) {
				if (recordSelect == undefined) {
					Fw.Msg.info('请先勾选所要查询的商户');
				} else {
					if (numDay > "31") {
						Fw.Msg.info('查询时间间隔不能超过1个月，请重新选择日期');
					} else {
						var traderCode = recordSelect.s0;
						// 获取下载文件路径FilePath
						Fw.util.Ajax.get({
							service : 'specialQueryService/executeLoadExcel',
							staticData : false,
							// 请求参数
							params : {
								AcNo : dataAccNo,
								TraderCode : traderCode,
								StartDate : startDate,
								EndDate : endDate,
							},
							success : function(data, result) {
								var file = data.FilePath;
								var arr = new Array();
								arr = file.split("/");
								var fileName = arr[arr.length - 1];
								var filePath = "/" + arr[1];
								params = {
									"path" : filePath,
									"fileName" : fileName,
								}
								App.getBook(params);
							},
							failure : function(status, textStatus, error) {
								Fw.Msg.info('未查询到相关的商户信息');
								return false;
							}
						});

					}
				}
			} else {
				Fw.Msg.info('开始日期不能大于结束日期，请重新选择日期');
			}
		},
		// 下载并选择本地存放路径地址
		getBook : function(params) {
			/*
			 * console.log(params); var path = params.path; var fileName =
			 * params.fileName; Fw.util.Ajax.get({ service: 'BTFileAnalyse',
			 * method: 'getBatchXLS', success: function(data, result) {
			 * Fw.redirect(Fw.getBasePath()+"/channel/download.do?tmp=true&fileId="+data.fileId+"&fileName="+new
			 * String(data.fileName)+".xls"); } });
			 */
		
			Fw.util.Ajax.insert({
				service : 'byFinanceService',
				method : 'getExcel', // 获取pdf文档
				// 请求参数
				params : {
					path : params.path,
					fileName : params.fileName,
				},
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					// 下载的格式
					var url = Fw.getBasePath()+ "/channel/download.do?tmp=true&fileId=" + data + "&fileName=" + new String(data);
					$('body').append("<iframe style='width:0; height:0; position:absolute; top:-500px;left:-500px; id='download_temp' src='" + url + "'></iframe>");
					setTimeout(function() {
						$('#download_temp').remove();
					})
					// 下面的这个多了个.csv。
					// Fw.redirect(Fw.getBasePath()+
					// "/channel/download.do?tmp=true&fileId=" + data +
					// "&fileName=" + new String(data) + ".csv");
					// console.log(Fw.encode(data));
					// window.open(Fw.getBasePath() +
					// '/channel/pdf.do?fileId='+result.result);
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					// 回显详情信息
				}
			});
			/*
			 * Fw.util.Ajax.insert({ service : 'byFinanceService', method :
			 * 'getBook', // 获取pdf文档 // 请求参数 params : { path : params.path,
			 * fileName : params.fileName, }, staticData : false, // 请求成功后回调
			 * success : function(data, result) { console.log(Fw.encode(data));
			 * //Fw.redirect(Fw.getBasePath()+"/channel/download.do?tmp=true&fileId="+data+"&fileName="+new
			 * String(data)+".xls"); // alert(result.result); //
			 * window.open(Fw.getBasePath() + //
			 * '/channel/pdf.do?fileId='+result.result); }, // 请求错误后回调 failure :
			 * function(status, textStatus, error) { // 回显详情信息 } });
			 */
		},
		nextBtnClick : function() {
			Fw.redirect('mainNext.html');
		},
		listView : function() {

		},
		/**
		 * 选中记录时触发
		 */
		onSelect : function(record, index, item, e, cmp) {
			recordSelect = record;
		},
		/**
		 * 渲染到页面前触发
		 */
		onBeforeAddItem : function(record, index, cmp) {
		},
		/**
		 * 触发查询事件前触发
		 */
		onBeforeSearch : function(value) {
		},
		onBeforeQuery : function(ajax, message, url) {
		},
		onQuery : function(ajax, data, result) {
			if (data.length == "0") {
				Fw.Msg.info('未查询到相关的商户信息');
			}
			;
		},
		leftButtonHandler : function() {
			Fw.redirect("../../../pageMenu/moreMenu.html")
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
