/**
 * 创建应用
 */
var App = function() {
	var params=Fw.getParameters();
	console.log(params);
	var mainFundAcctNo=params.SoarOwnerName;
	var startDate=params.StartDate;
	var endDate=params.EndDate;
	var clientLoginType;//判断渠道，手机MB，PC传PC
    return {
        /**
         * 依赖组件
         */
        requires : [
                    'Fw.Form','Fw.Calendar','Fw.Select','Fw.Keyboard', 'Fw.TableView','Fw.TableView'
        ],
        viewConfig: {
            title: '住宅维修资金查询',
            leftButton: {
                text: '左边按钮',
              //自定义按钮点击事件（默认App.leftButtonHandler）
            },
            //隐藏等待层
            loadMask: true
        },
        
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	if(Fw.isTouch){
				clientLoginType="MB";
			}else{
				clientLoginType="PC";
			}
        	$("#accountCapital").text(Fw.util.Format.fmtAcctNo(params.SoarOwnerName,true));
            form = new Fw.Form({
                //EL
                contentEl : 'form',
                //是否激活重置事件（默认false）
                //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                resettable: false,
                //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                msgTarget: 'tips'
            });
            //定义列表
            var listView = new Fw.TableView({
                contentEl : 'table',
                ajax : {
                	rootProperty : 'result.List',
                	//service: 'queryService.house',
                	service: 'specialQueryService.queryHomeAccountDetail',
                    pageSize: 5,
                    staticData: false,
                    params: {
                    	MainFundAcctNo:mainFundAcctNo,
                    	StartDate:startDate,
                        EndDate:endDate,
                        ClientLoginType:clientLoginType,
                        StartCnt:'1',
                        QueryCnt:'5'
                    },
                },
                //是否显示行号（默认显示）
                rowNumber:true,
                itemTpl : [
							'<td>${item.TranDate|fmtDate,"yyyy-MM-dd"}</td>',
							'<td style="color:#ef2525;">${item.TranAmt|fmtAmt}</td>',
							'<td style="color:#ef2525;">${item.Bal|fmtAmt}</td>',
							'<td>${item.TranType}</td>'
	                ]
	            });
			
            listView.on('itemclick', this.onSelect, this);
            //查询数据前触发
            listView.ajax.on('beforequery', this.onBeforeQuery, this);
            //查询数据后触发
            listView.ajax.on('query', this.onQuery, this);
            //加载数据
            listView.loadData();
            //初始化事件
            this.initEvents();
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        },
        /**
         * 选中记录时触发
         */
        onSelect : function(record, index, item, e, cmp) {
             //console.log(Fw.encode(record));
        },
        /**
         * 触发查询事件前触发
         */
        onBeforeSearch : function(value) {},
        onBeforeQuery : function(ajax, message, url) {},
        onQuery : function(ajax, data, result) {
        	console.log(data);
        	if(data.length=="0"){
        		Fw.Msg.info('未查询到相关的维修资金账户信息');
        	};
        },
        leftButtonHandler : function() {
			Fw.redirect("main.html");
		}
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
