/**
 * 创建应用
 */
var App = function() {
    var listView;
    var emptyTpl='<div class="font-size-18"><div class="ui-no">未查询到相关记录</div></div>';
    return {
        /**
         * 依赖组件
         */
        requires : [
            
            //列表
            'Fw.ListView',
            'Fw.SearchBar',
            'Fw.DropDownList'
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '联系人转账',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
//            rightButton: {
//                //按钮标题
//                text: '右边按钮',
//                //自定义按钮点击事件（默认App.rightButtonHandler）
//                //handler: XXX
//            },
            /**
             * 是否自动显示等待层（默认true）
             * 需手动隐藏等待层
             */
            loadMask: true
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	// 定义查询工具条
			searchBar = new Fw.SearchBar({
				// EL
				contentEl : 'searchbar',
				// 最少输入字符个数（默认4）
				// 满足该参数时，触发查询事件
				minChars : 0,
				// 最大输入长度
				maxLength : 25,
				// 输入框占位信息
				placeholder : '请输入收款人姓名'
			});
			$('#emptyTpl').hide();
            //查询联系人列表
        	this.queryFriend();
        	//查询本人名下账户
        	this.queryBank();
            //初始化事件
            this.initEvents();
            
            
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	//查询工具查询事件
        	searchBar.on('search',this.judgeQuery,this);
        	$(".ui-searchbar-cancel-btn").on("click",Fw.bind(this.cancel,this));
        	//添加联系人
        	$("#add").on("click",Fw.bind(this.addFriend,this));
        	
        },
      //添加联系人
        addFriend:function(){
        	Fw.redirect("../../pub/transfer_accounts/addFriend.html");
        },
        //判断查询是否有数据
        judgeQuery:function(KeyVal){
        	if(!Fw.isEmpty(KeyVal)){
               	//过滤需要的信息
               	$("ul.a").children('li').hide();
               	var bb = false;
               	$("ul.a").children('li').each(function(){
               		if($(this).text().indexOf(KeyVal)!=-1){
               			$(this).show();
               			bb=true;
               		}
               	})
	               	if(!bb){
	               		$('#emptyTpl').show()
	               		$("ul.a").children('li').hide()
	               	}
  		   }else{
  			   return;
  		   }
        }, 
        cancel:function(){
        	$('#emptyTpl').hide()
        	$("ul.a").children('li').show();
        },
        checkPhoto:function(){
        	if($("#photo").hasClass("ui-ppp")){
        		$("#list").hide();
        		$("#photo").removeClass("ui-ppp");
        		$("#photo").attr("src","../../../images/transfer_accounts/zhuanzhang_02.png")
        	}else{
        		$("#photo").addClass("ui-ppp");
        		$("#list").show();
        		$("#photo").attr("src","../../../images/transfer_accounts/zhuanzhang_16.png")
        	}
        },
        //查询本人名下账户
        queryBank:function(){
        	Fw.util.Ajax.query({
                //数据源（服务接口）
                //service: 'demo1Service.queryXXX',
//                service: 'transferService.queryMyCard',
                //method: 'query',//默认为query，方法名称必须是query开头
                socketAdapter:'transferService/queryFriendList',
                //请求参数
                params: {
                	PayeeFlag:"0"
                },
                //是否自动显示等待层（默认true）
                //允许自定义等待层提示信息（loadMask: '请稍后...'）
                //loadMask: true,
                //是否使用数据挡板（默认false）
                staticData: false,
//                staticData: true,
                //请求成功后回调
                success: function(data, result) {
                	App.myCardList(data);
                },
            });
        	
        },
        myCardList:function(data){
        	var tpl = [
         	           	
//         	           '{@each List as item,index}',
//         	           	'<li class="x-list-item ui-border-t " onclick="App.myCardTransfer(${item|JsonToStr})">',
//         	           	'<div style="padding-left: 50px;">',
//         	           	'<img style="width: 80%;vertical-align: middle;" src="../../../images/transfer_accounts/${item.photo}"></div>',
//         	           	'<div class="font-26">${item.account}</div>',
//         	           	'<div class="font-26" style="padding-left: 10px;">尾号${item.card|fmtAcctNoEnd}</div></li>',
//         	           '{@/each}'
         	           '{@each List as item,index}',
        	           	'<li class="x-list-item ui-border-t ui-list-h ui-hand" onclick="App.myCardTransfer(${item|JsonToStr})">',
        	           	'<div>',
//        	           	'<img style="width: 80%;vertical-align: middle;" src="../../../images/transfer_accounts/${item.photo}"></div>',
        	           	'{@if item.PayeeBankId=="402391000068"||item.PayeeBankId=="301290000007"||item.PayeeBankId=="105100000017"||item.PayeeBankId=="103100000026"||item.PayeeBankId=="102100099996"||item.PayeeBankId=="104100000004"||item.PayeeBankId=="308584000013"}',
						'<img style="width: 30px;vertical-align: middle;padding-left: 10px;"src="../../../images/transfer_accounts/deaufult.png">',
						'{@else if item.BankType=="0"}',
						'<img style="width: 30px;vertical-align: middle;padding-left: 10px;"src="../../../images/transfer_accounts/402391000068.png">',
						'{@else}<img style="width: 30px;vertical-align: middle;padding-left: 10px;" src="../../../images/transfer_accounts/deaufult.png"/>',
						'{@/if}</div>',
						
        	           	'<div class="font-26" style="padding-left: 10px;">',
        	           	'{@if item.PayeeBankName !=null && item.PayeeBankName !="" }',
	   					'${item.PayeeBankName}</div>',
	   					'{@else}${item.PayeeDeptName}</div>',
	   					'{@/if}',
        	           	'<div class="font-26" style="padding-left: 10px;">尾号${item.PayeeAcNo|fmtAcctNoEnd}</div></li>',
        	           '{@/each}'
         			];
        	juicer.register("JsonToStr", function(data){
        		return JSON.stringify(data);
        	});
        	var number=data.List.length;
        	if(number==0){
        		$("#number").html("0");
           		$("#photo").hide();
           		$('#list').html(emptyTpl);
       		}else{
       			$("#number").html(number);
       			$("#hide").on("click",Fw.bind(this.checkPhoto,this));
       			//渲染模板
              	var html = Fw.template(tpl, data);
              	//添加到页面
               $('#list').html(html);
       		}
        },
        myCardTransfer:function(data){
        	data.flag="5";
        	if(Fw.isEqual(data.PayeeAcType, "1")){
        		data.flag="0";
        		data.zhPage="1";
        		data.acNo=data.PayeeAcNo;
        		data.sName= data.PayeeAcName
				Fw.redirect(Fw.getBasePath() +"/page/pub/creditCardManage/creditCardPayment/main.html",data);
        	}else{
        		Fw.redirect("../../pub/transfer_accounts/bank.html",data);
        	}
        },
        
        
        
        //查询联系人
        queryFriend:function(){
        	listView = new Fw.ListView({
                contentEl : 'list2',
                ajax : {
//                    service: 'transferService.queryFriendCard',
                	socketAdapter:'transferService/queryFriendList',
                    //请求参数
                     params: {
                    	 PayeeFlag:"1"
                     },
                    //简单分页组件（只显示上一页、下一页，默认false）
                    // simplePage: true,
                    //分页参数
                    page: false,
                    disclosure:true,
                    //是否使用数据挡板（默认false）
//                    staticData: true
                    staticData: false,
                    rootProperty : 'result.List'
                },
                itemTpl : [
//					'<span style="background-image:url(../../../images/transfer_accounts/${item.photo})"></span>',
					'{@if item.PayeeBankId=="402391000068"||item.PayeeBankId=="301290000007"||item.PayeeBankId=="105100000017"||item.PayeeBankId=="103100000026"||item.PayeeBankId=="102100099996"||item.PayeeBankId=="104100000004"||item.PayeeBankId=="308584000013"}',
//					'<img src="../../../images/transfer_accounts/${item.PayeeBankId}.png">',
					'<img style="width: 30px;vertical-align: middle;padding-left: 10px;"src="../../../images/transfer_accounts/deaufult.png">',
					'{@else if item.BankType=="0"}',
					'<img style="width: 30px;vertical-align: middle;padding-left: 10px;"src="../../../images/transfer_accounts/402391000068.png">',
					'{@else}<img style="width: 30px;vertical-align: middle;padding-left: 10px;" src="../../../images/transfer_accounts/deaufult.png"/>',
					'{@/if}',
					'<div class="ui-list-info ui-hand" style="padding-left: 10px;"><div class="ui-nowrap font-26-c">${item.PayeeAcName}',
					'{@if item.PayeeAcAlias !=null && item.PayeeAcAlias !="" }',
					'(${item.PayeeAcAlias})',
					'{@/if}',
					'</div>',
					'<div class="ui-nowrap font-26-b">',
//					'<sapn>${item.account}</sapn>
					'{@if item.PayeeBankName !=null && item.PayeeBankName !="" }',
					'<sapn>${item.PayeeBankName}</sapn>',
					'{@else}<sapn>${item.PayeeDeptName}</sapn>',
					'{@/if}',
					'<sapn style="margin-left: 10px;">尾号${item.PayeeAcNo|fmtAcctNoEnd}</sapn></div></div>'
                ]
            });
            //选中记录时触发
        	listView.on('itemclick', this.onSelect, this);
            //查询数据后触发
        	listView.ajax.on('query', this.onQuery, this);
            //加载数据
        	listView.loadData();
        },
        onSelect:function(record, index, item, e, cmp){
        	record.flag="5";
        	if(Fw.isEqual(record.PayeeAcType, "1")){
        		record.flag="1";
        		record.zhPage="1";
        		record.acNo=record.PayeeAcNo;
        		record.sName= record.PayeeAcName
				Fw.redirect(Fw.getBasePath() +"/page/pub/creditCardManage/creditCardPayment/main.html",record);
        	}else{
        		Fw.redirect("../../pub/transfer_accounts/bank.html",record);
        	}
        	
        },
        onQuery:function(ajax, data, result){
        	if(data.length==0){
        		$('#list2').html(emptyTpl);
        	}
        },
        leftButtonHandler:function(){
        	Fw.redirect(Fw.getBasePath() +"/page/pc/transfer_accounts/index.html");
        }
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
