/**
 * 创建应用
 */
var App = function() {
	var passFlag;
	var DayLimit;
	var SysNoPwdLimit;
	//
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Form','Fw.Keyboard' ],
		viewConfig : {
			title : '二维码免密设置',
			leftButton : {
				handler : function() {
					App.back();
				}
			},
			loadMask : true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 定义表单
			form = new Fw.Form({
				contentEl : 'form1',
				resettable : false,
				msgTarget : 'tips'
			});
			Fw.device.Device.QRcodeSign("App.getPassFlag");
			// 初始化事件
			this.initEvents();
		},
		getPassFlag : function(reg) {
			reg = Fw.decode(reg)
			if (reg.stat == "succ") {
				Fw.util.Ajax.get({
							socketAdapter : 'QRcode/mCTbCodeNoPwdAndLimitSet',
							params : {
								ChannelId : '01',
								OpType : "2",
							},
							staticData : false,
							success : function(data, result) {
								passFlag = data.PwdFreeFlag;
								DayLimit = data.DayLimit;
								SysNoPwdLimit = data.SysNoPwdLimit;
								if (data.PwdFreeFlag == 0) {
									$("#freePay").attr("src","./images/checktrue.png");
									$('#amt').show();
									$('#btn').show();
									$('#kind').show();
								} else {
									$("#freePay").attr("src","./images/checkfalse.png");
									$('#amt').hide();
									$('#btn').hide();
									$('#kind').hide();
								}
								$("#PwdFreeAmt").val(Fw.util.Format.fmtAmt(data.PwdFreeAmt));
								$('body').show();
							},
							failure : function(statues, textStatus, error) {
							}
						});
			} else {
				if (reg.stat == "fail") {
					Fw.Msg.info(reg.msg, function() {
						Fw.gotoIndex();
					});
				} else {
					Fw.gotoIndex();
				}
			}
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$("#freePay").on('click', Fw.bind(this.switchNoPass, this));
			$('#submit-btn').on('click', Fw.bind(this.doSubmit, this));
			Fw.Keyboard.onHidden = function() {
				var inputVal = Fw.util.Format.fmtAmt($("#PwdFreeAmt").val());
				$("#PwdFreeAmt").val(inputVal);
				$('body').css({
					'top' : '0px'
				});
				// sm 还原Placeholder
				if (Fw.isEmpty(this.target.val())&& !Fw.isEmpty(Fw.util.Storage.get(this.target.attr('name')))) {
					this.target.attr('placeholder', Fw.util.Storage.get(this.target.attr('name')));
					Fw.util.Storage.remove(this.target.attr('name'));
				}
				Fw.Keyboard.showKeyboard = true;
			};
		},
		doSubmit : function() {
			var PwdFreeAmt = Fw.util.Format.unFmtAmt($('#PwdFreeAmt').val());
			if (Fw.isEmpty(PwdFreeAmt) || PwdFreeAmt == 0) {
				Fw.Tips.info("请输入免密金额");
			} else if (PwdFreeAmt > SysNoPwdLimit) {
				Fw.Tips.info("设置金额超过二维码免密金额上限" + Fw.util.Format.fmtAmt(SysNoPwdLimit));
			} else {
				Fw.util.Ajax.get({
					socketAdapter : 'QRcode/mCTbCodeNoPwdAndLimitSet',
					params : {
						ChannelId : '01',
						OpType : "1",
						PwdFreeAmt : PwdFreeAmt,
						DayLimit : DayLimit
					},
					staticData : false,
					success : function(data, result) {
						$('#page1').hide();
						$('#page2').show();
						$("#PwdFreeAmt").val(Fw.util.Format.fmtAmt(data.PwdFreeAmt));
					},
					failure : function(statues, textStatus, error) {
					}
				});
			}
		},
		switchNoPass : function() {
			if (passFlag == 0) {
				Fw.util.Ajax.get({
					socketAdapter : 'QRcode/mCTbCodeNoPwdAndLimitSet',
					params : {
						ChannelId : '01',
						OpType : "1",
						PwdFreeFlag : '1'
					},
					staticData : false,
					success : function(data, result) {
						$('#amt').hide();
						$('#btn').hide();
						$('#kind').hide();
						passFlag = data.PwdFreeFlag;
						$("#PwdFreeAmt").val(Fw.util.Format.fmtAmt(data.PwdFreeAmt));
						$("#freePay").attr("src", "./images/checkfalse.png");
					},
					failure : function(statues, textStatus, error) {
					}
				});
			} else {
				Fw.util.Ajax.get({
					socketAdapter : 'QRcode/mCTbCodeNoPwdAndLimitSet',
					params : {
						ChannelId : '01',
						OpType : "1",
						PwdFreeFlag : '0'
					},
					staticData : false,
					success : function(data, result) {
						$('#amt').show();
						$('#btn').show();
						$('#kind').show();
						passFlag = data.PwdFreeFlag;
						$("#PwdFreeAmt").val(Fw.util.Format.fmtAmt(data.PwdFreeAmt));
						$("#freePay").attr("src", "./images/checktrue.png");
					},
					failure : function(statues, textStatus, error) {
					}
				});
			}

		},
		back : function(){
			if($('#page1').css('display')=='block'){
				Fw.gotoIndex();
			}else{
				$('#page2').hide();
				$('#page1').show();
			}
		},
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
