/**
 * 创建应用
 */
var App = function() {
	var listView;
	return {
		requires : ['Fw.ListView'],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			title : '凭证查询',
			leftButton : {
				handler:function(){
 	    			App.back();
 	    		}
			},
			loadMask: true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
//			var reg ={
//					"stat" : "succ",
//			}
//			App.initTimerGlider(reg);
			Fw.device.Device.QRcodeSign("App.initTimerGlider")
			// 初始化事件
			this.initEvents();

		},
		initTimerGlider : function(reg){
			reg = Fw.decode(reg);
			if(reg.stat == "succ"){
				juicer.register('tranType', function(data){
					var tranType;
					if(data.PayType == 0){
						if(data.OrderType == "31"){
							tranType = "付款";
						}else{
							tranType = "消费";
						}
					}else{
						tranType = "收款";
					}
					return tranType;
	        	});
				juicer.register('fmtName', function(data){
					return App.fmtName(data);
				});
				var date = Fw.getDate();
				listView = new Fw.ListView(
						{
							contentEl : 'list',
							ajax : {
								service : 'codeTranService.queryCodeTranDetail',
								// 请求参数
								params : {
									QueryYm : Fw.util.Format.fmtDate(date,"yyyy MM").replace(" ","")
								},
								pageSize : 20,
								page : true,
								rootProperty : 'result.List',// 响应数据集合
							},
							disclosure: true,
							itemTpl : [
									'<div class="ui-l">',
									'<div style="font-size: 16px;color: #999">',
									'<label>${item.TranTime|fmtDate,"yyyy-MM-dd hh:mm:ss"}</label>',
									'</div>',
									'<div style="color: #333">',
									'<label>${item|tranType}-${item.MerName}{@if item.PayType == "0"}${item.PayeeAcctName|fmtName}{@else}${item.PayAcctName|fmtName}{@/if}',
									'</label><span style="margin-left: 18px;padding-right: 15px;float: right;">{@if item.PayType == "0"}-${item.TranAmt|fmtAmt,"2",false,""}{@else}+${item.TranAmt|fmtAmt,"2",false,""}{@/if}</span>',
									'</div>',
									'</div>', ]
						});
				// 选中记录时触发
				listView.on('itemclick', this.onSelect, this);
				// 查询数据后触发
				listView.ajax.on('query', this.onQuery, this);
				// 查询数据失败
				listView.ajax.on('queryerror', this.onQuery1, this);
				listView.ajax.on('error', this.onError, this);
				// 加载数据
				listView.loadData();
				//手动隐藏等待层
				Fw.LoadMask.hide();
			}else{
				if(reg.stat == "fail"){
					Fw.Msg.info(reg.msg, function(){
						Fw.gotoIndex();
					});
					return;
				}
				Fw.gotoIndex();
			}
			
		},
		fmtName : function(name){
			if(Fw.isEmpty(name) || name.indexOf("*") > -1){
				return name;
			}
			if(name.length == 2){
				name = name.substring(0,1) + "*";
			}else{
				name = name.substring(0,1) + "*" + name.substring(2,name.length)
			}
			return name;
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			
		},
		onSelect : function(record, index, item, e, cmp) {
			$('#page1').hide();
			$('#page2').show();
			if(record.PayType == 0){
				$('#amt').html("-" + Fw.util.Format.fmtAmt(record.TranAmt,"2",false,""));
				if(record.OrderType == "31"){
					$('#transType').html("付款");
					$("#payCode").hide();
				}else{
					$('#transType').html("消费");
					Fw.device.Device.getPayCode(record.PayCert,"App.payCode");
				}
			}else{
				$('#transType').html("收款");
				$("#payCode").hide();
				$('#amt').html("+" + Fw.util.Format.fmtAmt(record.TranAmt,"2",false,""));
			}
			if(record.TranType == "05" || record.TranType == "10"){
				$('#trans').html("交易成功");
			}else{
				$('#trans').html("交易取消");
			}
			$('#payNmae').html(App.fmtName(record.PayAcctName));
			if(Fw.isEmpty(record.PayeeAcctName)){
				$('#payeeName').html(record.MerName);
			}else{
				$('#payeeName').html(App.fmtName(record.PayeeAcctName));
			}
			if(Fw.isEmpty(record.OfferAmt) && record.OfferAmt == "0"){
				$('#tranAmt').html(Fw.util.Format.fmtAmt(record.TranAmt,"2",false,""));
				$('#disCountAmt').hide();
				$('#actualAmt').html(Fw.util.Format.fmtAmt(record.TranAmt,"2",false,""));
			}else{
				$('#tranAmt').html(Fw.util.Format.fmtAmt(Number(record.TranAmt)+Number(record.OfferAmt),"2",false,""));
				$('#disCountAmt').html("-"+Fw.util.Format.fmtAmt(record.OfferAmt,"2",false,""));
				$('#actualAmt').html(Fw.util.Format.fmtAmt(record.TranAmt,"2",false,""));
			}
			$('#transDate').html(Fw.util.Format.fmtDate(record.TranTime));
			$('#payCert').html(record.PayCert);
		},
		payCode : function(data){
			$("#payCode").attr("src","data:image/png;base64," +data);
			$("#payCode").show();
		},
		onQuery : function(ajax, data, result) {
			$("#page2").hide();
		},
		onQuery1 : function(ajax, data, result, error) {
		},
		onError:function(ajax, status, textStatus, error, xhr){
        	$("#"+listView.contentEl+"-loadmore-text").html("未查询到相关记录");
        },
		back : function(){
			if($('#page1').css('display')=='block'){
				Fw.gotoIndex();
			}else{
				$('#page2').hide();
				$('#page1').show();
			}
		},
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
