/**
 * 创建应用
 */
var App = function() {
	var preParams;
	var cloudcardTpl = "";
	var smsCountDown;
	var config;
	var codeAvaNum = -1;
	var ActivateSuccess = false;
	//
	return {
		/**
		 * 依赖组件
		 */
		requires : [ "Fw.SmsCountDown", 'Fw.Keyboard', 'Fw.app.Session' ],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '云闪付卡激活',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {},
			/**
			 * 是否自动显示等待层（默认true） 需手动隐藏等待层
			 */
			loadMask : true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			this.initJuicer();
			cloudcardTpl = require("./other/tpl_card").join('');
			this.initPage();
			// 初始化事件
			this.initEvents();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$("#signSub").on('click', Fw.bind(this.activateFn, this))
			$('#resend-btn').on('click', Fw.bind(this.smsCountDownClick, this));
			$('#startNFC').on('click', Fw.bind(this.openNFC, this));
			$('#setDefaultCard').on('click', Fw.bind(this.setDefaultCard, this));
			document.getElementById("resend-btn").click();
			// 选项卡切换后触发
		},
		initPage : function() {
			preParams = Fw.getParameters();
			var html = Fw.template(cloudcardTpl, {
				'List' : [ preParams ]
			});
			$("#couldCard").html(html);
			$("#couldCard").children().removeClass("ui-form");
			$("#pageB").show();
		},
		/**
		 * 激活 per.MCCloudFlashCardActive
		 */
		activateFn : function() {
			var smsCode = $("#smsCode").val();
			if (null == smsCode || "" == smsCode) {
				Fw.Tips.info("请输入短信验证码");
				return;
			} else if (smsCode.length < 6) {
				Fw.Tips.info("请输入6位的短信验证码");
				return;
			} else if (codeAvaNum == -1) {
				Fw.Msg.info("请重新获取短信验证码");
			} else if (codeAvaNum > 5) {
				Fw.Msg.info("验证码输错次数超限，请重新获取");
				return;
			}
			Fw.LoadMask.show();
			preParams.smsCode = $("#smsCode").val();
			Fw.util.Ajax.get({
				service : 'accountService.getAccount',// 查询加挂账户列表
				// 请求参数
				params : {'type' : '0'},
				staticData : false, // 是否使用数据挡板（默认false）
				success : function(data, result) {
					Fw.device.Device.cloudActivate(preParams, 'App.cloudActivateCallback');
					var cfmflag = true;
					Fw.LoadMask.hide();
				},
				failure : function(status, textStatus, error) {
				}
			});
		},
		cloudActivateCallback : function(data) {
			data = Fw.decode(data);
			if (Fw.isEqual("1", data.STATUS)) {
				var cfmflag = true;
				Fw.device.Device.applyView({
					/**
					 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
					 */
					title : '激活成功',
					leftButton : {
						text : '<',
						handler : function() {
							App.leftButtonHandler();
						}
					},
				});
				// preParams.CloudCardStatus="2";
				// preParams.acStatus="0";
				// var html = Fw.template(cloudcardTpl, {
				// 'List' : [ preParams ]
				// });
				// $("#couldCardSuccess").html(html);
				$("#pageC").show();
				$("#pageB").hide();
				codeAvaNum = 0;
				ActivateSuccess = true;
			} else {
				Fw.Msg.info(data.MSG);
				codeAvaNum++;
			}
			Fw.LoadMask.hide();
		},
		smsCountDownClick : function(e) {
			// 点击发送验证码按钮
			var contentEl = $(e.currentTarget);
			//
			// 倒计时配置参数
			config = {
				// 按钮对象
				contentEl : contentEl,
				// 可配参数：倒计时时间，如果不定义默认是"60秒"
				delay : 60,
				// 可配置参数：倒计时显示文本，如果不定义默认是(59秒)递减
				delayText : '{0}s',
				// 可配参数：倒计时完成后的文本信息，如果不定义默认是"重新发送"
				delayFinishText : '再次发送'
			};

			// 发送短信参数
			var smsParams = preParams;
			// 调用倒计时插件
			smsCountDown = new Fw.SmsCountDown({
				showSmsCountDown : function(config, params) {
					console.log(params);
					var e = config.contentEl;
					e = Fw.isString(e) ? $('#' + e) : e;
					e.attr('disabled', 'disabled');
					config = Fw.apply({}, config, this.defaults);
					this.params = config;
					// 倒计时时间
					var delay = config.delay || this.defaults.delay;
					// 倒计时的文本
					var delayText = config.delayText;
					// 倒计时完成后的文本信息
					var delayFinishText = config.delayFinishText;
					// 倒计时背景色
					var delayBgColor = config.delayBgColor;
					// 倒计时文字颜色
					var delayTextColor = config.delayTextColor;
					// 倒计时完成后的背景色
					var delayFinishBgColor = config.delayFinishBgColor;
					// 倒计时完成后的文本颜色
					var delayFinishTextColor = config.delayFinishTextColor;
					//
					e.css({
						'background-color' : delayBgColor,
						'color' : delayTextColor,
						'border' : '1px solid #60B2FB'
					});
					// 开始时间
					var date1 = new Date();
					// 启动定期器
					var that = this;
					that.cancel();
					//
					this.timer = setInterval(function() {
						// 结束时间
						var date2 = new Date();
						// 时间差的毫秒数
						var date3 = (date2.getTime() - date1.getTime());
						// 计算相差秒数
						var seconds = Math.round(date3 % (24 * 3600 * 1000) % (3600 * 1000) % (60 * 1000) / 1000);
						//
						var fmtDelayText = new String(delayText).format((delay - seconds));
						e.html(fmtDelayText);
						//
						if (seconds == 0 || seconds == delay) {
							//
							that.cancel();
							//
							e.removeAttr("disabled");
							//
							e.css({
								'background-color' : delayFinishBgColor,
								'color' : delayFinishTextColor
							});
							//
							e.html(delayFinishText);
						}
					}, 1000);
					Fw.util.Ajax.get({
						service : 'accountService.getAccount',// 查询加挂账户列表
						// 请求参数
						params : {'type' : '0'},
						staticData : false, // 是否使用数据挡板（默认false）
						success : function(data, result) {
							// 调用安卓客户端方法，客户获取激活码
							Fw.device.Device.getCloudCode(params, "App.callbackFnee");
						},
						failure : function(status, textStatus, error) {
						}
					});
				}
			});
			smsCountDown.showSmsCountDown(config, smsParams);
		},
		callbackFnee : function(data) {
			Fw.LoadMask.hide();
			data = Fw.decode(data);
			if (Fw.isEqual("1", data.STATUS)) {
				Fw.Msg.info("短信验证码已发送到您开卡时预留的手机上");
				codeAvaNum = 0;
			} else if (Fw.isEqual("GENERAL_ERROR", data.CARDID)) {
				Fw.Msg.info("验证码的获取次数超限，请24小时后重新申请云闪付卡");
				codeAvaNum = -1;
				clearInterval(smsCountDown.timer);
				smsCountDown.timer = null;
				var e = config.contentEl || this.params.contentEl;
				e = Fw.isString(e) ? $('#' + e) : e;
				e.removeAttr('disabled');
				e.html("获取验证码");
			} else {
				codeAvaNum = -1;
				clearInterval(smsCountDown.timer);
				smsCountDown.timer = null;
				var e = config.contentEl || this.params.contentEl;
				e = Fw.isString(e) ? $('#' + e) : e;
				e.removeAttr('disabled');
				e.html("获取验证码");
				Fw.Msg.info(data.MSG);
			}
		},

		openNFC : function() {
			Fw.device.Device.gotoNfCOnOf("App.gotoNfCOnOfCallback");
		},
		setDefaultCard : function() {
			Fw.util.Ajax.get({
	       		service:'loginService.getCurrentSession',
	               staticDate:false,
	               //请求成功后回调
	               success: function(data, result) {
	            	   Fw.device.Device.cloudSetDefaultCard(preParams, 'App.defaultCallback');
	               }
	           });
		},
		defaultCallback : function(data) {

			data = Fw.decode(data);
			if (Fw.isEqual(data.STATUS, "1")) {
				Fw.Msg.info("默认卡设置成功", function() {
					Fw.redirect(Fw.getBasePath() + "/page/phone/cloudFlashPay/index.html");
				});
			} else {
				Fw.Msg.info(data.MSG);
			}
			Fw.LoadMask.hide();
		},
		gotoNfCOnOfCallback : function() {
			// Fw.LoadMask.show();
			// Fw.redirect(Fw.getBasePath() +
			// "/page/phone/cloudFlashPay/index.html");
		},
		regxNumber : function(e) {
			var ddd = $(e).val().replace(/\s/g, "");
			var phoneNum = $(e).val().replace(/[^0-9]/g, "");
			$(e).val(phoneNum);
		},
		initJuicer : function() {
			juicer.register("fmtAccLastThree", function(EntityCardNo) {
				return EntityCardNo.substring(EntityCardNo.length - 3);
			});
			juicer.register("JsonToStr", function(data) {
				return JSON.stringify(data);
			});
			juicer.register("fmtDataFn", function(data) {
				return data.substring(0, 4) + "." + data.substring(4, 6) + "." + data.substring(6, 8);
			});
			juicer.register("fmtAcctNofour", function(acc) {
				if (Fw.isEmpty(acc)) {
					return '';
				}
				acc = String(acc).trim(true);
				var tmpStr = '';
				while (acc.length > 4) {
					tmpStr = tmpStr + acc.substring(0, 4);
					tmpStr = tmpStr + '　';
					acc = acc.substring(4, acc.length);
				}
				return tmpStr + acc;
			});
			juicer.register("splicCloudNo", function(acc, num) {
				if (Fw.isEmpty(acc)) {
					return '';
				}
				switch (num) {
				case 1:
					tmpStr = acc.substring((num - 1) * 4, num * 4);
					break;
				case 2:
					tmpStr = acc.substring((num - 1) * 4, num * 4);
					break;
				case 3:
					tmpStr = acc.substring((num - 1) * 4, num * 4);
					break;
				case 4:
					tmpStr = acc.substring((num - 1) * 4, num * 4);
					break;
				case 5:
					tmpStr = acc.substring((num - 1) * 4, num * 4);
					break;
				}
				return tmpStr;
			})
		},
		leftButtonHandler : function() {
			Fw.LoadMask.hidden = true;
			Fw.LoadMask.show();
			if (Fw.isEqual("1", preParams.indexFlag)) {
				Fw.redirect("index.html");
			} else if (ActivateSuccess) {
				Fw.redirect("index.html");
			} else {
				Fw.redirect("index.html");
			}
		},

	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
