/**
 * 创建应用
 */
var App = function() {
	var pageFlag = "0";
	var cmfFlag = true;
	var formId;
	var preParams;
//	银行编号：借记卡：1417 贷记卡：6517
	var bankCode="1417"
	var bankCode1="6517"
	//
	return {
		/**
		 * 依赖组件
		 */
		requires : ['Fw.app.Session'],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '云闪付设置',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
			},
			/**
			 * 是否自动显示等待层（默认true） 需手动隐藏等待层
			 */
			loadMask : true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			preParams = Fw.getParameters();
			if (preParams.AcType == "PCRC" || preParams.AcType == "PCFC") {
				preParams.BankCode = bankCode1;
			}else{
				preParams.BankCode = bankCode;
			}
			this.initShowPage();
			// 初始化事件
			this.initEvents();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$("#" + formId).find("img").each(function(index, e) {
				$(e).on('click', App.callFn);
			});
			$("#cancel").on('click', Fw.bind(this.MCCloudFlashCardCancel, this));
		},
		/**
		 * 根据证件类型和手机系统来区分
		 */
		initShowPage : function() {
			if (Fw.isAndroid) {
				if (preParams.AcType == "PCRC" || preParams.AcType == "PCFC") {
					formId = "HCE_PCRC";
				} else {
					formId = "HCE_PSDC";
				}
			} else {
				if (preParams.AcType == "PCRC" || preParams.AcType == "PCFC") {
					formId = "ApplePay_PCRC";
				} else {
					formId = "ApplePay_PSDC";
				}
			}
			this.initKG(preParams);
		},
		initPage : function() {
			$("#" + formId).find("img").each(function() {
				var id = $(this).attr("id");
				switch (id) {
				case "freePay":// 小额免密支付 显示下面的提示信息
					if ($("#" + formId).find("img[id=" + id + "]").attr("src").indexOf("true") != -1) {
						$("#" + formId).find("div[id=" + id + "_tip]").show();
					} else {
						$("#" + formId).find("div[id=" + id + "_tip]").hide();
					}
					break;
				case "payFn":// 支付功能 显示下面的提示信息
					if ($("#" + formId).find("img[id=" + id + "]").attr("src").indexOf("true") != -1) {
						$("#" + formId).find("div[id=" + id + "_tip]").show();
					} else {
						$("#" + formId).find("div[id=" + id + "_tip]").hide();
					}
					break;
				default:
					break;
				}
			});
		},
		/**
		 * 初始化页面开关
		 */
		initKG : function(params) {
			if (Fw.isEqual("1", params.Flag)) {
				// 默认支付卡卡管
				$("#" + formId).find("img[id=defaultCard]").attr("src", "other/checktrue.png");
			}

			if (Fw.isEqual("2", params.CloudCardStatus)) {
				// 支付功能
				$("#" + formId).find("img[id=payFn]").attr("src", "other/checktrue.png");
				if (formId.indexOf("PCRC") != -1) {
					$("#" + formId).find("div[id=payFn_tip]").show();
//					$(".payLimitMoney").text("1000");
					// 支付限额
				}
			}
			
			if (formId.indexOf("PCRC") != -1) {
				App.MCCloudFCPettyNoPwd("freePay","query");
				this.initPage();
			}else{
				// 手动隐藏等待层
				Fw.LoadMask.hide();
				$("#"+formId).show();
			}
		},

		/**
		 * 方法统合调用
		 */
		callFn : function(e) {
			var name = $(this).attr("id");
			switch (name) {
			case "freePay":// 小额免密设置
				App.MCCloudFCPettyNoPwd(name,"no");
				break;
			case "payFn":// 支付功能设置
				var b = false;
				if ($("#" + formId).find("img[id=" + name + "]").attr("src").indexOf("true") != -1) {
					b = true;
				}
				;
				if (b) {
					App.MCCloudFlashCardLost();
					break;
				} else {
					App.MCCloudFlashCardUnBind();
					break;
				}
			case "defaultCard":
				var b = false;
				if ($("#" + formId).find("img[id=" + name + "]").attr("src").indexOf("true") != -1) {
					b = true;
				}
				if(!b){
					App.setDefaultCard(b);
				}
			}
		},
		/**
		 * per.MCCloudFlashCardCancel 注销
		 */
		MCCloudFlashCardCancel : function() {
			cmfFlag = true;
			Fw.Msg.cfm("注销后将无法凭此云闪付卡办理退货，您确定要将该卡注销吗？", function(code, btn, win) {
				if (Fw.isEqual(code, "yes") && cmfFlag) {
					cmfFlag = false;
					if(Fw.isAndroid){
						Fw.util.Ajax.get({
				       		service:'loginService.getCurrentSession',
				               staticDate:false,
				               //请求成功后回调
				               success: function(data, result) {
				            	   Fw.device.Device.cloudCardCancel(preParams.CloudCardNo,"App.cloudCardCancelCallback");
				               }
				           });
					}else{
						Fw.util.Ajax.execute({
							service : 'cloudFlashService/executeCloudFlashCardCancel',
							params : preParams,
							loadMask : true,
							staticData : false, // 是否使用数据挡板（默认false）
							success : function(data, result) {
								cmfFlag = true;
								Fw.LoadMask.show();
								Fw.redirect("cloudSuccess.html");
							},
							// 请求错误后回调
							failure : function(status, textStatus, error) {
								Fw.LoadMask.hide();
								cmfFlag = true;
							}
						});
					}
				} else {
					return;
				}
			})
		},
		cloudCardCancelCallback:function(data){
			data = Fw.decode(data)
			if(Fw.isEqual(data.STATUS, "1")){
				Fw.Msg.info(data.MSG,function(){
					Fw.LoadMask.show();
					Fw.redirect("cloudSuccess.html");
				});
			}else{
				Fw.Msg.info(data.MSG);
			}
		},
		/**
		 * per.MCCloudFlashCardLost 云闪付卡支付功能暂停
		 */
		MCCloudFlashCardLost : function() {
			Fw.util.Ajax.execute({
				service: 'cloudFlashService/executeCloudFlashCardLost',
				params : preParams,
				loadMask : true,
				staticData : false, // 是否使用数据挡板（默认false）
				success : function(data, result) {
					$("#" + formId).find("img[id=payFn]").attr("src", "other/checkfalse.png");
					if (formId.indexOf("PCRC") != -1) {
						$("#" + formId).find("div[id=payFn_tip]").hide();
					}
					Fw.LoadMask.hide();
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					$("#" + formId).find("img[id=payFn]").attr("src", "other/checktrue.png");
					if (formId.indexOf("PCRC") != -1) {
						$("#" + formId).find("div[id=payFn_tip]").show();
					}
					Fw.LoadMask.hide();
				}
			});
		},
		/**
		 * per.MCCloudFlashCardUnBind 云闪付卡支付功能恢复
		 * 
		 */
		MCCloudFlashCardUnBind : function() {
			Fw.util.Ajax.execute({
				service: 'cloudFlashService/executeCloudFlashCardUnBind',
				params : preParams,
				loadMask : true,
				staticData : false, // 是否使用数据挡板（默认false）
				success : function(data, result) {
					Fw.LoadMask.hide();
					$("#" + formId).find("img[id=payFn]").attr("src", "other/checktrue.png");
					if (formId.indexOf("PCRC") != -1) {
						$("#" + formId).find("div[id=payFn_tip]").show();
					}
//					$(".payLimitMoney").text("1000");
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					Fw.LoadMask.hide();
					$("#" + formId).find("img[id=payFn]").attr("src", "other/checkfalse.png");
					if (formId.indexOf("PCRC") != -1) {
						$("#" + formId).find("div[id=payFn_tip]").hide();
					}
				}
			});
		},
		/**
		 * per.MCCloudFCPettyNoPwd 云闪付卡小额免密的设定
		 */
		MCCloudFCPettyNoPwd : function(name,query) {
			var param = {};
			var b = false;
			//关闭是2 开启是1
			if ($("#" + formId).find("img[id=" + name + "]").attr("src").indexOf("true") != -1) {
				b = true;
			}
			if(Fw.isEqual("query", query)){
				param.ModifyOpt  = "0";
				param.ModifyContent  = "";
				param.ServiceType  = "";//服务类型   44禁止银联境内闪付小额免密
				param.ModifyContentFlag = "0"
			}else{
				param.ModifyOpt = "1";
				if (b) {// 如果免密开启则关闭 设置参数
					param.ModifyContent  = "000000000001";
				} else {// 开启
					param.ModifyContent  = "00000000000002";
				}
				param.ServiceType  = "44";//服务类型   44禁止银联境内闪付小额免密
			}
			var message="";
			param.IsCheckPwd  = "0";//是否检查密码 1校验  0不校验
			param.CardNo  = preParams.EntityCardNo;//卡号
			Fw.apply(preParams, param);
			var cfmf = true;
			if(Fw.isEqual("query", query)){
				App.noPwdFun(name);
			}else{
				if (b) {// 如果免密开启则关闭 设置参数
					Fw.Msg.cfm("您确定关闭？该功能的变更将同时对主卡及主卡的所有云闪付卡和附属卡生效", function(code, btn, win) {
						if (Fw.isEqual("yes", code) && cfmf) {
							cfmf = false;
							App.noPwdFun(name);
						}
					});
				} else {// 开启
					Fw.Msg.cfm("您确定开启？该功能的变更将同时对主卡及主卡的所有云闪付卡和附属卡生效", function(code, btn, win) {
						if (Fw.isEqual("yes", code) && cfmf) {
							cfmf = false;
							App.noPwdFun(name);
						}
					});
				}
			}
		},
		noPwdFun:function(name){
			Fw.util.Ajax.execute({
				 service:'cloudFlashService/executeCloudFCPettyNoPwd',
				// 请求参数
				params : preParams,
				loadMask : true,
				staticData : false, // 是否使用数据挡板（默认false）
				// 请求成功后回调
				success : function(data, result) {
					if(Fw.isEqual("0", preParams.ModifyContentFlag) && Fw.isEqual("2", data.Unqpass)){//Unqpass 0默认  1禁止 2开启
						$("#" + formId).find("img[id=freePay]").attr("src", "other/checktrue.png");
						$("#" + formId).find("div[id=freePay_tip]").show();
						$(".payLimitMoney").text(Fw.util.Format.fmtAmt(data.QpamtdStr,2,false,""));//虚拟卡日累计交易限额
						$("#"+formId).show();
					}else if(Fw.isEqual("0", preParams.ModifyContentFlag) && Fw.isEqual("0", data.Unqpass)){//Unqpass 0默认  1禁止 2开启
						$("#" + formId).find("img[id=freePay]").attr("src", "other/checktrue.png");
						$("#" + formId).find("div[id=freePay_tip]").show();
						$(".payLimitMoney").text(Fw.util.Format.fmtAmt(data.QpamtdStr,2,false,""));//虚拟卡日累计交易限额
						$("#"+formId).show();
					}else if(Fw.isEqual("0", preParams.ModifyContentFlag) && Fw.isEqual("1", data.Unqpass)){//Unqpass 0默认  1禁止 2开启
						$("#" + formId).find("img[id=freePay]").attr("src", "other/checkfalse.png");
						$("#" + formId).find("div[id=freePay_tip]").hide();
						$(".payLimitMoney").text(Fw.util.Format.fmtAmt(data.QpamtdStr,2,false,""));//虚拟卡日累计交易限额
						$("#"+formId).show();
					}else if(Fw.isEqual("0", data.Unqpass) || Fw.isEqual("2", data.Unqpass)){
							$("#" + formId).find("img[id=freePay]").attr("src", "other/checktrue.png");
							$("#" + formId).find("div[id=freePay_tip]").show();
							$(".payLimitMoney").text(Fw.util.Format.fmtAmt(data.QpamtdStr,2,false,""));//虚拟卡日累计交易限额
					}else if(Fw.isEqual("1", data.Unqpass)){
							$("#" + formId).find("img[id=freePay]").attr("src", "other/checkfalse.png");
							$("#" + formId).find("div[id=freePay_tip]").hide();
							$(".payLimitMoney").text(Fw.util.Format.fmtAmt(data.QpamtdStr,2,false,""));//虚拟卡日累计交易限额
					}
					Fw.LoadMask.hide();
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					$("#" + formId).find("img[id=freePay]").attr("src", "other/check" + b + ".png");
					if ($("#" + formId).find("img[id=" + name + "]").attr("src").indexOf("true") != -1) {
						$("#" + formId).find("div[id=freePay_tip]").show();
					} else if($("#" + formId).find("img[id=" + name + "]").attr("src").indexOf("false") != -1){
						$("#" + formId).find("div[id=freePay_tip]").hide();
					}
					Fw.LoadMask.hide();
				}
			});
		},
		/**
		 * 设置默认支付卡，调用客户端方法 安卓
		 */
		setDefaultCard : function(b) {
			if (b) {// 已是默认支付卡的取消默认设置
				preParams.setDefalutFlag = "0";
			} else {// 不是默认支付卡的设置为默认支付卡
				preParams.setDefalutFlag = "1";
			}
			Fw.util.Ajax.get({
	       		service:'loginService.getCurrentSession',
	               staticDate:false,
	               //请求成功后回调
	               success: function(data, result) {
	            	   Fw.device.Device.cloudSetDefaultCard(preParams, 'App.defaultCallback');
	               }
	           });
		},
		/**
		 * 设置默认支付卡回调函数
		 */
		defaultCallback : function(data) {
			data = Fw.decode(data);
			if(Fw.isEqual("1", data.STATUS)){
				if ($("#" + formId).find("img[id=defaultCard]").attr("src").indexOf("true") != -1) {
					$("#" + formId).find("img[id=defaultCard]").attr("src", "other/checkfalse.png");
				} else {
					$("#" + formId).find("img[id=defaultCard]").attr("src", "other/checktrue.png");
				}
			}
			Fw.LoadMask.hide();
		},
	/**
	 * 左边按钮点击事件
	 */
	 leftButtonHandler: function(){
		 if(Fw.isAndroid){
			 Fw.LoadMask.show();
		 }
		 Fw.redirect("index.html");
	 }
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
