/**
 * 创建应用
 */
var App = function() {
    var pageFlag="0";
    var nullFalge = Fw.getParameters("nullFale");//获取前一个页面传过来的参数，以判断返回时跳转页面
    var clientPFlag = Fw.getParameters("clientPFlag");
    //
    return {
        /**
         * 依赖组件
         */
        requires: ['Fw.app.Session'
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '云闪付',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                //text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 是否自动显示等待层（默认true）
             * 需手动隐藏等待层
             */
            loadMask: false
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	if(Fw.isEmpty(Fw.app.Session.getCifNo())){
        		Fw.Msg.info("您的登录信息已经超时，请重新登录！",function(){
        			Fw.device.Device.gotoLogin('page/phone/cloudFlashPay/indexApply.html',true)
        		})
        		return;
        	}
        	Fw.device.Device.checkCloud('App.checkCloud');
        	if(Fw.isIOS){
        		Fw.device.Device.addEvent('NEW_03', {
                    type : 'CLOSE'
                });
        		Fw.device.Device.addEvent('NEW_03', {
                    type : 'CLOSE'
                });
        	}else{
        		Fw.LoadMask.show();
        	}
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
            //选项卡切换后触发
            $("#apply_btn").on("click",Fw.bind(this.onButtonClick,this));//添加显示申请
            $(".ui-text-font2").on('click',Fw.bind(this.showCloudSer,this));
            $("#pageA").show();
            Fw.LoadMask.hide();
        },
        
        checkCloud:function(data){
        	if (Fw.isEqual(data, "yes")) {
        		// 初始化事件\
				App.initEvents();
			} else {
				Fw.Msg.info("您的手机版本暂不支持云闪付功能", function() {
					Fw.gotoIndex();
				});
			}
        },
        
        /**
         * 点击按钮时触发（保存、重置、重发验证码）
         */
        onButtonClick: function(e){
        	if(Fw.isAndroid){
        		Fw.LoadMask.show();
        		Fw.redirect("flashPayApply.html",Fw.getParameters());
        	}else{
        		Fw.redirect("./flashPayApply_ios.html",Fw.getParameters());
        	}
        },
        showCloudSer:function(){
        	this.showPage("pageB","1")
        },
        showPage:function(pageId,flag){
        	pageFlag = flag;
        	$(".pagesel").hide();
        	$("#"+pageId).show();
        },
        /**
         * 左边按钮点击事件
         */
        leftButtonHandler: function(){
        	if(Fw.isEqual("0", pageFlag)){
        		if(Fw.isEqual("1", nullFalge) || Fw.isEqual("1", clientPFlag)){//如果是1则表示没有云闪付卡列表信息   从index页面传过来的参数
        			Fw.gotoIndex();//返回客户单页面
        		}else{
        			Fw.redirect("./index.html");
        		}
        	}else{
        		App.showPage("pageA","0")
        	}
        	
        }
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
