/**
 * 创建应用
 */
var App = function() {
    var form,no,acNo,money,cry,params;
    /*var beforeData = [];//初始化页面时的数据
    var afterData = [];//
    var datacash = [];
    var e_actCancellation = Fw.getParameters();//获取销户页面提现参数
*/    //
    return {
        /**
         * 依赖组件
         */
        requires : [
            //表单
            'Fw.Form',
            //安全键盘
            'Fw.Keyboard',
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '提现',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 是否自动显示等待层（默认true）
             * 需手动隐藏等待层
             */
            loadMask: true
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
            this.queryAll();
            this.initform();
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	// form.submit()成功时触发
			form.on('submit', this.doSubmit, this);
            $('#submit-btn').on('click',Fw.bind(this.next,this));
            $("#inputMoney").on('input',Fw.bind(this.moneyFunction,this));
            Fw.Keyboard.onHidden = function() {
				// 1.定位设置页面y轴 解决表单不悬浮提示
				$('body').css({
					'top' : '0px'
				});
				if (Fw.isEmpty(this.target.val()) && !Fw.isEmpty(Fw.util.Storage.get(this.target.attr('name')))) {
					this.target.attr('placeholder', Fw.util.Storage.get(this.target.attr('name')));
					Fw.util.Storage.remove(this.target.attr('name'));
				}

				// sm 是否重启动键盘
				Fw.Keyboard.showKeyboard = true;
				
				if(Fw.isEqual(this.target.attr('name'), "field")){
					var momey = Fw.util.Format.unFmtAmt($("#inputMoney").val());
					if(Fw.isEqual(momey, '0')){
						Fw.Tips.info('金额不能为0')
						$("#inputMoney").val("").change();
					}
				}
			};
        },
        //初始化form
        initform:function(){
        	 form = new Fw.Form({
                 //EL
                 contentEl : 'form',
                 //是否激活重置事件（默认false）
                 //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                 resettable: false,
                 //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                 msgTarget: 'tips'
             });
        	//初始化事件
             this.initEvents();
        },
        moneyFunction:function(){
			//收款行是否可以点击标识
			var m = Fw.util.Format.unFmtAmt($("#inputMoney").val());
			//保留小数点后的0
			var v=$("#inputMoney").val().trim()+"";
	    	if(v.indexOf("¥")==0){
	    	   v=v.substring(1,v.length);
	    	}
	    	v=v.replaceAll(",","");
	    	var money;
	    	if(v.indexOf('.')>11){
				money = v.slice(0,v.indexOf('.')-1)+v.slice(v.indexOf('.'), v.length);
			}else{
				money = v.slice(0,v.length-1);
			}
			if(!/^[0-9]+\.?(\d{2})?$/.test(v)){
				if(/^(([1-9]\d*)|0)(\.\d+)?$/.test(v)){
					if((v.length-v.indexOf('.')-1)>2){
						console.log(2);
						$("#inputMoney").val(money).change();
					}
				}else{
					console.log(3);
					$("#inputMoney").val(money).change();
				}
			}else{
				if(!/^[0-9]{1,11}([.][0-9]{1,2})?$/.test(m)){
 					$("#inputMoney").val(money).change();
				}
			}
		},
        //下一步
        next:function(){
//        	Fw.Msg.info(Fw.encode(form.getValues()));
        	form.submit();
        },
		/**
		 * 查询详情
		 */
		queryAll:function(){
			Fw.util.Ajax.query({
				service:'eAccountManage/queryEaccountCifInfoQry',				// 数据源（服务接口）
				// 请求参数
				params : {
					eflag:"1",
				},
				// 是否使用数据挡板（默认false） 
//				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					params=data;
					//电子账户
					no=data.EAcNo;
					//绑定卡
					acNo=data.AcNo;
					//回显电子账户
					$('#no').html(no);
					App.queryMoney();					
				}
			});
		},
		//查询余额
		queryMoney:function(){
			Fw.util.Ajax.query({
				socketAdapter : 'eAccountManageService/queryEMoney',
				// 数据源（服务接口）
				// 请求参数
				params : {
					eAcNo:no,//卡号
					acctFlag:'1',//电子账户
					eflag:"1",
				},
				// 是否使用数据挡板（默认false） 
//				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
				    availbalAll=Fw.util.Format.fmtAmt(data.AvailbalAll);
					//可用余额
                    $('#availbalAll').html(availbalAll);  
                    $('#cry').html("人民币");
                    $('#acNo').html(acNo);
				}
			});
		},

        /**
         * 提交表单
         */
        doSubmit: function(values){
        	 var money=Fw.util.Format.unFmtAmt($("#inputMoney").val());
        	 var cry="人民币";
 			  params.availbalAll=availbalAll;
 			  params.cry=cry;
 			  params.money=Fw.util.Format.fmtAmt($('#inputMoney').val());
 			  params.upper=$('#upper').val();
			if(money>Fw.util.Format.unFmtAmt(availbalAll)){
				Fw.Msg.info("提现金额不能超过账户余额",function(){});
			}else{
				Fw.redirect("eAccountCashTwo.html",params);
			}
        },
        leftButtonHandler:function(){
        	Fw.gotoIndex();
        }
    };
}();

/**   
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
