/**
 * 创建应用
 */
var App = function() {
	var form, MCSJnlNo;
	var value = Fw.getParameters();
	//
	return {
		/**
		 * 依赖组件
		 */
		requires : [
		// 表单
		'Fw.Form', 'Fw.PayControls' ],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '提现详情',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
			// 自定义按钮标题（默认'返回'）
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			// handler: XXX
			},
		/**
		 * 是否自动显示等待层（默认true） 需手动隐藏等待层
		 */
		// loadMask: false
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			form = new Fw.Form({
				// EL
				contentEl : 'form',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			// 回显
			this.showForm(value);
			this.initEvents();

			// 手动隐藏等待层
			Fw.LoadMask.hide();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$('#submit-btn').on('click', Fw.bind(this.next, this));
		},
		// 点击下一步按钮
		next : function() {
			var showInfo = [];
			/**
			 * type
			 * 
			 * S&AP 短信验证码+账户密码 U&AP U-key密码+账户密码(pc端) AP 账户密码 CTP 信用卡交易密码 SMS
			 * 短信验证码 IC&AP IC卡+账户密码(手机端)
			 */
			Fw.device.Device.payControls("E_AP", showInfo, 'App.showNotePayType');

		},
		showNotePayType : function(record, type, isObject) {

			if (Fw.isEqual(isObject, "false") || !isObject) {
				record = Fw.decode(record);
			}
			Fw.util.Ajax.query({
				service : 'eAccountManage/executeECash',
				// 数据源（服务接口）
				// 请求参数
				params : {
					eceAcctNo : value.AcNo,//
					eacctNo : value.EAcNo,// 电子账户
					trsPassword : record.pwd,// 电子账户交易密码
					trsAmount : Fw.util.Format.unFmtAmt(value.money),// 转入金额
					// remark:'建材购买111',//资金用途
					acName : value.UserName,// 客户姓名
					eflag : '1',
				},
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					MCSJnlNo = data._MCSJnlNo;
					value.MCSJnlNo = MCSJnlNo;
					Fw.redirect('eAccountCashThree.html', value);
				}
			});
		},
		/**
		 * 回显数据
		 */
		showForm : function(data) {
			var items = $('#form').find('[data-name]');
			var name = '', el;
			items.each(function(index, item) {
				el = $(item);
				name = el.attr('data-name');
				el.html(data[name]);
			});
		},
		leftButtonHandler : function() {
			Fw.redirect(Fw.getBasePath() + "/page/phone/eAccountManage/eAccountCash/eAccountCash.html")
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
