/**
 * 创建应用
 */
App.smsDiy = function() {
    var pageFlag="0";
    var smsCountDown;
    //
    return {
        /**
         * 依赖组件
         */
        requires: ["Fw.SmsCountDown"
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
            
        },
        smsCountDownClick : function(e,preParams) {
			// 点击发送验证码按钮
			var contentEl = $(e.currentTarget);
			//
			// 倒计时配置参数
			config = {
				// 按钮对象
				contentEl : contentEl,
				// 可配参数：倒计时时间，如果不定义默认是"60秒"  XXX
				delay : 60,
				// 可配置参数：倒计时显示文本，如果不定义默认是(59秒)递减
				delayText : '{0}s',
				// 可配参数：倒计时完成后的文本信息，如果不定义默认是"重新发送"
				delayFinishText : '再次发送'
			};

			// 发送短信参数
			var smsParams = preParams;
			// 调用倒计时插件
			smsCountDown = new Fw.SmsCountDown({
				showSmsCountDown : function(config, params) {
					console.log(params);
					var e = config.contentEl;
					e = Fw.isString(e) ? $('#' + e) : e;
					e.attr('disabled', 'disabled');
					config = Fw.apply({}, config, this.defaults);
					this.params = config;
					// 倒计时时间
					var delay = config.delay || this.defaults.delay;
					// 倒计时的文本
					var delayText = config.delayText;
					// 倒计时完成后的文本信息
					var delayFinishText = config.delayFinishText;
					// 倒计时背景色
					var delayBgColor = config.delayBgColor;
					// 倒计时文字颜色
					var delayTextColor = config.delayTextColor;
					// 倒计时完成后的背景色
					var delayFinishBgColor = config.delayFinishBgColor;
					// 倒计时完成后的文本颜色
					var delayFinishTextColor = config.delayFinishTextColor;
					//
					e.css({
						'background-color' : delayBgColor,
						'color' : delayTextColor,
						'border' : '1px solid #60B2FB'
					});
					// 开始时间
					var date1 = new Date();
					// 启动定期器
					var that = this;
					that.cancel();
					//
					this.timer = setInterval(function() {
						// 结束时间
						var date2 = new Date();
						// 时间差的毫秒数
						var date3 = (date2.getTime() - date1.getTime());
						// 计算相差秒数
						var seconds = Math.round(date3 % (24 * 3600 * 1000) % (3600 * 1000) % (60 * 1000) / 1000);
						//
						var fmtDelayText = new String(delayText).format((delay - seconds));
						e.html(fmtDelayText);
						//
						if (seconds == 0 || seconds == delay) {
							//
							that.cancel();
							//
							e.removeAttr("disabled");
							//
							e.css({
								'background-color' : delayFinishBgColor,
								'color' : delayFinishTextColor
							});
							//
							e.html(delayFinishText);
						}
					}, 1000);
					// 调用安卓客户端方法，客户获取激活码
					Fw.util.Ajax.get({
		        		socketAdapter : 'eAccountManageService/querySmsCode',
						params : params,
						// 请求成功后回调
						success : function(data, result) {
						},
					});
				}
			});
			smsCountDown.showSmsCountDown(config, smsParams);
        }
    }
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App.smsDiy);
