/**
 * 创建应用
 */
var App = function() {
	var form;
	//
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Form',// 表单验证组件
		             //安全键盘
		             'Fw.Keyboard',
		             ],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : 'E平台登录',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
				// 自定义按钮标题（默认'返回'）
				text : '左边按钮',
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			},
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			form = new Fw.Form({
				// EL
				contentEl : 'form',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			// 手动隐藏等待层
			Fw.LoadMask.hide();
			this.initEvents();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
//			$("#eLoginName").val("35010119870421003X").change();
//			$("#passWord").val("a123456").change();
			// form.on('change', this.onChange, this);
			// 触发提交事件前（校验前）触发
			form.on('beforesubmit', this.beforeSubmit, this);
			// 触发提交事件触发
			form.on('submit', this.doSubmit, this);
			// 点击按钮时触发（保存、重置、重发验证码）
			$("#submit").tap(Fw.bind(this.onButtonClick, this));
		},
		/**
		 * e平台登录
		 */
//		queryLgName : function() {
			
//		},
		
		/**
		 * 触发提交事件前触发
		 */
		beforeSubmit : function(values) {
			/*if(Fw.isEmpty(values.NewLoginId)){
				Fw.Tips.info("请输入新登录名");
			}
			else if (!App.checkLgName(values.NewLoginId)) {
				Fw.Tips.info("登录名格式不正确，请重新设置");
				return false;
			} else {
				return true;
			}*/
		},
		/**
		 * 登录名修改提交per.MCUpdateUserChannelLoginId
		 */
		doSubmit : function(data, record, type) {
			Fw.util.Ajax.execute({
				service : 'eAccountManage/executePlatformLogin',
				// 请求参数
				params : {
					loginId:data.eLoginName,//'35010119870421003X',
					loginType:'MB',
					password:data.password,
					eflag:"1"
				},
				staticData : false, // 是否使用数据挡板（默认false）
				// 请求成功后回调
				success : function(data, result) {
//					Fw.redirect(Fw.getBasePath()+"/page/phone/eAccountManage/eAccountManage.html");
					Fw.device.Device.eplatfromLogin({flag:"1"});
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					// alert(status);
					// return false;
				}
			});
		},
		onButtonClick : function() {
//			var password=$('#passWord').val();
//			if(Fw.isEmpty(password)){
//				Fw.Tips.info("请输入登录密码");
//			   return;
//			}else{
				form.submit();
//			}
			
		},
		/**
		 * 检查登录名是否符合命名规则
		 */
//		checkLgName : function(values) {
//			if (/^[a-zA-Z0-9]+$/.test(values) && /^(?=.*?[a-zA-Z])/.test(values)) {// 判断是否是有数字和字母组成·
//				return true;
//			}else{
//				return false;
//			}
//		},

		leftButtonHandler : function() {
			Fw.gotoIndex();
		},
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
