/**
 * 创建应用
 */
var App = function() {
	var form,no,acNo,availbalAll,params;
	var dataVaules={};
	//
	return {
		/**
		 * 依赖组件
		 */
		requires : [
		// 表单
		'Fw.Form',
		//安全键盘
        'Fw.Keyboard',
		],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '充值',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
				// 自定义按钮标题（默认'返回'）
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			// handler: XXX
			},
		/**
		 * 是否自动显示等待层（默认true） 需手动隐藏等待层
		 */
		 loadMask: true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 定义表单
			form = new Fw.Form({
				// EL
				contentEl : 'form',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			//
			this.queryAll();
			// 初始化事件
			this.initEvents();
			Fw.Keyboard.onHidden = function() {
				// 1.定位设置页面y轴 解决表单不悬浮提示
				$('body').css({
					'top' : '0px'
				});
				if (Fw.isEmpty(this.target.val()) && !Fw.isEmpty(Fw.util.Storage.get(this.target.attr('name')))) {
					this.target.attr('placeholder', Fw.util.Storage.get(this.target.attr('name')));
					Fw.util.Storage.remove(this.target.attr('name'));
				}
				// sm 是否重启动键盘
				Fw.Keyboard.showKeyboard = true;
				if(Fw.isEqual(this.target.attr('name'), "field")){
					var momey = Fw.util.Format.unFmtAmt($("#inputMoney").val());
					if(Fw.isEqual(momey, '0')){
						Fw.Tips.info('金额不能为0')
						$("#inputMoney").val("").change();
					}
				}
			};
		},
		/**
		 * 查询详情
		 */
		queryAll:function(){
			Fw.util.Ajax.query({
				service:'eAccountManage/queryEaccountCifInfoQry',
				// 数据源（服务接口）
				// 请求参数
				params : {
					eflag:"1",
				},
				// 是否使用数据挡板（默认false） 
//				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					params=data;
					//电子账户
					no=data.EAcNo;
					//绑定卡
					acNo=data.AcNo;
					//判断是否为本行卡接口数据
					dataVaules.IdNo=data.IdNo;
					dataVaules.AccountNo=data.AcNo;
					//回显电子账户
					$('#acNo').html(acNo);
					App.queryCrad();
				}
			});
		},
		//判断是否为本行卡
		queryCrad:function(){
			Fw.util.Ajax.get({
        		socketAdapter : 'eAccountManageService/queryEAccountCard',
				params : dataVaules,
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					values=data.OutputExpr.split(",");
					if(values[2]=="0"){
						Fw.Msg.info("暂不支持他行卡充值",function(){
							Fw.gotoIndex();
						})
					}else{
						App.queryMoney();
					}
				}
			});
		},
		/**
		 * 查询可用余额
		 */
		queryMoney:function(){
			Fw.util.Ajax.query({
				socketAdapter: 'accountService/mCAccountBalanceQuery',
				// 数据源（服务接口）
				// 请求参数
				params : {
					AcNo:acNo,
					eflag:"1"
				},
				// 是否使用数据挡板（默认false） 
//				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
				    availbalAll=Fw.util.Format.fmtAmt(data.AvailBal);
					//可用余额
                    $('#money').html(availbalAll);  
                    $('#cry').html("人民币");
                    $('#no').html(no);
				}
			});
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			// 触发提交事件前（校验前）触发
			form.on('beforesubmit', this.beforeSubmit, this);
			// form.submit()成功时触发
			form.on('submit', this.doSubmit, this);

			$('#submit-btn').on('click', Fw.bind(this.next, this));
			 $("#inputMoney").on('input',Fw.bind(this.moneyFunction,this));
		},
		moneyFunction:function(){
			//收款行是否可以点击标识
			var m = Fw.util.Format.unFmtAmt($("#inputMoney").val());
			//保留小数点后的0
			var v=$("#inputMoney").val().trim()+"";
	    	if(v.indexOf("¥")==0){
	    	   v=v.substring(1,v.length);
	    	}
	    	v=v.replaceAll(",","");
	    	var money;
	    	if(v.indexOf('.')>11){
				money = v.slice(0,v.indexOf('.')-1)+v.slice(v.indexOf('.'), v.length);
			}else{
				money = v.slice(0,v.length-1);
			}
			if(!/^[0-9]+\.?(\d{2})?$/.test(v)){
				if(/^(([1-9]\d*)|0)(\.\d+)?$/.test(v)){
					if((v.length-v.indexOf('.')-1)>2){
						console.log(2);
						$("#inputMoney").val(money).change();
					}
				}else{
					console.log(3);
					$("#inputMoney").val(money).change();
				}
			}else{
				if(!/^[0-9]{1,11}([.][0-9]{1,2})?$/.test(m)){
 					$("#inputMoney").val(money).change();
				}
			}
		},
		/**
		 * 表单文本输入框、多行文本输入框输入时触发（不含单选、多选、下拉框） 失去焦点时出发
		 * 
		 * @param {String}
		 *            输入框名称
		 * @param {Object}
		 *            值
		 * @param {Object}
		 *            旧值
		 * @param {Fw.Form}
		 *            Form组件
		 */
		/**
		 * 触发提交事件前触发
		 */
		beforeSubmit : function(values) {
		},
		/**
		 * 提交表单
		 */
		doSubmit : function(values) {
			//添加对象数据
			var cry="人民币";
			params.availbalAll=availbalAll;
			params.cry=cry;
			params.money=Fw.util.Format.fmtAmt($('#inputMoney').val());
			params.upper=$('#upper').val();
			Fw.redirect("main1.html",params)
		},
		// 下一步
		next : function() {
			//表单验证
            form.submit();
		},
		/**
		 * 点击按钮时触发（保存、重置、重发验证码）
		 */
		onButtonClick : function(e) {
		},
		leftButtonHandler : function() {
			Fw.gotoIndex();
		},
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
