/**
 * 创建应用
 */
var App = function() {
	
	// 数据集
	var formValue = {"BookingFlag":"REAL","Code":"CNY","BranchId":"","PayeeBranchName":"","PayeeBankName":"","BankId":"","_LoginType":"O","_AuthMode":"O"};
	// 本行他行标识
	var BankType;
	// 本金
	var Amount
	// 本息
	var moneyPlus;
	// 利息
	var inteRate;
	// 表单
	var form;
	// 步骤初始化值
	var stepNum = 1;
	// 验证方式
	var checkWay = "S&AP";
	//客戶號
	var custNo;
	
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Form',
		// 列表
		'Fw.ListView',
		// 导入底部滑出下拉选择
		'Fw.DropDownList', 'Fw.Tab', 'Fw.Steps',
		// 支付控件
		'Fw.PayControls', 'Fw.app.Session',
		// 安全键盘
		'Fw.Keyboard',
		],
		viewConfig : {
			title : '开户',
			leftButton: {
                text: '返回',
                handler:function(){
        			App.back();
        		}
			},
			loadMask : true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 页面传值
			var params = Fw.getParameters()||{};
			App.sccparams = params;
			stepNum = 1;
			$("#accountName").val(params.ClientName); // 收款人
			$("#accountMoney").val(params.PayNo);	// 收款账号
			$('#startAcount').text('起存金额'+params.StartMoney+'元');// 起存金额
			$('#startAcount').val(params.StartMoney);
			$("#money").on('blur', Fw.bind(this.formatMoney, this));
			if(App.sccparams.flag == '1' || App.sccparams.flag == '2'){
				document.getElementById("rateId").style.display="none";
				document.getElementById("kindlyTips").style.display="none";
			}
			Fw.Keyboard.onHidden = function() {
				App.formatMoney();
				// 1.定位设置页面y轴 解决表单不悬浮提示
				$('body').css({
					'top' : '0px'
				});
				if (Fw.isEmpty(this.target.val()) && !Fw.isEmpty(Fw.util.Storage.get(this.target.attr('name')))) {
					this.target.attr('placeholder', Fw.util.Storage.get(this.target.attr('name')));
					Fw.util.Storage.remove(this.target.attr('name'));
				}
				// sm 是否重启动键盘
				Fw.Keyboard.showKeyboard = true;
			};
			// 初始化显示步骤页面
			this.initPage(stepNum);
			//客戶號
			this.IFValidate();
			// 表单一
			this.form();
			this.initEvents();
			Fw.LoadMask.hide();
		},
		
		/**
		 * 初始化显示步骤页面
		 */
		initPage : function(num) {
			if (num == 1) {
				$('#step1').show();
				$('#step2').hide();
				stepNum = num;
			} else if (num == 2) {
				$('#step1').hide();
				$('#step2').show();
				stepNum = num;
			}
		},
		// 表单
		form : function() {
			// 定义表单
			form = new Fw.Form({
				// EL
				contentEl : 'form',
				resettable : false,
				msgTarget : 'tips'
			});
		},
		// 金额控件
		formatMoney : function() {
			var inputVal = Fw.util.Format.fmtAmt($("#money").val());
			$("#money").val(inputVal);
			if(!Fw.isEmpty(inputVal)){
				$("#next").removeAttr("disabled");
			}
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$('#submit-btn').on('click', Fw.bind(this.submitSuccessList, this));
			// 点击下一步
			$("#next").on('click', Fw.bind(this.next, this));
			$("#money").on('input',Fw.bind(this.moneyFunction,this));
			// 试算
			$("#btn").on('click',Fw.bind(this.rateMoney,this));
			Fw.LoadMask.hide();
		},
		// 金额绑定事件
		moneyFunction:function(){
			var m = Fw.util.Format.unFmtAmt($("#money").val());
			// 保留小数点后的0
			var v=$("#money").val().trim()+"";
	    	if(v.indexOf("¥")==0){
	    	   v=v.substring(1,v.length);
	    	}
	    	v=v.replaceAll(",","");
	    	var money;
	    	if(v.indexOf('.')>11){
				money = v.slice(0,v.indexOf('.')-1)+v.slice(v.indexOf('.'), v.length);
			}else{
				money = v.slice(0,v.length-1);
			}
	    	money = Fw.util.Format.fmtAmt(money);
			if(!/^[0-9]+\.?(\d{2})?$/.test(v)){
				if(/^(([1-9]\d*)|0)(\.\d+)?$/.test(v)){
					if((v.length-v.indexOf('.')-1)>2){
						$("#money").val(money).change();
					}
				}else{
					$("#money").val(money).change();
				}
			}else{
				if(!/^[0-9]{1,11}([.][0-9]{1,2})?$/.test(m)){
 					$("#money").val(money).change();
				}
			}
		},
		//獲取客戶號
		IFValidate : function(){
			Fw.util.Ajax.get({
				socketAdapter : 'fixedCurrentTransferService/MCCifCoreNoChanage',
				params : { 
					CustChrt: '1',// 客户类别  1 对私 2对公
					ConvType: '2',//  1 ECIF客户号 2核心客户号(如核心客户号转为ECIF客户号填2)
					CustNo: App.sccparams.CustNo//应该定义为待转换客户号
				},
				
				success : function(data, result) {
					custNo = data.CustNo;
					App.InfoDetailQry();
				},
			});
		},
		//客户信息查询
		InfoDetailQry : function (){
			Fw.util.Ajax.get({
				socketAdapter : 'registService/executeInfoDetail',
				params : {
					custNo : custNo,//客戶號
				},
				success : function(data, result) {
					CommAddr = data.TablePerAddrList.TablePerAddrT.Address;					//通讯地址
					Sex = data.StructPerInfoT.Sex;											//性别
					IssDate = data.TablePerCertList.TablePerCertT.CertValidDateFrom;    	//签发日期
					AbateDate = data.TablePerCertList.TablePerCertT.CertValidDateTo;		//失效日期
					ClientShortName = data.StructPerInfoT.ShortName;						//客户简称
					ClientName = data.StructPerInfoT.CustName;								//客户名称
					VocationCode = data.StructPerInfoT.Occup;								//职业代码
					Mobile = data.TablePerPhoneList[0].Phone;								//手机号码
					CntryCode = '';															//国家代码
					VerifyResult = data.TablePerCertList.TablePerCertT.CertVerifyResult;	//账户核实结果
					OpenAcctBranchId = data.StructPerInfoT.BelongOrg;						//开户机构
				},
			});
		},
		// 试算
		rateMoney : function(){
			var date = App.sccparams.DeptDateYear;
			Amount=Fw.util.Format.unFmtAmt($("#money").val());
			if(Amount == ""){
				Fw.Tips.info("请输入转账金额");
				return
			}else{
				if(date == '003' && App.sccparams.BookingFlag == 'threeMonth'){
					inteRate = ((parseFloat(Amount) * 1000000) * (parseFloat(App.sccparams.InteRate)*1000000) * (3/12)) / 100000000000000;
				} else if(date == '006'){
					inteRate = ((parseFloat(Amount) * 1000000) * (parseFloat(App.sccparams.InteRate)*1000000) * (6/12)) / 100000000000000;
				}else if(date == '001'){
					inteRate = ((parseFloat(Amount) * 1000000) * (parseFloat(App.sccparams.InteRate)*1000000) * 1) / 100000000000000;
				}else if(date == '002'){
					inteRate = ((parseFloat(Amount) * 1000000) * (parseFloat(App.sccparams.InteRate)*1000000) * 2) / 100000000000000;
				}else if(date == '003'){
					inteRate = ((parseFloat(Amount) * 1000000) * (parseFloat(App.sccparams.InteRate)*1000000) * 3) / 100000000000000;
				}else if(date == '005'){
					inteRate = ((parseFloat(Amount) * 1000000) * (parseFloat(App.sccparams.InteRate)*1000000) * 5) / 100000000000000;
				}
				moneyPlus = Amount + Fw.util.Format.unFmtAmt(inteRate);
				$('#rateAcount').val(Fw.util.Format.fmtAmt(moneyPlus));
			}
		},
		
		
	
		// 下一步
		next : function () {
			Amount=Fw.util.Format.unFmtAmt($("#money").val());
			if(Amount == ""){
				Fw.Tips.info("请输入转账金额");
				return 
			}
			
			if(Amount == "0"){
				Fw.Tips.info("转账金额不能为0");
				return 
			}
			// 判断余额是否充足
			if(parseFloat(Fw.util.Format.unFmtAmt($("#money").val())) > parseFloat(Fw.util.Format.unFmtAmt(App.sccparams.Balance))){
				Fw.Msg.info("账户余额不足");
				return;
			}
			if(parseFloat(Fw.util.Format.unFmtAmt($("#startAcount").val())) > parseFloat(Fw.util.Format.unFmtAmt($("#money").val()))){
				Fw.Msg.info("转账金额小于起存金额，请重新输入");
				return;
			}
			if(Fw.isEmpty(IssDate) || Fw.isEmpty(AbateDate) || Fw.isEmpty(OpenAcctBranchId) || Fw.isEmpty(ClientShortName) || Fw.isEmpty(ClientName)){
				Fw.Msg.info("客户信息不全，请先至柜台维护");
				return;
			}
			var viewConfig = {
					title : '活期转定期',
					leftButton : {
						handler : function(){
							App.back();
						}
					},
				}
			Fw.device.Device.applyView(viewConfig);

			$("#step1").hide();
			$("#step2").show();
			stepNum = 2;
			$("#moneyTrans").val(Fw.util.Format.fmtAmt($("#money").val()));
			$("#balanceMoneyTrans").html("人民币  "+Fw.util.Format.fmtAmt2Chinese($("#money").val()));
			$("#accountTrans").val(App.sccparams.ParentAcctNo);// 付款账号
			$("#accountNameTrans").val(App.sccparams.ClientName);// 客户名称
			$("#accountMoneyTrans").val(App.sccparams.PayNo);// 收款账号
			$("#feeBankTrans").html(App.sccparams.BankName);// 收款行
			$("#deptTermMoneyTrans").val(App.sccparams.DeptTermMoney);// 储种/存期
			$("#intRateMoneyTrans").val(App.sccparams.IntRateMoney);// 利息浮动率
	},
		// 支付控件
		submitSuccessList : function() {
			Amount=Fw.util.Format.unFmtAmt($("#money").val());
			if(App.sccparams.ExistStatus == '4'){
				Fw.Msg.info('此卡为转收益');
 				return;
			}else if(App.sccparams.ExistStatus == '1'){
				Fw.Msg.info('此卡已销户');
 				return;
			}else if(App.sccparams.ExistStatus == '2'){
				Fw.Msg.info('此卡为挂失结清');
 				return;
			}else if(App.sccparams.ExistStatus == '3'){
				Fw.Msg.info('此卡为不动户');
 				return;
			}
			if(App.sccparams.CvnLockFlag == '1'){
				Fw.Msg.info('此卡CVN锁定');
 				return;
			}
			if(App.sccparams.ActiveFlag == '1'){
				Fw.Msg.info('此卡批量开卡未激活');
				return;
			}
			if(App.sccparams.AcctState == '3'){
				Fw.Msg.info('主账户已冻结');
				return;
			}
			if(App.sccparams.ConfiscateCardFlag == '1'){
				Fw.Msg.info('此卡没收/吞卡');
				return;
			}
			if(App.sccparams.CardExistStatus == '1'){
				Fw.Msg.info('此卡销卡');
				return;
			}
			if(App.sccparams.StopayBlockedFlag == '1'){
				Fw.Msg.info('主账户不收不付');
				return;
			}
			if(App.sccparams.AcceptNopayBlockedFlag == '1'){
				Fw.Msg.info('主账户只收不付');
				return;
			}
			if(App.sccparams.PartialFreezeFlag == '1'){
				Fw.Msg.info('主账户部分冻结');
				return;
			}
			if(App.sccparams.PasswordLossStatus == '1'){
				Fw.Msg.info('此卡密码挂失口挂');
				return;
			}else if(App.sccparams.PasswordLossStatus == '2'){
				Fw.Msg.info('此卡密码挂失书挂');
 				return;
			}
			if(App.sccparams.CertLossStatus == '1'){
				Fw.Msg.info('此卡凭证挂失口挂');
				return;
			}else if(App.sccparams.CertLossStatus == '2'){
				Fw.Msg.info('此卡凭证挂失书挂');
 				return;
			}else if(App.sccparams.CertLossStatus == '3'){
				Fw.Msg.info('此卡挂失换证');
 				return;
			}else if(App.sccparams.CertLossStatus == '4'){
				Fw.Msg.info('此卡挂失口挂');
 				return;
			}else if(App.sccparams.CertLossStatus == '5'){
				Fw.Msg.info('此卡挂失书挂');
 				return;
			}
			// 调用密码和短信控件
			var showInfo = [];
        	// 发送短信参数
        	var smsParams = {
    				tranType : '080104', // 080103-互联网银行客户端非转账类交易验证
    				// 080104-互联网银行客户端转账交易验证
    				payerAcct : $("#accountTrans").val(), // 付款账号 交易类型080104-必传
    				payeeAcct : $("#accountMoney").val(), // 收款账号
															// 交易类型080104-必传
    				payeeAcctName : "<![CDATA["+$("#accountName").val()+"]]>", // 收款人
																				// 交易类型080104-必传
    				trsAmount : Amount,// 交易金额 交易类型080104-必传
        		};
        	var cardNews = {
					passwordType:'T',// 借记卡 T 信用卡 B
					cardNo:$("#accountMoney").val(),
			};
        	// 发送短信验证码
        	Fw.device.Device.payControls(checkWay, showInfo,'App.showNotePayType',smsParams,cardNews,formValue);
		},
		showNotePayType : function(record, type, isObject) {
			if (Fw.isEqual(isObject, "false")||!isObject) {
				record = Fw.decode(record);
			}
			$("#submit-btn").attr("disabled","disabled");
			Fw.util.Ajax.execute({
        		service : 'fixedCurrentTransferService',
				method : 'executeOpenAcctPwdCheckedPwd',
        		params: {
	        			CoreCustNo: Fw.app.Session.get("custId"),// 客户号
	        			AcctSerialNo: "00000000",// 账户顺序号
	        			DepTerm: App.sccparams.DeptDateYear,// 存期
	        			DepTermUnit: App.sccparams.DeptDateYearClass,// 存期单位
	        			IntStartDate: " ",// 起息日
	        			CashTtClass: "0",// 钞/汇类别
	        			DepAmt: Fw.util.Format.unFmtAmt($("#money").val()),// 存款金额
	        			OpenAcctDrawType: "1",// 开户账号支取方式
	        			OpenAcctPwd: "",// 开户账号密码
	        			IntetstPlan: App.sccparams.IntPlan,// 利息计划
	        			FloatIntRate: App.sccparams.FloatIntRate,// 利息浮动率
	        			FloatIntRateFlag: "1",// 利息浮动率标识
	        			NoticeKind: "",// 通知种类
	        			DrawIntCycle: "000",// 取息周期
	        			ZeroCycle: App.sccparams.ZeroCycleMoney,// 零整周期
	        			SealCardNo: App.sccparams.SealCardNo,// 印鉴卡号码
	        			CertNo: "",// 凭证号码
	        			TranClass: "2",// 交易类别 2-转账
	        			DrAcctNo: App.sccparams.PayNo,// 借方帐号
	        			DrAcctDrawType: "1",// 借方账号支取方式
	        			DrAcctPwd: record.pwd,// 借方账号密码
	        			ComProp: "",// 单位性质
	        			FundSource: "",// 款项来源
	        			PayCertType: "",// 支付凭证类型
	        			PayCertNo: "",// 支付凭证号码
	        			PayRemarkCode: "66",// 付款摘要码
	        			ExpireIndiCode: App.sccparams.ExpireIndiCode,// 到期指示代码
	        			ReservRedepositFlag: App.sccparams.ReservRedepositFlag,// 预约转存标志
	        			IssuConFirmBookFlag: "",// 是否签发证实书 0否1是
	        			ConfirmBookNo: "",// 证实书号码
	        			AcctName: Fw.app.Session.get("name"),// 账户名称
	        			Ccy: "01",// 币种 01人民币
	        			ProductGroupClass: App.sccparams.ProductGroupClassMoney,// 产品组别
																				// 整整1通知2
																				// 6-零整
	        			ProductCode: App.sccparams.ProductCode,// 产品代码
	        			ParentAcctNo: App.sccparams.PayNo,// 总户账号
	        			CustChrt: "1",// 客户性质 1-个人客户 2-业客户 3-同业客户
	        			RemarkMsg: "",// 备注信息
	        			GlobalType: Fw.app.Session.get("identtype"),// 证件类型
	        			GlobalId: Fw.app.Session.get("identno"),// 证件号码
	        			ChargeOffNo: "",// 销账编号
	        			DrParentAcctNo: App.sccparams.PayNo,// 借方总帐号
	        			CcyCode: "01",// 货币代号
	        			Amt: "0",// 金额
	        			CashTicketInfo: "0",// 券别信息
	        			CashPrjCode: "",// 现金项目代码
	        			AssCashAmt: "0",// 辅币金额
	        			OddCashAmt: "0",// 找零金额
	        			OddCashTicketInfo: "0",// 找零券别信息
	        			OddAssCashAmt: "00000000000000000",// 找零辅币金额
	        			CloseBussSerialNo: "",// 销账序号
	        			PayerName: Fw.app.Session.get("name"),// 付款人名称
	        			PayBankName: "",// 付款银行名称
	        			GessBankName: "",// 经办银行名称
	        			RemitNo: "",// 汇款编号
	        			ExpRecvRemitClearNo: "",// 出口收汇核销单编号
	        			ExpInvoiceNo: "",// 出口发票号
	        			Remark: "",// 备注
	        			FeeFlag: "",// 收费标志
	        			FeeAmt: "00000000000000000",// 手续费金额
	        			ChargeNoExchFeeFlag: "",// 收取无兑换手续费标志
	        			NoExchFeeFlag: "00000000000000000",// 无兑换手续费
	        			CertType1: "",// 凭证类型1
	        			CertNo1: "",// 凭证号码1
	        			ChargePostFlag: "",// 收取邮电费标志
	        			PostAmt:"00000000000000000",// 邮电费金额
	        			CertType2: "",// 凭证类型2
	        			CertNo2: "",// 凭证号码2
	        			FeeFlag1: "",// 收费标志
	        			FeeAmt1: "00000000000000000",// 手续费金额1
	        			CertType3: "",// 凭证类型3
	        			CertNo3: "",// 凭证号码3
	        			BookFlag: "1",// 有无折标志 0- 有折 1- 无折 填1-无折
	        			GageGlNo: "",// 保证金科目号
	        			DrWriteOffNo: "",// 借方销帐编号
	        			DrSerialNo: "000",// 借方顺序号
	        			ExchBranchId: "",// 交换行号
	        			ConvertFrontAmt:"00000000000000000",// 折算前金额
	        			FtaAcctAttr:"0",// 自贸区账户属性 第一位： 0-非自贸区账户
										// 1-自由贸易账户（居民）2-自由贸易账户（非居民） 3-非自由贸易账户
										// 第二位：保留，默认空
	        			TrackMsg:"",// 磁道信息
	        			NewOpenAcctNo:"",// 新开账号
	        			BillIssueDate:"",// 出票日期
	        			PayPwd:"",// 支付密码
	        			OppsAcctName:"",// 对方户名
	        			OppsOpenAcctBranchName:"",// 对方开户行名称
	        			SuppleBillNo:"00000000",// 补充报单号
	        			EnsureDdl:"000",// 保证期限
	        			EnsureDdlUnit:"",// 保证期限单元
	        			FeeFlag2: "2",// 收费标志2 0免收,1半额手续费2全额
	        			FeeAmt2:"",// 手续费金额2
	        			IntRateProduct: App.sccparams.IntRateProduct,// 利率产品代码
	        			IssDate: IssDate,// 签发日期
	        			AbateDate: AbateDate,// 失效日期
	        			CntryCode: CntryCode,// 国家代码 156
	        			VocationCode:VocationCode,// 职业代码
	        			Sex: Sex,// 性别
	        			CommAddr:CommAddr,// 通讯地址
	        			Mobile: Mobile,// 手机号码
	        			VerifyResult: VerifyResult,// 账户核实结果
	        			OpenAcctBranchId:  OpenAcctBranchId,// 开户机构
	        			ClientShortName: ClientShortName,// 客户短名
	        			ClientName: ClientName,// 客户名称
	        			AcctOpenBranchId:"",// 账号开户机构
	        			EchannelFlag:"",// 电子渠道标志 0或空-有开户凭证 1-无开户凭证
                },
                // 请求成功后回调
                success: function(data, result) {
                	var flagvalue = {
        					Amount : Fw.util.Format.unFmtAmt($("#money").val()),
        					DeptTermMoney: App.sccparams.DeptTermMoney,// 储种存期
        					IntRateMoney: App.sccparams.IntRateMoney,// 利率
        					ParentAcctNo: App.sccparams.ParentAcctNo,// 付款账号
        					ClientName: App.sccparams.ClientName,// 客户名称
        					PayNo: App.sccparams.PayNo,// 收款账号
        					BankName: App.sccparams.BankName,// 收款行
        				};
                	Fw.redirect("../../phone/fixedCurrentTransfer/success.html",flagvalue);
                },
                // 请求错误后回调
				failure : function(status, textStatus, error) {
					Fw.LoadMask.hide();
					$("#submit-btn").removeAttr("disabled");
				}
			 });
		},
		// 返回
		back: function(){
			if(stepNum == "1"){
				var urltemp = Fw.getBasePath() +'/page/phone/fixedCurrentTransfer/main.html';
	         	Fw.redirect(urltemp);
			}else if(stepNum == "2"){
				var viewConfig = {
						title : '开户',
					}
				Fw.device.Device.applyView(viewConfig);
				$('#step2').hide();
				$('#step1').show();
				$("#money").val("");
				$("#rateAcount").val("");
				$("#next").attr("disabled",true);
				stepNum=1;
			}
        },
	}
}();
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
