/**
 * 创建应用
 */
var App = function() {
	var tpl = [
	           '{@each List as item}',
	           '<div onclick="App.toMyCard(${item.index})" class="card-c ui-border-tb">',
	           '<div class="left icon">',
    				'<img src="./images/zic.png">',
    		   '</div>',
    		   '<div class="left card-d">',
    				'<div class="pu-name">${item.DeptSeq|SimN,item.BankAcType}</div>',
    				'<div class="card-n">${item.BankAcType|cardType} | 尾号{@if item.BankAcType == "PPDC" || item.BankAcType == "PDBC" || item.BankAcType == "PSDC"}${item.CardNo|fmtAcctNoEnd}{@else}${item.ActNO|fmtAcctNoEnd}{@/if}</div>',
    		   '</div>',
    		   '<div class="right card-b">{@if item.BankAcType == "PTIM" || item.BankAcType == "PMCT"}${item.TDCCActBal|fmtAmt}{@else}${item.CCDCactBal|fmtAmt}{@/if}</div>',
    		   '</div>',
    		   '<div class="ui-margin-t-15"></div>',
	           '{@/each}'
	           ];
    return {
        /**
         * 依赖组件
         */
        requires: [
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            title: '我的资产',
            leftButton: {
                handler:function(){
        			Fw.gotoIndex();
        		}
        	}
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	this.initEvents();
            this.queryAccount();
        },
        initEvents : function(){
        	$('#allMoney').on('click', Fw.bind(this.toMyAsset, this));
        },
        /**
         * 查询数据 
         */
        queryAccount: function(){
            //获取数据
            Fw.util.Ajax.get({
            	service: 'myAssetService.getMyAsset',
                success: function(data, result) {
                	App.data = data;
                	$("#allMoney").html(Fw.util.Format.fmtAmt(data.TotalActualBal));
                	App.initAccount(data);
                },
            });
        },
        initAccount : function(data){
        	juicer.register("cardType", function(data){
        		var name = '未知';
        		if(data == 'PMCT'){
        			name = '定期一本通';
        		}
        		if(data == 'PTIM'){
        			name = '定期存单';
        		}
        		if(data == 'PSDP'){
        			name = '存折';
        		}
        		if(data == 'PSDC'){
        			name = '储蓄卡';
        		}
        		if(data == 'PDBC'){
        			name = '储蓄卡';
        		}
        		if(data == 'PMCS'){
        			name = '存折';
        		}
        		if(data == 'PPDC'){
        			name = '储蓄卡';
        		}
        		if(data == 'SAT'){
        			name = '存折';
        		}
        		return name;
        	});
        	juicer.register('SimN', function(bankId,cardType){
        		return Fw.SimN(bankId,cardType);
        	});
        	if(data.List != null && data.List != ""){
        		var html = Fw.template(tpl, data);
        		$('#card').html(html);
        	}else{
        		$('#card').html('<div style="height: 35px;line-height: 36px;padding-left: 15px;color: #999;">您当前未加挂储蓄账户，可在账户管理中进行添加</div>');
        	}
        	$('#cardContent').show();
        	//手动隐藏等待层
        	Fw.LoadMask.hide();
        },
        toMyCard : function(data){
        	Fw.device.Device.myCard(App.data, data);
        },
        toFinance : function(){
        	Fw.device.Device.gotoMenuName("投资理财");
        },
        getoFinance : function(data){
        	if(data == "T"){
        		Fw.device.Device.noClinetAppTitle('page/pub/finance/myFinance/main.html?pageid=1');
        	}else{
        		Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
        		return;
        	}
        },
        toAccountBook : function(){
        	Fw.device.Device.getMenuPower("其他服务", "M051101", "App.getoAccountBook");
        },
        getoAccountBook : function(data){
        	if(data == "T"){
        		var pageParam = {aimUrl:"/page/pageMenu/moreMenu.html"};
        		Fw.device.Device.noClinetAppTitle('page/phone/accountBook/Note/main.html?pageParam='+Fw.decode(pageParam));
        	}else{
        		Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
        		return;
        	}
        },
        toAccount : function(){
        	Fw.device.Device.getMenuPower("账户管理", "M050200", "App.getoAccount");
        },
        getoAccount : function(data){
        	if(data == "T"){
        		Fw.device.Device.gotoAccount('0');
        	}else{
        		Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
        		return;
        	}
        },
        toMyAsset : function(){
        	Fw.device.Device.noClinetAppTitle('page/pub/myEcharts/main.html?cardType=0');
        },
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
