/**
 * 创建应用
 */
var App = function() {
	var tpl2 = [
				'{@each List as item}',
				'<div  class="card-c ui-border-tb" {@if item.loadType == 1}onclick="App.toMyCreditCard(${item.index})"{@/if}>',
				'<div class="left icon">',
    				'<img class="icon_b" src="./images/zic.png">',
    			'</div>',
    			'<div class="left card-d">',
    				'<div>${item.CardTypeName}</div>',
    				'<div class="card-n">尾号${item.CreditCardNo|fmtAcctNoEnd}</div>',
    			'</div>',
    			'<div class="right card-b">{@if item.loadType == 0}<span class="load-color">加载失败</span><img onclick="App.loadInit()" alt="" src="../../../images/transfer_accounts/zhuanzhang-1212_03.png" class="ui-photo-b ui-hand">{@else}${item.CurRepayAllAmtCny|fmtAmt}{@/if}(账单金额)</div>',
    			'</div>',
    			'<div class="ui-margin-t-15"></div>',
				'{@/each}'
		     ];
	var tpl = [
				'{@each List as item}',
				'<div class="card-c ui-border-tb" {@if item.loadType == 1}onclick="App.toMyCreditCard(${item.index})"{@/if}>',
				'<div onclick="App.toMyCreditCard(${item.CreditCardNo})" class="left icon">',
    				'<img class="icon_b" src="./images/zic.png">',
    			'</div>',
    			'<div class="left card-d">',
    				'<div>${item.CardTypeName}</div>',
    				'<div class="card-n">尾号${item.CreditCardNo|fmtAcctNoEnd}</div>',
    			'</div>',
    			'<div class="right card-b">{@if item.loadType == 0}<span class="load-color">加载失败</span><img onclick="App.loadInit()" alt="" src="../../../images/transfer_accounts/zhuanzhang-1212_03.png" class="ui-photo-b ui-hand">{@else}${item.Balance|fmtAmt}{@/if}(总欠款额)</div>',
    			'</div>',
    			'<div class="ui-margin-t-15"></div>',
				'{@/each}'
		     ];
    return {
        /**
         * 依赖组件
         */
    	requires : [ 'Fw.app.Session' ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            title: '我的负债',
            leftButton: {
                handler:function(){
        			Fw.gotoIndex();
        		}
        	},
        	loadMask: true
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	this.queryAccount();
        	//初始化事件
            this.initEvents();
        },
        initEvents : function(){
        	$('#allMoney').on('click', Fw.bind(this.toMyAsset, this));
        },
        loadInit : function(){
        	App.queryAccount();
        },
        doSurl : function() {
			var version = Fw.app.Session.get("app_no");
			if (Fw.isIOS && App.getConvertVersion(version) > App.getConvertVersion("2.0.2")) {
				var url = Fw.cont.cup_url;
				Fw.device.Device.openBrowUrl(url);
			} else if (Fw.isAndroid && App.getConvertVersion(version) > App.getConvertVersion("2.0.5")) {
				var url = Fw.cont.cup_url;
				Fw.device.Device.openBrowUrl(url);
			} else {
				Fw.Msg.info("请下载更新手机银行至最新版本后使用");
			}
		},
		getConvertVersion : function(version) {
			try {
				if (version == undefined || version == "") {
					return 0;
				} else {
					var m = version.split(".");
					var v = parseInt(m[0] * 100) + parseInt(m[1] * 10) + parseInt(m[2]);
					return v;
				}
			} catch (err) {
				return 0;
			}
		},
        /**
         * 查询数据 
         */
        queryAccount: function(reful){
            //获取数据
            Fw.util.Ajax.get({
            	service: 'accountService.getAccount',
                //请求参数
                params: {
                	type : '5',
                	refur : reful
                },
                //请求成功后回调
                success: function(data, result) {
                	$('#lastDate').html("更新时间：" + data.lastDate)
                	App.data = data;
                	//初始化菜单
                	App.initAccount(data);
                },
                //请求错误后回调
                failure: function(status, textStatus, error) {
                	App.data = data;
                	//初始化菜单
                	App.initAccount(data);
                }
            });
        },
        initAccount : function(data){
        	var list = data.List;
        	var data1 = [];
        	var data2 = [];
        	var allMoney = Number(0);
        	var xyk = Number(0);
        	var phk = Number(0);
        	for(var i=0;i<list.length;i++){
        		var cardType = list[i].CardType;
        		if(cardType == 0){
        			data1.push(list[i]);
        			if("" == list[i].CurRepayAllAmtCny){
        				xyk += parseFloat(0);
        			}else{
        				xyk += parseFloat(list[i].CurRepayAllAmtCny);
        			}
        		}
        		if(cardType == 1){
        			data2.push(list[i]);
        			if("" == list[i].Balance){
        				phk += parseFloat(0);
        			}else{
        				phk += parseFloat(list[i].Balance);
        			}
        		}
        	}
        	allMoney += parseFloat(xyk + phk);
        	$('#allMoney').html(Fw.util.Format.fmtAmt(allMoney));
        	//渲染模板
        	if("" != data1){
        		var html = Fw.template(tpl2, {"List":data1});
        		$('#creditList').html(html);
        	}else{
        		$('#creditList').html('<div style="font-size: 14px;height: 35px;line-height: 36px;padding-left: 15px;color: #999;background: #fff;">您当前未加挂信用卡，可在账户管理中进行添加</div><div class="ui-margin-t-15"></div>');
        	}
        	if("" != data2){
        		var html2 = Fw.template(tpl, {"List":data2});
        		$('#puhuiList').html(html2);
        	}else{
        		$('#puhuiList').html('<div style="font-size: 14px;height: 35px;line-height: 36px;padding-left: 15px;color: #999;background: #fff;">您当前未加挂普惠卡，可在账户管理中进行添加</div><div class="ui-margin-t-15"></div>');
        	}
        	$('#cardContent').show();
        	Fw.LoadMask.hide();
        },
        toMyCreditCard : function(data){
        	Fw.device.Device.myCreditCard(App.data, data);
        },
        toAccountBook : function(){
        	Fw.device.Device.getMenuPower("其他服务", "M051101", "App.getoAccountBook");
        },
        getoAccountBook : function(data){
        	if(data == "T"){
        		var pageParam = {aimUrl:"/page/pageMenu/moreMenu.html"};
        		Fw.device.Device.noClinetAppTitle('page/phone/accountBook/Note/main.html?pageParam='+Fw.decode(pageParam));
        	}else{
        		Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
        		return;
        	}
        },
        toAccount : function(){
        	Fw.device.Device.getMenuPower("账户管理", "M050200", "App.getoAccount");
        },
        getoAccount : function(data){
        	if(data == "T"){
        		Fw.device.Device.gotoAccount('1');
        	}else{
        		Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
        		return;
        	}
        },
        toLoan : function(){
        	Fw.device.Device.gotoMenuName("我的贷款");
        },
        toMyAsset : function(){
        	Fw.device.Device.noClinetAppTitle('page/pub/myEcharts/main.html?cardType=1');
        },
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);