var App = function() {
	var OpenInAmtFlag;
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.app.Session', 'Fw.ListView' ],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			title : '我的III类账户',
			leftButton : {
				handler : function() {
					App.back();
				}
			},
			loadMask : true,
		},
		back : function() {
			Fw.gotoIndex();
		},
		/**
		 * 初始化 应用入口
		 */
		init : function() {
			// 手动隐藏等待层
			Fw.LoadMask.hide();

			this.initList();
			// 初始化事件
			this.initEvents();
			// 初始化数据
			// this.queryAccount();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			// $('.ui-list li').on('click', Fw.bind(this.Click, this));
		},
		initList : function() {
			listView = new Fw.ListView(
					{
						contentEl : 'list',
						ajax : {
							service : 'accountService',
							method : 'queryAccountOfLevelsQry',
							pageSize : 10,
							rootProperty : 'result.List',
							params : {
								CustNo : Fw.app.Session.getCifNo(),
								PriAcctFlag : '3'
							},
						},
						pullRefresh : true,
						disclosure : false,
						itemTpl : [
								'<div class="cardItem ui-box-shadow">',
								'<div class="card-header bg-color ui-h-card-t-color">',
								'</div>',
								'<div class="card-body">',
								'<div class="left x-icon x-icon-nx"></div>',
								'<div class="center">',
								'<div class="ui-nowrap maginB5">尾号${item.CardNo|fmtAcctNoEnd}</div>',
								'<div class="alias ui-nowrap">电子借记卡</div>',
								'</div>',
								'<div class="right">',
								'{@if item.IdentConfirm == 1 && item.ChannelInAmtFlag.substring(1, 2)==0}<div class="maginB5">☆</div><div class="color-EF2525 ui-nowrap">未开通入金功能</div>{@/if}',
								'{@if item.IdentConfirm == 1 && item.ChannelInAmtFlag.substring(1, 2)==1}<div class="maginB5">★</div><div class="color-EF2525 ui-nowrap">已开通入金功能</div>{@/if}',
								'</div>', '</div>', '</div>' ]
					});
			listView.on('itemclick', this.listItemClick, this);
			 //查询数据后触发
            listView.ajax.on('query', this.onQuery, this);
        	listView.loadData();
		},
		 /**
         * 查询数据后触发
         * @param {Object} Ajax对象
         * @param {Object} 响应数据（result[Fw.Ajax.rootProperty]部分）
         * @param {Object} 响应数据（全部）
         */
        onQuery : function(ajax, data, result) {
        	juicer.register('SimN', function(bankId, cardType) {
				return Fw.SimN(bankId, cardType);
			});
        	if(data.length==0){
        		var html='<div id="listNote-loadmores" class="x-loadmore ui-loading-wrap ui-border-t"><p id="listNotice-loadmore-text" class="x-loadmore-text">未查询到相关记录</p></div>';
        		$('#listNote').append(html);
        	}
        	
        	//1-可以开通;
        	//0-不可开通
        	OpenInAmtFlag=result.result.OpenInAmtFlag;

        },
		listItemClick : function(record, index, item, e, cmp) {
			console.log(record);

			var AcNo = record.CardNo;
			var EntryFlag = record.ChannelInAmtFlag.substring(1, 2);
			var IdentConfirm = record.IdentConfirm;
			
			if (IdentConfirm == "0") {
				Fw.Msg.info('该账户不支持该功能!', function() {
					return;
				});
			}
			else if(OpenInAmtFlag=="0"&&EntryFlag=="0"){
				Fw.Msg.info('只允许一个Ⅲ类账户开通此功能!', function() {
					return;
				});
			}
			else {
				var url = "accountManager.html";
				if (!Fw.isEmpty(url)) {
					Fw.redirect(url, {
						'cardType' : '0',
						'AcNo' : "" + AcNo,
						'EntryFlag' : EntryFlag,
					});
				} else {
					Fw.Msg.info('请尽快维护URL')
				}
			}
		},
		/**
		 * 一次性获取全部账户数据
		 */
		/*
		 * queryAccount : function() { Fw.util.Ajax.query({ service :
		 * 'accountService.queryAccountOfLevelsQry', // method: '', // 数据源（服务接口） //
		 * 请求参数 params : { CustNo : Fw.app.Session.getCifNo(), PriAcctFlag : '3' }, //
		 * 是否使用数据挡板（默认false） staticData : false, // 请求成功后回调 success :
		 * function(data, result) { console.log(data); // 初始化菜单
		 * App.initAccount(data, 0); } }); }, initAccount : function(data, type) {
		 * juicer.register('SimN', function(bankId, cardType) { return
		 * Fw.SimN(bankId, cardType); }); var list = data.List;
		 * 
		 * var html = Fw.template(tap, data);
		 * 
		 * if (null != list && "" != list) { $('#list').html(html); } else {
		 * $('#list').html('<li><div style="height: 41px;line-height:
		 * 26px;margin-left: 30px;color: #999;cursor: default;">您账户下无第三类账户</div></li>'); } //
		 * 初始化事件 App.initEvents(); },
		 */
		/**
		 * 左边按钮点击事件
		 */
		leftButtonHandler : function() {
		},
	}
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
