/**
 * 创建应用
 */
var App = function() {
	var container = $('body');
	var sign = 0;
	var form, param, select_data_Account;
	var buttons = $('button');
	var listView, tpl;
	var dropDownList;
	var endDateEl = $('#endT');
	var beginDateEl = $('#beginT');
	return {
		requires : [ 'Fw.Form', 'Fw.Calendar', 'Fw.ListView', 'Fw.DropDownList', ],
		viewConfig : {
			title : '交易明细',
			leftButton : {
				handler : function() {
					App.back();
				}
			},
			loadMask : true,
		},
		back : function() {
			if ($('#main_page').css('display') == 'block') {
				if (Fw.isPhone) {
					Fw.gotoIndex();
				} else if (!Fw.isEmpty(Fw.getParameters("aimUrl"))) {
					var urltemp = Fw.getBasePath() + Fw.getParameters("aimUrl");
					Fw.redirect(urltemp, Fw.getParameters());
				} else {
					var urltemp = Fw.getBasePath() + '/page/pageMenu/moreMenu.html';
					Fw.redirect(urltemp);
				}
			} else {
				$('#sub_page').hide();
				$('#main_page').show();
				console.log(sign);
				container.scrollTop(sign);
			}
		},
		init : function(require) {
			if (Fw.isPhone) {
				$('#down_btn').hide();
			} else {
				$('#down_btn').show();
			}
			form = new Fw.Form({
				contentEl : 'form',
				resettable : false,
				msgTarget : 'tips'
			});
			tpl = require('../tpl/003.tpl').join('');
			$('#beginT').val(App.getFullDate(0, -1));
			$('#endT').val(App.getFullDate());
			dropDownList = new Fw.DropDownList({
				displayNo : false,
				displayName : 'option',
				cursorBtn : false
			});
			this.initEvents();
			this.getAccounts();
		},
		initEvents : function() {
			$('#serach_info_trap').on('click', Fw.bind(this.serachInfoActive, this));
			$('#serach_info .quickBtn').on('click', Fw.bind(this.quickSearch, this));
			$('#search_btn').on('click', Fw.bind(this.normalSearch, this));
			$('#down_btn').on('click', Fw.bind(this.normalDown, this));
			$('#Account').on('click', Fw.bind(this.showDropDownListClick, this));
			dropDownList.on('itemClick', Fw.bind(this.itemClick, this));
			$('.calendarInput').on('change', Fw.bind(this.dateLogic, this));
		},
		dateLogic : function(e) {
			var $that = $(e.currentTarget);
			var beginday = new Date(beginDateEl.val());
			var yb = beginday.getFullYear();
			var mb = beginday.getMonth();
			var db = beginday.getDate();
			var newday = new Date(yb, mb + 6, db);
			var endday = new Date(endDateEl.val());
			var ye = endday.getFullYear();
			var me = endday.getMonth();
			var de = endday.getDate();
			if (beginday > endday) {
				endDateEl.val(App.newDate(yb, mb, db));
			} else {
				if (newday < endday) {
					if ($that.attr("id") == "endT") {
						beginDateEl.val(App.newDate(ye, me - 6, de + 1))
					} else {
						endDateEl.val(App.newDate(yb, mb + 6, db - 1))
					}
				}
			}
		},
		initList : function() {
			listView = new Fw.ListView(
			{
				contentEl : 'transDetailList',
				ajax : {
					service : 'accountService',
					method : 'queryTrsDetail',
					pageSize : 5,
					rootProperty : 'result.List',
				},
				disclosure : true,
				itemTpl : [
						'<div class="detail_list_div_li">',
						'<div class="div_listLeft" ></div>',
						'<div style="margin-left:30px;border-bottom: 1px solid #E6E6E6;">',
						'<div style="margin-right: 30px;" class="" >',
						'<div class="div2">',
						'${item.TranDate|fmtDate}',
						'</div>',
						'{@if (item.DrCrFlagV1 != undefined)}',
						'{@if (item.DrCrFlagV1 == "C")}',
						'<div class="div_listRight color-FF8245">',
						'${item.TranAmt|fmtAmt}',
						'</div>',
						'<div class="div_listRight li_title color-FF8245">',
						'收入',
						'</div>',
						'{@else}',
						'<div class="div_listRight color-83AF22">',
						'${item.TranAmt|fmtAmt}',
						'</div>',
						'<div class="div_listRight li_title color-83AF22">',
						'支出', '</div>', '{@/if}', '{@else}',
						'<div class="div_listRight">',
						'${item.TranAmt|fmtAmt}', '</div>', '{@/if}',
						'</div>', '</div>', '</div>' ]
			});
			listView.ajax.on('beforequery', this.onBeforeQuery, this);
			listView.on('itemclick', this.toSubPage, this);
			listView.ajax.on('query', this.onQuery, this);
			listView.ajax.on('queryerror', this.onQueryError, this);
			listView.ajax.on('error', this.onError, this);
			param = {
				'AcNo' : $('#fade_input_account').attr("data-value"),
				'QryFlag' : 2,
				'BeginDate' : "",
				'EndDate' : "",
				'MyPageSeq' : "",
			}
			listView.loadData();
		},
		onQueryError : function(ajax, data, result, error) {
			$("#transDetailList").empty();
		},
		onError : function(ajax, status, textStatus, error, xhr) {
			if ($('.Btnactive').html() != undefined) {
				var temp = $('.Btnactive').html() + "交易";
				if (ajax.params.QryFlag == '1') {
					temp += " 共0笔";
				}
				$('#dynamic_title').html(temp);
			} else {
				var temp = $('#beginT').val() + "至" + $('#endT').val() + "交易 共0笔"
				$('#dynamic_title').html(temp);
				$('#serach_info_trap').trigger("click");
			}
			$("#" + listView.contentEl + "-loadmore-text").html("未查询到相关记录");
			if (Fw.decode(xhr.response).error == "3010100DPS9999") {
				return false;
			}
		},
		onBeforeQuery : function(ajax, message, url) {
			ajax.setParams({
				'MyPageSeq' : ''
			})
			ajax.setParams(param);
		},
		onQuery : function(ajax, data, result) {
			param['MyPageSeq'] = result.result['_PageId'];
			if ($('.Btnactive').html() != undefined) {
				var temp = $('.Btnactive').html() + "交易";
				if (ajax.params.QryFlag == '1') {
					temp += " 共" + result.total + "笔";
				}
				$('#dynamic_title').html(temp);
			} else {
				var temp = $('#beginT').val() + "至" + $('#endT').val() + "交易 共" + result.total + "笔"
				$('#dynamic_title').html(temp);
				if ($('#serach_info').css('display') == 'block') {
					$('#serach_info_trap').trigger("click");
				}
			}
			Fw.LoadMask.hide();
		},
		getAccounts : function() {
			Fw.util.Ajax.get({
				service : 'accountService',
				method : 'getAccount',
				params : {
					type : '0',
				},
				success : function(data, result) {
					if (data.List.length == 0) {
						Fw.Msg.cfm('您的账户尚未加挂储蓄账户!', function(code, btn, win) {
							App.back();
						});
					} else {
						select_data_Account = data.List;
						console.log(data.List);
						for (var i = 0; i < select_data_Account.length; i++) {
							var tempLen = (select_data_Account[i].No).length;
							select_data_Account[i].option = Fw.SimN(select_data_Account[i].DeptSeq) + App.accDete(select_data_Account[i].BankAcType) + " " + ("" + select_data_Account[i].No).substr(tempLen - 4, tempLen);
						}
						console.log(select_data_Account);
						var temp = Fw.getParameters("AcNo");
						if (Fw.isEmpty(temp)) {
							App.fadeSelect_set_value('fade_input_account', select_data_Account[0].option, select_data_Account[0].No);
						} else {
							for (var i = 0; i < select_data_Account.length; i++) {
								if (select_data_Account[i].No == temp) {
									App.fadeSelect_set_value('fade_input_account', select_data_Account[i].option, select_data_Account[i].No);
								}
							}
							if ($('#fade_input_account').attr("data-value") == "") {
								App.fadeSelect_set_value('fade_input_account', select_data_Account[0].option, select_data_Account[0].No);
							}
						}
						App.initList();
					}
				}
			});
		},
		accDete : function(data) {
			var name = '账户';
			if (data == 'PMCT') {
				name = '定期一本通';
			}
			if (data == 'PTIM') {
				name = '定期存单';
			}
			if (data == 'PSDP') {
				name = '存折';
			}
			if (data == 'PSDC') {
				name = '储蓄卡';
			}
			if (data == 'PDBC') {
				name = '储蓄卡';
			}
			if (data == 'PMCS') {
				name = '存折';
			}
			if (data == 'PPDC') {
				name = '储蓄卡';
			}
			return name;
		},
		showDropDownListClick : function() {
			dropDownList.show(select_data_Account);
		},
		itemClick : function(data, index) {
			if (index == -1) {
			} else {
				$('#fade_input_account').html(data.option);
				$('#fade_input_account').attr("data-value", data.No);
				param["AcNo"] = data.No;
				listView.loadData();
			}
		},
		fadeSelect_set_value : function(id, option, value) {
			$('#' + id).html(option);
			$('#' + id).attr("data-value", value);
		},
		normalSearch : function() {
			if (!App.initValidator()) {
				return false;
			}
			$('.Btnactive').removeClass("Btnactive");
			param = {
				'AcNo' : $('#fade_input_account').attr("data-value"),
				'QryFlag' : 1,
				'BeginDate' : $('#beginT').val(),
				'EndDate' : $('#endT').val(),
			}
			listView.loadData();
		},
		normalDown : function() {
			if (!App.initValidator()) {
				return false;
			}
			Fw.Msg.cfm('是否保存该文件？',
			function(code, btn, win) {
				if (code == 'yes') {
					Fw.util.Ajax.get({
						service : 'accountService',
						method : 'getBatchXLS',
						params : {
							'AcNo' : $('#fade_input_account').attr("data-value"),
							'AcNoNm' : $('#fade_input_account').attr().html(),
							'QryFlag' : 1,
							'limit' : 4000,
							'start' : 0,
							'BeginDate' : $('#beginT').val(),
							'EndDate' : $('#endT').val(),
						},
						success : function(data, result) {
							var url = Fw.getBasePath() + "/channel/download.do?tmp=true&fileId=" + data.fileId + "&fileName=" + new String(data.fileName) + ".xls";
							$('body').append("<iframe style='width:0; height:0; position:absolute; top:-500px;left:-500px;; id='download_temp' src='" + url + "'></iframe>");
							setTimeout(function() {
								$('#download_temp').remove();
							})
							Fw.LoadMask.hide();
						}
					});
				}
			});
		},
		initValidator : function() {
			var mess = "";
			var result = true;
			var reg = /^\d{4}-\d{2}-\d{2}$/;
			if (reg.test(endDateEl.val())) {
				if (reg.test(beginDateEl.val())) {
					var tempday = Fw.getDate();
					var y = tempday.getFullYear();
					var m = tempday.getMonth();
					var d = tempday.getDate();
					y -= 2;
					var newday = new Date(y, m, d);
					var inputday = new Date(beginDateEl.val());
					if (newday > inputday) {
						mess = '请输入两年内日期';
					} else if (new Date(beginDateEl.val()+" 00:00:00") > Fw.getDate()) {
						mess = '开始日期不得大于今天'
					} else if (new Date(endDateEl.val()+" 00:00:00") > Fw.getDate()) {
						mess = '结束日期不得大于今天'
					} else if (new Date(beginDateEl.val()) > new Date(endDateEl.val())) {
						mess = '时间逻辑关系错误';
					} else {
						var beginday = new Date(beginDateEl.val());
						var y = beginday.getFullYear();
						var m = beginday.getMonth();
						var d = beginday.getDate();
						m += 6;
						var newday = new Date(y, m, d);
						var endday = new Date(endDateEl.val());
						if (newday < endday) {
							mess = '时间间隔不得大于六个月';
						}
					}
				} else {
					mess = '请输入有效的起始日期';
				}
			} else {
				mess = '请输入有效的结束日期';
			}
			if (mess != "") {
				Fw.Tips.info(mess);
				return false;
			}
			return true;
		},
		quickSearch : function(e) {
			var $that = $(e.currentTarget);
			$('.Btnactive').removeClass("Btnactive");
			$that.addClass("Btnactive");
			var temp = $that.attr("data-info");
			if (temp == 1) {
				param = {
					'AcNo' : $('#fade_input_account').attr("data-value"),
					'QryFlag' : 1,
					'BeginDate' : App.getFullDate(0, 0, -7),
					'EndDate' : App.getFullDate()
				}
				listView.loadData();
			} else if (temp == 2) {
				param = {
					'AcNo' : $('#fade_input_account').attr("data-value"),
					'QryFlag' : 1,
					'BeginDate' : App.getFullDate(0, -3),
					'EndDate' : App.getFullDate()
				}
				listView.loadData();
			} else {
				param = {
					'AcNo' : $('#fade_input_account').attr("data-value"),
					'QryFlag' : 2,
					'BeginDate' : "",
					'EndDate' : ""
				}
				listView.loadData();
			}
		},
		serachInfoActive : function() {
			$('#serach_info').toggleClass('serach_info');
			$('#serach_info_trap .fade-select').toggleClass('div1');
		},
		toSubPage : function(record, index, item, e, cmp) {
			sign = container.scrollTop();
			record["AmtStatus"] = "";
			record.AcctNo = $('#fade_input_account').attr("data-value");
			var html = Fw.template(tpl, record);
			$('#sub_page .content').html(html);
			$('#sub_page').show();
			$('#main_page').hide();
		},
		getFullDate : function(yc, mc, dc) {
			var temp = Fw.getDate();
			var y = temp.getFullYear();
			var m = temp.getMonth();
			var d = temp.getDate();
			if (yc != undefined) {
				y += yc;
			}
			if (mc != undefined) {
				m += mc;
			}
			if (dc != undefined) {
				d += dc;
			}
			temp = new Date(y, m, d);
			y = temp.getFullYear();
			m = temp.getMonth() + 1;
			d = temp.getDate();
			y += "";
			m += "";
			d += "";
			if (m.length == 1) {
				m = "0" + m;
			}
			if (d.length == 1) {
				d = "0" + d;
			}
			return y + "-" + m + "-" + d;
		},
		newDate : function(y, m, d) {
			var newday = new Date(y, m, d);
			var yn = newday.getFullYear();
			var mn = newday.getMonth();
			var dn = newday.getDate();
			mn++;
			yn += "";
			mn += "";
			dn += "";
			if (mn.length == 1) {
				mn = "0" + mn;
			}
			if (dn.length == 1) {
				dn = "0" + dn;
			}
			return yn + "-" + mn + "-" + dn;
		},
		BussStatusTrans : function(f, v, q) {
			var dict = {};
			dict["HV"] = {
				"TS22" : "交易失败，资金退回原账户",
				"TS11" : "交易失败，资金退回原账户",
				"TS16" : "交易失败，资金退回原账户",
				"TS17" : "交易失败，资金退回原账户",
				"TS18" : "交易失败，资金退回原账户",
				"TS19" : "交易失败，资金退回原账户",
				"TS26" : "交易失败，资金退回原账户",
				"TS27" : "交易失败，资金退回原账户",
				"TS28" : "交易失败，资金退回原账户",
				"TS29" : "交易失败，资金退回原账户",
				"TS30" : "交易失败，资金退回原账户",
				"TS31" : "交易失败，资金退回原账户",
				"TS79" : "交易失败，资金退回原账户",
				"TS80" : "交易失败，资金退回原账户",
				"TS90" : "交易失败，资金退回原账户",
				"TS81" : "交易失败，资金退回原账户",
				"TS94" : "交易失败，资金退回原账户",
				"TS95" : "交易失败，资金退回原账户",
				"TS34" : "交易失败，资金退回原账户",
				"TS02" : "资金尚在我行未发出",
				"TS05" : "资金尚在我行未发出",
				"TS06" : "资金尚在我行未发出",
				"TS07" : "资金尚在我行未发出",
				"TS08" : "资金尚在我行未发出",
				"TS15" : "资金尚在我行未发出",
				"TS24" : "资金尚在我行未发出",
				"TS25" : "资金尚在我行未发出",
				"TS21" : "资金已清算至人行",
				"TS09" : "资金已清算至人行",
				"TS10" : "资金已清算至人行",
				"TS14" : "资金已清算至人行",
				"TS20" : "资金已清算至人行",
				"TS12" : "资金已清算至对方行",
				"TS70" : "资金已清算至对方行",
				"TS52" : "资金已清算至对方行",
				"TS13" : "资金已清算至对方行",
				"TS03" : "待市/县行社审批",
				"TS04" : "待省联社审批",
				"TS35" : "NPC未受理",
				"TS91" : "市/县行社审批拒绝",
				"TS92" : "省联社审批拒绝",
				"TS72" : "已整包退回",
				"TS73" : "已部分退回",
				"TS74" : "已拒绝退回",
				"TS75" : "已整包止付",
				"TS76" : "已部分止付",
				"TS77" : "已拒绝止付",
				"TS37" : "审核拒绝",
				"TS71" : "已查复",
				"TS32" : "已控制",
				"TS33" : "已解控",
				"TS53" : "已挂账",
				"TS93" : "已挂起",
				"TS36" : "待审核",
				"TS78" : "已处理",
				"TS54" : "来账自动入账",
				"TS55" : "来账手工入账",
				"TS56" : "退汇中",
				"TS57" : "退汇成功",
				"TS58" : "来账手工结转",
				"TS51" : "来账已处理",
			};
			dict["DP"] = {
				"I3" : "来帐手动处理",
				"I2" : "来帐已处理",
				"I1" : "来帐未处理",
				"I9" : "待认证",
				"I8" : "已成功",
				"I7" : "已撤销",
				"Id" : "已扎差",
				"If" : "已应答",
				"I0" : "已清算",
				"Ib" : "已拒绝",
				"I5" : "来帐已退汇",
				"I4" : "来帐自动处理",
				"I6" : "来帐接收失败",
				"Ob" : "交易失败，资金退回原账户",
				"O7" : "交易失败，资金退回原账户",
				"O3" : "资金已清算至人行",
				"O2" : "已复核",
				"O6" : "已删除",
				"O8" : "资金已清算至对方行",
				"O9" : "资金尚在我行未发出",
				"O0" : "资金已清算至人行",
				"Oa" : "交易失败，资金退回原账户",
				"O4" : "资金已清算至人行",
				"Oc" : "交易失败，资金退回原账户",
				"Od" : "资金已清算至对方行",
				"O5" : "交易失败，资金退回原账户",
				"O1" : "待复核",
				"Of" : "已应答",
			};
		},
	}
}();
/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);