/**
 * 创建应用
 */
var App = function() {
	return {
		/**
		 * 依赖组件
		 */
		requires : [
		 ],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '还款方式修改',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
				// 自定义按钮标题（默认'返回'）
				text : '<',
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			// handler: XXX
			},
		/**
		 * 是否自动显示等待层（默认true） 需手动隐藏等待层
		 */
		 loadMask: true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 初始化事件
			this.initEvents();
			// 手动隐藏等待层
			Fw.LoadMask.hide();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$('#submit-btn').on('click', Fw.bind(this.onButtonClick, this));
		},
		/**
		 * 点击按钮时触发（保存、重置、重发验证码）
		 */
		onButtonClick : function() {
			Fw.redirect("../../accountBook/Notice/writeNotice/main.html");
		},
		leftButtonHandler : function() {
			if (Fw.isTouch) {
				Fw.gotoIndex();
			} else {
				Fw.redirect(Fw.getBasePath()+"/page/pub/creditCardManage/modifyPaymentMethod/main.html");
			}
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
