/**
 * 创建应用
 */
var App = function() {
    return {
        /**
         * 依赖组件
         */
        requires: [
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            title: '授权管理',
            leftButton: {
                text: '返回',
            },
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	this.queryClientLoginType();
        	this.getDeviceDetail();
        	this.initEvent();
        },
        /**
         * 查询数据 
         */
        initEvent: function(){
            //获取数据
            Fw.util.Ajax.execute({
            	service: 'loginService',
                method: 'executeAuthTypeQry',
                //请求成功后回调
                success: function(data, result) {
                	$('#sersn').html(data.CertSn);
                	$('#certBindTime').html(data.CertCreateTime);
                	$('#dType').html(data.DeviceType);
                	$('#dTime').html(data.DeviceBindTime);
                }
            });
        },
        queryClientLoginType : function(){
        	//获取数据
            Fw.util.Ajax.execute({
            	service: 'loginService',
                method: 'executeClientLoginTypeQry',
                //请求成功后回调
                success: function(data, result) {
                	App.data = data;
                	if(data.PCClient == 1){
                		$('.oppn').html('已开启');
                	}else{
                		$('.oppn').html('关&nbsp;&nbsp;&nbsp;闭');
                	}
                	if(data.MBClient == 1){
                		$('.close').html('已开启');
                	}else{
                		$('.close').html('关&nbsp;&nbsp;&nbsp;闭');
                	}
                }
            });
        },
        /**
         * 查询数据 
         */
        getDeviceDetail: function(){
            //获取数据
            Fw.util.Ajax.get({
            	service: 'loginService/getDeviceDetail',
                params: {
                	deviceManager : '0'
                },
                //请求成功后回调
                success: function(data, result) {
                	if(null != data.NoBindList && "" != data.NoBindList){
                		if(data.NoBindList[0].DeviceType == 'PC'){
                			$('#pcNoAuth').html('您有待授权申请未处理');
                		}else{
                			$('#mbNoAuth').html('您有待授权申请未处理');
                		}
                	}
                	//手动隐藏等待层
                    Fw.LoadMask.hide();
                }
            });
        },
        toManager : function(data){
        	Fw.redirect('deviceManager.html', {'type' : data, 'PCClient' : App.data.PCClient, 'MBClient' : App.data.MBClient})
        },
        leftButtonHandler : function() {
			if (!Fw.isTouch) {
				Fw.redirect(Fw.getBasePath()+"/page/pageMenu/systemManage.html");
			} else {
				Fw.gotoIndex();
			}
		}
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
