/**
 * 创建应用
 */
var App = function() {
	var record1 = Fw.getParameters();
	var powerData = Fw.util.Storage.get('powerData');
	powerData = Fw.decode(powerData);
	return {
		/**
		 * 依赖组件
		 */
		requires : [
		// 表单
		'Fw.Form', ],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '理财产品购买',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
				// 自定义按钮标题（默认'返回'）
				text : '左边按钮',
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			// handler: XXX
			},
			// 隐藏等待层
			loadMask : true
		/**
		 * 是否自动显示等待层（默认true） 需手动隐藏等待层
		 */
		// loadMask: false
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 初始化事件
			this.initEvents();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$('#bnt1').on('click', Fw.bind(this.button1, this));
			$('#bnt2').on('click', Fw.bind(this.button2, this));
			$('#bnt3').on('click', Fw.bind(this.button3, this));
			// 手动隐藏等待层
			Fw.LoadMask.hide();
		},
		button1 : function() {
			if(Fw.isTouch){
				Fw.device.Device.getMenuPower("其他服务", "M051101", "App.gotoWriteNotice");
			}else{
				if(powerData.wdjzp == 'T'){
					var params = {
							pageParam:{aimUrl:'/page/pub/finance/byFinance/main.html'}
					};
					Fw.redirect("../../accountBook/Notice/writeNotice/main.html",params)
				}else{
					Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
	        		return;
				}
			}
		},
		gotoWriteNotice : function(data){
			if(data == 'T'){
				var params = {
						pageParam:{aimUrl:'/page/pub/finance/byFinance/main.html'}
				};
				Fw.redirect("../../accountBook/Notice/writeNotice/main.html",params)
			}else{
				Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
        		return;
			}
		},
		button2 : function() {
			if(Fw.isTouch){
				Fw.device.Device.getMenuPower("其他服务", "M051101", "App.gotoWriteNote");
			}else{
				if(powerData.wdjzp == 'T'){
					var params = {
							AddParam:{
								AcNo:record1.accountNo,
								Amount:record1.buySum,
							},
							pageParam:{aimUrl:'/page/pub/finance/byFinance/main.html'}
					};
					Fw.redirect("../../accountBook/Note/writeNote/main.html",params)
				}else{
					Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
	        		return;
				}
			}
		},
		gotoWriteNote : function(data){
			if(data == 'T'){
				var params = {
						AddParam:{
							AcNo:record1.accountNo,
							Amount:record1.buySum,
						},
						pageParam:{aimUrl:'/page/pub/finance/byFinance/main.html'}
				};
				Fw.redirect("../../accountBook/Note/writeNote/main.html",params)
			}else{
				Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
        		return;
			}
		},
		button3 : function() {//应该带入两个参数：1、finState理财管理；2、账号
			if(Fw.isTouch){
				Fw.device.Device.getMenuPower("农信理财", "M050704", "App.gotoMyFinance");
			}else{
				if(powerData.wdlc == 'T'){
					var params={
							"finState":"0",
							"accountNo":record1.accountNo,
							"accountOption":record1.accountOption,
					}
					//应该再带入付款账户，这样我的理财默认才能显示账号和理财管理，及付款账号、购买中
					Fw.redirect("../myFinance/main.html",params)
				}else{
					Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
	        		return;
				}
			}
		},
		gotoMyFinance : function(data){
			if(data == 'T'){
				var params={
						"finState":"0",
						"accountNo":record1.accountNo,
						"accountOption":record1.accountOption,
				}
				//应该再带入付款账户，这样我的理财默认才能显示账号和理财管理，及付款账号、购买中
				Fw.redirect("../myFinance/main.html",params)
			}else{
				Fw.Msg.info("尊敬的客户，由于系统升级，该功能暂时停用，给您造成的不便，敬请谅解，具体开启时间请关注我行公告。");
        		return;
			}
		},
		leftButtonHandler : function() {
			Fw.redirect("main.html");
		}

	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
