/**
 * 创建应用
 */
var App = function() {
	var record = Fw.getParameters();
	if (record.ProdCode == undefined) {
		// 获取缓存数据
		record = JSON
				.parse(Fw.util.Storage.get("record").replaceAll('"', '\"'));
	} else {
		Fw.util.Storage.set("record", Fw.encode(record));
	}
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.PayControls' ],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '持仓产品详情',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
				// 自定义按钮标题（默认'返回'）
				text : '左边按钮'
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			// handler: XXX
			},
			// 隐藏等待层
			loadMask : true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 手动隐藏等待层
			Fw.LoadMask.hide();
			// 初始化事件
			this.initEvents();
			this.setValue();
		},
		setValue : function() {
			$("#prodCode").text(record.ProdCode);
			$("#prodName").text(record.ProdName);
			// 没有数据到时候改
			$("#planIncome").text(Fw.util.Format.fmtInterest(record.RiskLevel));
			// 本息兑付日没有数据到时候改
			$("#end").text(
					Fw.util.Format.fmtDate(record.ColEndDate, "yyyy-MM-dd"));
			$("#prodAmt").text(Fw.util.Format.fmtAmt(record.BuyCost));
			$("#prodVol").text(Fw.util.Format.fmtNumber(record.ProdVol) + "份");
			$("#perMinRedeemVol").text(
					Fw.util.Format.fmtNumber(record.ProdVol
							- record.PerMinHoldVol)
							+ "份");
			$("#minSum").text(
					Fw.util.Format.fmtNumber(record.PerMinRedeemVol) + "份");
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$('#btn').on('click', Fw.bind(this.submit, this));
		},
		submit : function() {
			var redemptionShare = $("#redemptionShare").val();
			if (!Fw.isEmpty(redemptionShare)) {
				var minSum = parseInt($("#minSum").text());
				if (redemptionShare >= minSum) {
					if (redemptionShare % minSum == 0) {
						var prodVol = parseInt($("#prodVol").text());
						if (redemptionShare <= prodVol) {
							if (prodVol - redemptionShare >= minSum) {
								// this.usePayControls();
								this.productRedeem();
								// Fw.redirect("success.html")
							} else {
								Fw.Tips.info('赎回后，剩余份额小于该理财产品的最低持有份额');
							}
						} else {
							Fw.Tips.info('申请份额无效');
						}
					} else {
						Fw.Tips.info('赎回份额应为最低赎回份额的整数倍');
					}
				} else {
					Fw.Tips.info('申请份额小于最低赎回份额');
				}
			} else {
				Fw.Tips.info('请输入赎回份额');
			}
		},
		usePayControls : function() {
			var showInfo = [ {
				label : '交易金额',
				value : '￥19,230.00',
				color : '#F03737'
			} ];
			Fw.device.Device.payControls('AP', showInfo,
					'App.onPayControlsSubmit');
		},
		onPayControlsSubmit : function(record, type, isObject) {
			if (!isObject) {
				record = Fw.decode(record);
			}
			// 理财产品赎回
			this.productRedeem();
		},
		// 产品赎回
		productRedeem : function() {
			var redemptionShare = $("#redemptionShare").val();
			Fw.util.Ajax.get({
				socketAdapter : 'myFinanceService/executeProductRedeem',
				// 请求参数
				params : {
					accountBankAcType : 'PDBC',
					// accountNo: '6221272702001679339',
					accountNo : record.DepositAcct,
					custName : '隽嘉姗', // 非必传
					globalType : '101',
					globalId : '350524198212173363',
					productCode : record.ProdCode, // record.ProdCode
					amount : redemptionShare,
				},
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					Fw.redirect("success.html");
				}
			});
		},
		leftButtonHandler : function() {
			Fw.redirect("main.html");
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
