/**
 * 创建应用
 */
var App = function() {
	var record1 = Fw.getParameters();
	console.log(record1);
	return {
		/**
		 * 依赖组件
		 */
		requires : ['Fw.PayControls'],
		/**
		 * 视图设置
		 * 设置标题栏、按钮等
		 * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题
			 * 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */	
			title : '持仓产品详情',
			/**
			 * 左边按钮（默认显示）
			 * 如果为false，则左边按钮不显示
			 * leftButton: '左边按钮'
			 */
			leftButton : {
				//自定义按钮标题（默认'返回'）
				text : '左边按钮'
			//自定义按钮点击事件（默认App.leftButtonHandler）
			//handler: XXX
			},
			// 隐藏等待层
			loadMask : true
		},
		/**
		 * 初始化
		 * 应用入口
		 */
		init : function(require) {
			//手动隐藏等待层
			Fw.LoadMask.hide();
			//初始化事件
			this.initEvents();
			this.setValue();
		},
		setValue : function() {
			$("#prodCode").text(record1.ProdCode);
			$("#prodName").text(record1.ProdName);
			$("#end").text(record1.TransDate);
			$("#serviceType").text(record1.BusiCodeName);
			$("#prodAmt").text(record1.OriginAppSno);
			$("#investotMoney").text(
					Fw.util.Format.fmtAmt(record1.AppAmt));
			$("#startShare").text(
					Fw.util.Format.fmtNumber(record1.AppVol) + "份");
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$('#btn').on('click', Fw.bind(this.usePayControls, this));
		},
		usePayControls: function(){
			payControlMoney=$("#buySum").val();
			payControlMoney=Fw.util.Format.fmtAmt(payControlMoney);
			var showInfo = [{
    			label: '交易金额',
    			value: record1.AppAmt,
    			color: '#F03737'
    		}];
			Fw.device.Device.payControls('AP', showInfo, 'App.onPayControlsSubmit');
		},
		onPayControlsSubmit: function(record, type, isObject){
        	if(!isObject){
        		record = Fw.decode(record);
        	}
        	//校验账户密码
        	Fw.util.Ajax.query({
        		service: 'creditCardManageService/executeCheckedPwd',
                //请求参数
                params: {
					validateFlag:'0',
					accountBankAcType:'PDBC',
					accountNo:record1.depositAcct,
					passwordType:'T',
					pwd:record.pwd,
                },
				staticData : false,
				//系统校验密码正确性
				success : function(data, result) {
					//执行撤单接口
					App.orderCancel();
				},
				//请求错误后回调
				failure : function(status, textStatus, error) {
				}
			});
        },
        orderCancel : function(){
        	Fw.util.Ajax.get({
    		    socketAdapter: 'myFinanceService/executeTrsCancel',	
    	        //请求参数
    	        params: {
    	        	finaSeqNo: record1.OriginAppSno,
    	        },
    	        staticData: false,
    	        //请求成功后回调
    	        success: function(data, result) {
    	        	Fw.redirect("success1.html");
    	        }
    	    });
        },
        leftButtonHandler : function() {
        	console.log(record1);
			var params={
					"finState":record1.busiCode,
				}
			Fw.redirect("../myFinance/main.html",params)
		},
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
