/**
 * 创建应用
 */
var App = function() {
	var record1=Fw.getParameters();
	console.log(record1);
	var dropDownList;
	var listView;
	var data1 = [];
	return {
		/**
		 * 依赖组件
		 */
		requires : [
		//列表
		'Fw.ListView', ],
		/**
		 * 视图设置
		 * 设置标题栏、按钮等
		 * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题
			 * 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '产品交易明细',
			/**
			 * 左边按钮（默认显示）
			 * 如果为false，则左边按钮不显示
			 * leftButton: '左边按钮'
			 */
			leftButton : {
				//自定义按钮标题（默认'返回'）
				text : '左边按钮'
			//自定义按钮点击事件（默认App.leftButtonHandler）
			//handler: XXX
			},
			// 隐藏等待层
			loadMask : true
		},
		/**
		 * 初始化
		 * 应用入口
		 */
		init : function(require) {
			//定义列表
			listView = new Fw.ListView(
					{
						//EL
						contentEl : 'tradeList',
						//数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
						ajax : {
							//数据源（服务接口）
							//service : 'financeService',
							//method : 'queryFinance',//默认为query，方法名称必须是query开头
							socketAdapter: 'myFinanceService/queryTrsDetail',
							//请求参数
							params : {
								accountBankAcType : record1.accountBankAcType,
								accountNo : record1.accountNo,
							    //busiCode : "130",
								beginDate : record1.beginDate,
								endDate : record1.endDate,
								prodCode : record1.prodCode,   //record1.ProdCode;
							    //queryType : "0",
								lastCount :record1.lastCount,
							},
							//rootProperty:'LIST.result',
							//是否自动显示等待层（默认true）
							//允许自定义等待层提示信息（loadMask: '请稍后...'）
							//loadMask: true,
							//简单分页组件（只显示上一页、下一页，默认false）
							// simplePage: true,
							//分页参数
							//pageSize: 10,
							page : false,
							rootProperty : 'result.List',
							//是否使用数据挡板（默认false）
							staticData : false,
						},
						//向右箭头（默认false）
						disclosure : false,
						//数据展现模版
						itemTpl : [
								'<div style="height:108px;width:100%">',
								'<div class="div2" style="line-height: 0px;">',
								'<div style="float:left;    margin-top: 26px;">交易日期</div><div style="float: right;margin-right: 13px;margin-top: 26px;">${item.TransDate|fmtDate,"yyyy-MM-dd"}</div>',
								'</div>',
								'<div class="div5">',
								'<div style="float:left;">交易金额</div><div style="float: right;margin-right: 13px;color:#cf2525;">${item.AckAmt|fmtAmt}万元</div>',
								'</div>',
								'<div class="div5">',
								'<div style="float:left;">业务类型</div><div style="float: right;margin-right: 13px;">${item.BusiCodeName}</div>',
								'</div>', '<div>', ]
					});

			//初始化事件
			this.initEvents();

			//加载数据
			listView.loadData();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {

			//选中记录时触发
			listView.on('itemclick', this.onSelect, this);
			//查询数据后触发
			listView.ajax.on('query', this.onQuery, this);
		},
		/**
		 * 选中记录时触发
		 */
		onSelect : function(record, index, item, e, cmp) {
			record.id=1;
			Fw.redirect("tradeDetail.html", record);
		},
		/**
		 * 查询数据后触发
		 * @param {Object} Ajax对象
		 * @param {Object} 响应数据（result[Fw.Ajax.rootProperty]部分）
		 * @param {Object} 响应数据（全部）
		 */
		onQuery : function(ajax, data, result) {
			data1 = result.result.List;
			//console.log(data1);
		},
//		leftButtonHandler : function() {
//			Fw.redirect("productDetail.html");
//		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
