/**
 * 创建应用
 */
var App = function() {
	var isDoc=false;
	var params=Fw.getParameters();
	var prodCode=params.ProdCode;
	return {
		/**
		 * 依赖组件
		 */
		requires : ['Fw.PayControls','Fw.Window','Fw.app.Session','Fw.Keyboard', 'Fw.Form'],
		/**
		 * 视图设置
		 * 设置标题栏、按钮等
		 * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题
			 * 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '理财产品详情',
			/**
			 * 左边按钮（默认显示）
			 * 如果为false，则左边按钮不显示
			 * leftButton: '左边按钮'
			 */
			leftButton : {
				//自定义按钮标题（默认'返回'）
				text : ''
			//自定义按钮点击事件（默认App.leftButtonHandler）
			//handler: XXX
			},
			// 隐藏等待层
			loadMask : true
		},
		/**
		 * 初始化
		 * 应用入口
		 */
		init : function(require) {
			new Fw.Form({
                contentEl : 'form',
                resettable: false,
                msgTarget: 'tips'
            });
			//初始化事件
			this.initEvents();
			//回显详情信息
			this.queryFinance();
			//产品说明书
			this.queryProtocol();
			//手动隐藏等待层
			Fw.LoadMask.hide();
		},
		queryFinance : function() {
			var starDate = params.BuyBeginDate.replace(/^(\d{4})(\d{2})(\d{2})$/, "$1-$2-$3");
			var endDate = params.BuyEndDate.replace(/^(\d{4})(\d{2})(\d{2})$/, "$1-$2-$3");
			if(params.ProdCollBeginDate!="")
				var startDateTime=params.ProdCollBeginDate.replace(/^(\d{2})(\d{2})(\d{2})$/, "$1:$2:$3");
			else 
				var startDateTime="";
			if(params.ProdCollEndDate!="")
				var endDateTime=params.ProdCollEndDate.replace(/^(\d{2})(\d{2})(\d{2})$/, "$1:$2:$3");
			else 
				var endDateTime="";
			//起息日，到期日
			var starDate1= params.CycleBeginDate.replace(/^(\d{4})(\d{2})(\d{2})$/, "$1-$2-$3");
			var endDate1= params.CycleEndDate.replace(/^(\d{4})(\d{2})(\d{2})$/, "$1-$2-$3");
			//风险等级
			if(params.IncomeType=="0"){
				$("#gradRisk").text("保本浮动收益型");
			}else{
				$("#gradRisk").text("非保本浮动收益型");
			}
			
			//回显风险等级
			if(params.RiskLevel==1){
				$("#grad").text("高风险");
			}else if(params.RiskLevel==2){
				$("#grad").text("中高风险");
			}else if(params.RiskLevel==3){
				$("#grad").text("中等风险");
			}else if(params.RiskLevel==4){
				$("#grad").text("中低风险");
			}else if(params.RiskLevel==5){
				$("#grad").text("低风险");	
			}
			//UI图中只有一个百分号
			$("#prodName").text(params.ProdName+"("+params.ProdCode+")");
			$("#planIncome").text(Fw.util.Format.fmtNumber(params.ExpectRate)+"%");
			$("#term").text(params.CycleDays+ "天");
			
			$("#prodSponsorShortName").text(params.ProdSponsorShortName);
			$("#prodRegCode").text(params.ProdRegCode);
			
			var prodType = params.ProdType;
			if(prodType==5){
				$("#prodType").text("收益封闭型");
				$("#p4").hide();
			}
			
			$("#startDate").text(starDate);
			$("#endDate").text(endDate);
			$("#productNum1").text(starDate+" "+startDateTime);
			$("#productNum2").text(endDate+" "+endDateTime);
			
			//风险提示 募集结束时间点
			$("#end_date").text(params.ProdCollEndDate>220000?'22:00:00':endDateTime);
			$("#start").text(starDate1);
			$("#end").text(endDate1);
			$("#startSunm").text(Fw.util.Format.fmtAmt(params.PerFstMinBuyAmt));
			$("#increaseSum").text(Fw.util.Format.fmtAmt(params.PerBuyStepAmt));
			
			if(params.PerTotalMaxBuyAmt!=0.00){
				//个人累计最高购买金额
				$("#maxSum").text(Fw.util.Format.fmtAmt(params.PerTotalMaxBuyAmt));
				$("#maxSumDiv").show();
				$("#holdDiv").hide();
				$("#maxHoldDiv").hide();
				$("#minHoldDiv").hide();
			}else{
				//个人客户最高持有份额
				$("#maxHold").text(Fw.util.Format.fmtAmt(params.PerMaxHoldVol));
				//个人客户最低持有份额
				$("#minHold").text(Fw.util.Format.fmtAmt(params.PerMinHoldVol));
				$("#maxSumDiv").hide();
				$("#holdDiv").show();
				$("#maxHoldDiv").show();
				$("#minHoldDiv").show();
			}
			
			$("#surplusSum").text(Fw.util.Format.fmtAmt(params.SurplusQuota), 2, false);
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$('#submit-btn').on('click', Fw.bind(this.submit, this));
        	//显示相关文档详情
        	$('#document').on('click', Fw.bind(this.showDoc, this));
        	
        	Fw.Keyboard.onHidden = function() {
        		var inputVal = Fw.util.Format.fmtAmt($("#buySum").val());
    			$("#buySum").val(inputVal);
    			
    			$('body').css({
					'top' : '0px'
				});
				if (Fw.isEmpty(this.target.val()) && !Fw.isEmpty(Fw.util.Storage.get(this.target.attr('name')))) {
					this.target.attr('placeholder', Fw.util.Storage.get(this.target.attr('name')));
					Fw.util.Storage.remove(this.target.attr('name'));
				}
    			
				Fw.Keyboard.showKeyboard = true;
			};
		},
		/**
		 * 过滤特殊字符 校验输入特殊字符
		 */
		oldValue:'',
		stripscript : function() {
			var ddd = $('#referee').val().replace(/\s/g, "");
			var fl = !/^[0-9a-zA-Z]*$/.test(ddd);
			var phoneNum0 = $('#referee').val();
			var phoneNum = $('#referee').val().replace(/[^0-9a-zA-Z]/g, "");
			var l = phoneNum0.length - phoneNum.length;
			if(!Fw.isIOS){
				$('#referee').val(phoneNum);
			}else if(Fw.isEmpty(phoneNum)){
				$('#referee').val("");
			}else if(fl){
				if((!Fw.isEmpty(App.oldValue)) && Fw.isEqual(App.oldValue, phoneNum.substring(0,App.oldValue.length))){
					phoneNum = App.oldValue;
				}
				$('#referee').val(phoneNum + "");
				App.oldValue = phoneNum;
			}else{
				var d = phoneNum0.substring(phoneNum0.length-1,phoneNum0.length)
				if(/\s{1}/.test(d) && l==1){
					$('#referee').val(phoneNum.replace(/\s/g, ""));
					App.oldValue = phoneNum.replace(/\s/g, "");
					App.oldValue = phoneNum;
				}
			}
		},
		//显示文档内容
		showBook: function(obj){
        	var fileTitle = $(obj).next().val();
        	var fileName = $(obj).next().next().val();
        	
        	Fw.util.Ajax.insert({
				service : 'byFinanceService',
				method : 'getBook', //获取pdf文档
				//请求参数
				params : {
					path : params.ProSpectusPath,
					fileName : fileName
				},
				staticData : false,
				//请求成功后回调
				success : function(data, result) {
					var config = {
						title : fileTitle,
						url : Fw.getBasePath() + '/channel/pdf.do?fileId='+result.result
					}
					Fw.device.Device.showSaleBook(config);
				},
				//请求错误后回调
				failure : function(status, textStatus, error) {
					//回显详情信息
				}
			});
        },
        showDoc: function(){
        	if(!isDoc){
        		$("#document1").show();
        		isDoc=true;
        	}else{
        		$("#document1").hide();
        		isDoc=false;
        	}
		},
		submit : function(e) {
			var buySum = Fw.util.Format.unFmtAmt($("#buySum").val());
			if(Fw.isEmpty(buySum)){
				Fw.Tips.info('请输入购买金额');
				return false;
			}
			
			if(buySum<=0){
				Fw.Tips.info('购买金额需大于0');
				return false;
			}
			
			var surplusSum = Fw.util.Format.unFmtAmt($("#surplusSum").text());
			if (buySum > surplusSum) {
				Fw.Tips.info('申请金额不能大于剩余额度');
				return false;
			}
			
			var referee = $("#referee").val();
			if(!Fw.isEmpty(referee)){
				if(referee.length!=6){
					Fw.Tips.info('推荐人长度必须为6位');
					return false;
				}
			}
			
			var check = $("#check").is(":checked");
			if (!check) {
				Fw.Tips.info('请确认是否已阅读风险提示并勾选');
				return false;
			}
			
			this.queryCifInfo();
        },
		//查询风险评估
		queryCifInfo : function() {
			var bankType = 'PSDC';
			var no = params.AcNo; 
			var custType = '1';
			var globalType = Fw.app.Session.getIdenttype();
			var globalId = Fw.app.Session.getIdentno();
			var beginDate = "";
			var endDate = "";
			//查询数据
			Fw.util.Ajax.query({
				socketAdapter: 'financeService/executeEstimate',
				//请求参数
				params : {
					'BankAcType' : bankType,
					'No' : no,
					'CustType' : custType,
					'GlobalType' : globalType,
					'GlobalId' : globalId,
					'BeginDate' : beginDate,
					'EndDate' : endDate,
					'TotalNum' : '1',
					'CurrentNum' : '1'
				},
				//是否自动显示等待层（默认true）
				//允许自定义等待层提示信息（loadMask: '请稍后...'）
				//loadMask: true,
				//是否使用数据挡板（默认false）
				staticData : false,
				//请求成功后回调
				success : function(data, result) {
					//客户风险等级
					var custRisk=result.result.List[0].CustRisk;
					var toDay=Fw.util.Format.fmtDate(new Date(),"yyyy-MM-dd");
					var riskEndDate= (result.result.List[0].RiskEndDate).replace(/^(\d{4})(\d{2})(\d{2})$/, "$1-$2-$3");
					//判断是否签约
					var bankCardStatus=result.result.List[0].BankCardStatus;
					var finAcctStatus=result.result.List[0].FinAcctStatus;
					if(finAcctStatus!='0'){
						Fw.Msg.info('您的账户尚未签约，请先签约。');
						return;
					}
					if(bankCardStatus!='0'){
						Fw.Msg.info('您的卡尚未签约，请先签约。');
						return;
					}
					//客户风险评估是否到期
					if("" == custRisk){
						Fw.Msg.info('您暂未进行风险评估，请咨询客服选择最近网点完成风险评估。');
						return;
					}
					
					if(true){
						if(custRisk<=params.RiskLevel){
							//调用支付控件
							App.usePayControls();
						}else{
							var btns=[
						         {code:"no",text:"取消",cls:"ui-btn-default"},
						         {code:"yes",text:"重新评估",cls:"ui-btn-primar"}
							];
							Fw.Msg.show("温馨提示", "客户风险等级与产品风险等级不匹配，请重新评估！", btns, function(code, btn, win){
								if(code=="yes"){
									Fw.redirect(Fw.getBasePath()+"/page/pub/customerRiskAssessment/main.html");
								}
	                        });
						}
					}else{
						var btns=[
					         {code:"no",text:"取消",cls:"ui-btn-default"},
					         {code:"yes",text:"重新评估",cls:"ui-btn-primar"}
						];
						Fw.Msg.show("温馨提示", "风险评估等级过期，请重新评估！", btns, function(code, btn, win){
							if(code=="yes"){
								Fw.redirect(Fw.getBasePath()+"/page/pub/customerRiskAssessment/main.html");
							}
                        });
					}
				},
				//请求错误后回调
				failure : function(status, textStatus, error) {
					return;
				}
			});
		},
		//调用支付控件
		usePayControls: function(){
			payControlMoney=$("#buySum").val();
			payControlMoney=Fw.util.Format.fmtAmt(payControlMoney);
			var showInfo = [{
    			label: '交易金额',
    			value: payControlMoney,
    			color: '#F03737'
    		}];
			var cardNews = {
				passwordType:'T',//借记卡  T  信用卡  B
				cardNo:params.AcNo
			}
			Fw.device.Device.payControls('AP', showInfo, 'App.onPayControlsSubmit', {}, cardNews);
		},
		//校验账户密码
		onPayControlsSubmit: function(record, type, isObject){
			if (Fw.isEqual(isObject, "false") || !isObject) {
				record = Fw.decode(record);
			}
			App.byFinanceProduct();
        },
	      //理财产品购买
	        byFinanceProduct : function() {
	        	buySum = Fw.util.Format.unFmtAmt($("#buySum").val());
				Fw.util.Ajax.execute({
					service : 'proxyFinanceService',
					method : 'executeProductApply',
					params : {
						accountBankAcType : params.bankAcType,
						accountNo : params.AcNo,
						custType : '1',//默认对私
						custName : Fw.app.Session.getName(),
						globalType : Fw.app.Session.getIdenttype(),
						globalId : Fw.app.Session.getIdentno(),
						productCode : prodCode,//可购买的产品
						amount : buySum,
						referee : $("#referee").val()
					},
					//请求成功后回调
					success : function(data, result) {
						var paramsSuccess={
							"finState":"0",
							"accountNo":params.AcNo,
							"accountOption":params.accountOption,
							"buySum" : buySum
						}
						Fw.redirect("success.html",paramsSuccess);
					},
					//请求错误后回调
					failure : function(status, textStatus, error) {
						if(status=="20202001233"){
							var btns=[
						         {code:"no",text:"取消",cls:"ui-btn-default"},
						         {code:"yes",text:"重新评估",cls:"ui-btn-primar"}
							];
							Fw.Msg.show("温馨提示", "风险评估等级过期，请重新评估！", btns, function(code, btn, win){
								if(code=="yes"){
									Fw.redirect(Fw.getBasePath()+"/page/pub/customerRiskAssessment/main.html");
								}
	                        });
						}else{
							Fw.Msg.info(error);
						}
					},
				});
			},
			leftButtonHandler:function(){
				var paramsBack={
					"acNoBack":params.AcNo,
					"accountOptionBack":params.accountOption,
					"bankAcTypeBack":params.bankAcType
				}
				Fw.redirect("main.html",paramsBack);
			},
		/**
		 * 查询产品说明书
		 */
		queryProtocol:function(){
			Fw.util.Ajax.query({
				service : 'proxyFinanceService/protocolQry',
				params : {
					prodCode : prodCode
				},
				staticData : false,
				success : function(data, result) {
					var list = data.List;
					var str = '';
					Fw.each(list,function(item){
						str += '<div class="div12">';
						str += '<a class="book">《'+item.FileShowName+'》</a>';
						str += '<input type="hidden" value="'+item.FileShowName+'"/>';
						str += '<input type="hidden" value="'+item.FileName+'"/>';
						str += '</div>';
					})
					
					$('#document1').append(str);
					//显示文档内容
					$('a[class="book"]').bind('click', function(){
						App.showBook(this);
					});
				},
				failure : function(statues, textStatus, error) {
					return;
				}
			});
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
