/**
 * 创建应用
 */
var App = function() {
	var paramsBack=Fw.getParameters()||{};
	var accountOptionBackParams=paramsBack.accountOptionBack;
	var dropDownList;
	var listView;
	var accountOption; // 回显账户带中文的
	var accountNo; // 账户对应的卡号
	var bankAcType; // 账户对应的卡号
	var data1 = [];
	return {
		requires : [ 'Fw.ListView', 'Fw.DropDownList'],
		viewConfig : {
			title : '在售代销理财',
			leftButton : {
				text : '左边按钮'
			},
			loadMask : true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 获取账户列表
			this.getAccountList();
			dropDownList = new Fw.DropDownList({
				result : data1,
				displayNo : false,
				displayName : 'option',
				cursorBtn : false,
				disableField : 'cardtp',
				disableFieldValue : '1'
			});
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$("#tabList").on('click', Fw.bind(this.showDropDownListClick, this));
			// 监听select点击事件
			dropDownList.on('itemClick', Fw.bind(this.itemClick, this));
		},
		
		/**
		 * 获取账户列表
		 */
		getAccountList : function() {
			Fw.util.Ajax.get({
				service : 'accountService',
				method : 'getAccount',
				params : {// 0借记账户1贷记账户2动账借记3动账贷记//不传参全部
					type : '8' // 理财购买需要 , 赎回和购买特别要求1、加挂账户只显示具有动账权限的卡号2、不允许对柜面，网银进行的赎回交易进行撤单
				},
				success : function(data, result) {
					if (data.List.length == "0") {
						Fw.Msg.info('您的账户无转账权限功能，请至我行任一网点开通。', function() {
							if (Fw.isTouch) {
				        		Fw.device.Device.gotoIndex();
							} else {
								Fw.redirect("page/pageMenu/moreMenu.html");
							}
						});
					} else {
						$("#list").show();
						$("#listP").hide();
						data1 = result.result.List;
						console.log(data1);
						if(paramsBack.acNoBack==undefined||paramsBack.acNoBack==null){
							bankAcType = data1[0].BankAcType;
							accountNo = data1[0].No;
							$("#selected").val(data1[0].option);
							accountOption=data1[0].option;
							App.getFinance(accountNo);
						}else{
							$("#selected").val(paramsBack.accountOptionBack);
							bankAcType = paramsBack.bankAcTypeBack;
							accountNo = paramsBack.acNoBack;
							App.getFinance(accountNo);
						}
					}
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					// 回显详情信息
					return;
				}
			});
		},
		/**
		 * 根据卡号查询对应产品
		 */
		getFinance : function(accountNo) {
			var now=Fw.getDate();//最近半年，
			var nowMonthTwo=now.getMonth()+1;
			if (nowMonthTwo< 10) {
				nowMonthTwo = "0" + nowMonthTwo;
			}
			var nowDateTwo=now.getDate();
			if (nowDateTwo< 10) {
				nowDateTwo = "0" + nowDateTwo;
			}
			var endTime=now.getFullYear()+nowMonthTwo+nowDateTwo;
			var endDateDay=new Date(now.getFullYear(),now.getMonth()-6,now.getDate());//开始日期
			var nowMonthOne=endDateDay.getMonth()+1;
			if (nowMonthOne< 10) {
				nowMonthOne = "0" + nowMonthOne;
			}
			var nowDateOne=endDateDay.getDate();
			if (nowDateOne< 10) {
				nowDateOne = "0" + nowDateOne;
			}
			beginTime=endDateDay.getFullYear()+nowMonthOne+nowDateOne;
			listView = new Fw.ListView(
					{
						contentEl : 'list',
						// 数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
						ajax : {
							service : 'proxyFinanceService',
							method : 'queryProductQuery',// 默认为query，方法名称必须是query开头
							params : {
								bankAcType : bankAcType,
								accountNo : accountNo,
								BeginDate : "",
								EndDate : "",
								OnSaleFlag:'1',//是否在售
								TransCustType:'1'//允许销售客户类型(销售对象)
							},
							rootProperty : 'result.List',
							pageSize : 5,
							page : true
						},
						// 向右箭头（默认false）
						disclosure : false,
						// 数据展现模版
						itemTpl : [
								'<div class="financial_body">',
								'<div class="title">${item.ProdName}</div>',
								'<div class="split"><div></div></div>',
								'<div class="content" style="margin-left: 0px;margin-right: 0px;">',
								'<div class="planIncome" style="width:33%;">',
								'<div style="font-size: 22px;line-height:30px;">${item.ExpectRate|fmtNumber}%</div>',
								'<div class="label ui-nowrap" style="line-height:25px;">参考年化收益率</div>',
								'</div>',
								'<div class="day" style="width:33%;">',
								'<div style="font-size: 20px;line-height:30px;">${item.CycleDays}</div>',
								'<div class="label ui-nowrap" style="line-height:25px;">投资期限(天)</div>',
								'</div>',
								'<div class="type" style="width:33%;">',
								'{@if item.ProdType =="5"}',
								'<div style="font-size: 15px;color:#61b2fb;line-height:30px;">收益封闭型</div>',
								'{@/if}',
								'<div class="label ui-nowrap" style="line-height:25px;">产品类型</div>',
								'</div>', '</div>', '</div>' ]
					});
			// 初始化事件
			this.initEvents();
			// 加载数据
			listView.loadData();
			// 选中记录时触发
			listView.on('itemclick', this.onSelect, this);
			// 查询数据成功触发 
			listView.ajax.on('queryerror', this.onQuery1, this);
			// 查询数据失败触发
			listView.ajax.on('error', this.onError, this);
			//手动隐藏等待层
			Fw.LoadMask.hide();
		},
		onError:function(ajax, status, textStatus, error, xhr){
        	$("#"+listView.contentEl+"-loadmore-text").html("未查询到相关记录");
        	if(Fw.decode(xhr.response).error=="20202001233"){
            	return false;
            };
        },
		showDropDownListClick : function(e) {
			dropDownList.show(data1);
		},
		itemClick : function(data, index) {
			$("#list").show();
			$("#listP").hide();
			$("#list-loadmore").show();
			if (index != -1) {
				accountOption = data.option;// 账户
				accountNo = data.No;// 账户对应的卡号
				bankAcType = data.BankAcType // 对应的卡类型
				$("#selected").val(accountOption);
				this.getProductList(accountNo);
			} else {
				// 手工输入
				Fw.Msg.info('点击了手工输入');
			}
		},
		// 更换账户获取账户信息
		getProductList : function(accountNo) {
			// 设置账户
			listView.ajax.setParams('accountNo', accountNo);
			// 加载数据
			listView.loadData();
		},
		/**
		 * 选中记录时触发
		 */
		onSelect : function(record, index, item, e, cmp) {
			record.AcNo = accountNo;
			if(accountOption==undefined||accountOption==null){
				record.accountOption=accountOptionBackParams;
			}else{
				record.accountOption=accountOption;
			}
			record.bankAcType=bankAcType;
			if (Fw.isPhone) {
				Fw.redirect("financeDetail.html", record);
			} else {
				return;
			}
		},
		/**
		 * 查询数据后触发
		 */
		onQuery : function(ajax, data, result, error) {
		},
		/**
		 * 查询数据成功后触发
		 */
		onQuery1 : function(ajax, data, result, error) {
			if(error=="未查询到卡信息，请签约！"){
				Fw.Msg.info("该账户未签约！");
			}else{
				Fw.Msg.info(error);
			}
			
			$("#list").html("");
			$("#list").hide();
			$("#list-loadmore").hide();
			$("#listP").show();
		},
		leftButtonHandler : function() {
			if (Fw.isPhone) {
				Fw.gotoIndex();
			} else {
				Fw.redirect("../../../pageMenu/moreMenu.html");
			}
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
