/**
 * 创建应用
 */
var App = function() {
	var searchbar, listView, listView1, dropDownList, data = [];
	var ItemCode,ItemName,RegionNo, RegionNoName;
	var CorporationName;
	var url;
	var params = Fw.getParameters()||{};
	//
	return {
		requires : ['Fw.SearchBar','Fw.ListView', 'Fw.DropDownList', 'Fw.app.Session', 'Fw.TableView' ],
		viewConfig : {
			title : '电费',
			leftButton : {
				text : '<',
				handler:function(){
					App.back();
				}
			},
			loadMask : true
		},
		back : function() {
			if (Fw.isTouch) {
				Fw.gotoIndex();
			} else {
				url = Fw.util.Storage.get('LIFE_URL')||"";
				Fw.util.Storage.remove('LIFE_URL');
				if (url.indexOf('pageMenu/lifeService') != -1) {
					Fw.redirect(Fw.getBasePath() + '/page/pageMenu/lifeService.html');
				} else if (url.indexOf('pageMenu/moreMenu.html') != -1) {
					Fw.redirect(Fw.getBasePath() + '/page/pageMenu/moreMenu.html');
				} else {
					Fw.redirect(Fw.getBasePath() + '/page/pageMenu/lifeService.html');
				}
			}
		},
		init : function(require) {
			if(!Fw.isEmpty(params)){
				if(params.moveSign == "1"){
					Fw.Msg.info("您的缴费信息不完整，请重新选择缴费地区、缴费单位");
				}
			}
			if (Fw.isTouch) {
				if (Fw.isAndroid) {
					Fw.device.Device.FirstAndSecond("3");
				} else if (Fw.isIOS) {
					Fw.device.Device.gotoLife("1");
					Fw.device.Device.initViewConfig(0, 'Fw.emptyFn');
				}
			}
			url = document.referrer;
			Fw.util.Storage.remove("PAYMENT_LIST");
			if ((url.indexOf('pageMenu/lifeService') != -1)||(url.indexOf('pageMenu/moreMenu.html') != -1)) {
				Fw.util.Storage.set("LIFE_URL", url);
			}
			// 校验 是否开通支付权限
			this.queryPaymentAccount();
			// 实例化下拉
			dropDownList = new Fw.DropDownList({
				result : data,
				displayNo : false,
				displayName : 'ItemName',
				autoClose : true,
				cursorBtn : false,
			});
			// 定义查询工具条
			searchBar = new Fw.SearchBar({
				// EL
				contentEl : 'searchbar',
				// 最少输入字符个数（默认4）
				// 满足该参数时，触发查询事件
				minChars : 0,
				// 最大输入长度
				maxLength : 15,
				// 输入框占位信息
				placeholder : '搜索'
			});

			this.initListView();
			this.initEvents();
		},

		/**
		 * 初始化事件
		 */
		initEvents : function() {
			Fw.LoadMask.hidden = true;
			searchBar.on('search', this.queryPaymentList, this);
			dropDownList.on('itemClick', Fw.bind(this.itemClick, this));
			$('.default_sign_area').on('click', Fw.bind(this.selectClick));
		},
		initListView:function(){
			listView1 = new Fw.ListView({//查询最近5笔的缴费记录
				contentEl : 'list_record',
				ajax : {
					socketAdapter : 'lifeService/queryPaymentDirectory',
					params : {
						ItemCode : "108",
					},
					rootProperty : 'result.List',
					pageSize : 5,
					page : false,
					loadMask : false,
				},
				disclosure : true,
				itemTpl : [
						'<div class="ui-img">',
						'<img src="../image/electric.png" />',
						'</div>',
						'<div class="ui-list-info" >',
						'<ul class="ui-nowrap" >',
						'<li class="li-info-name" >{@if item.UserName=="null" || item.UserName=="" || item.UserName==null}{@else} ${item.UserName}{@/if}　</li>', 
						'<li class="li-info-company" >${item.TraderCodeName}　</li>',
						'<li class="li-info-address" > {@if item.RegionNoName =="null" || item.RegionNoName == "" ||item.RegionNoName==null}{@else}${item.RegionNoName}{@/if}　</li>',
						'<li class="li-info-phone"> ${item.UserNo}　</li>', '</ul>', '</div>', ]
			});
			listView1.ajax.on('query', this.onQuery, this);
			// 查询错误之后 触发
			listView1.ajax.on('queryerror', this.queryError, this);
			listView1.on('itemclick', this.onSelect1, this);
			listView = new Fw.ListView({//查询签约地区下的缴费单位列表
						contentEl : 'list_corporation',
						ajax : {
							socketAdapter : 'lifeService/queryPaymentCorporation',
							params : {
								"ItemCode" : "108"
							},
							rootProperty : 'result.List',
							loadMask : false,
							page : false,
						},
						disclosure : true,
						itemTpl : [ '<div class="list_company a"><span  class="electriImg"> </span> <span class="corpName">${item.ItemName}</span></div>' ]
					});
			listView.on('itemclick', App.onSelect, App);
			listView.ajax.on('queryerror', App.queryError, App);
			listView.on('beforeitemadd', App.onBeforeAddItem, App);
		},
		queryPaymentList : function(keyVal) {
			var liEl = $('#list_corporation').children('li');
			// 过滤需要的信息
			if (Fw.isEmpty(keyVal)) {
				liEl.show();
			} else {
				liEl.filter(function(index) {
					var item = $(this);
					var text = item.text();
					if (text.indexOf(keyVal) >= 0) {
						item.show();
					} else {
						item.hide();
					}
				});
			}
		},
		queryPaymentAccount : function() {
			Fw.util.Ajax.get({
				service : 'accountService',
				method : 'getAccount',
				//null全部 0借记账户1贷记账户2动账借记3动账贷记5贷记卡带信息4缴费支付权限6所有借记'卡'7非定期借记账户8动账借记'卡'
				params : {
					type : '4',
				},
				loadMask : false,
				success : function(data4, result) {
					if (data4.List.length == 0 || Fw.isEmpty(data4)) {
						
								var config = {
//									No : filterArray[0].No,
//									DeptSeq : filterArray[0].DeptSeq,
//									BankAcType : filterArray[0].BankAcType,
									PayFlag : "1",
//									sign : "1"
								};
								Fw.LoadMask.hidden = false;
								Fw.LoadMask.hide();
								Fw.Msg.cfm('您的加挂账户均未开通支付权限，是否前往设置?', function(code, btn, win) {
									if (code == 'yes') {
										Fw.redirect(Fw.getBasePath() + '/page/pub/quotaManagement/main.html', config);
									} else {
										App.back();
									}
								});
							
					} else {
						// 有开通缴费权限的卡,才给加载
						listView1.loadData();
					}
				},

			});
		},
		/**
		 *根据地区或地区编号返回地区
		 */
		getPaymentArea:function(No,Name){
			if(Fw.isEmpty(No) || Fw.isEmpty(Name)){
				var List = App.areaData.List;
				for(var i=0;i<List.length;i++){
					var item = List[i];
					if(Fw.isEqual(item.ItemName , name)||Fw.isEqual(item.ItemCode , No)){
						return List[i];
					}
				}
			}else{
				return {ItemCode:No,ItemName:Name};
			}
		},
		queryPaymentArea : function() {
			Fw.util.Ajax.query({
				socketAdapter : 'lifeService/queryPaymentArea',
				params : {
					ItemCode : "108",
				},
				loadMask : false,
				success : function(data, result) {
					App.areaData = data;
					ItemCode = '901';
					ItemName = '福州';
					if (Fw.isEmpty(App.address) || (App.address.length == 0)) {
						if (!Fw.isEmpty(Fw.app.Session.getRegionNo())) {
							ItemCode = Fw.app.Session.getRegionNo();
							ItemName = Fw.app.Session.getRegionName();
						}
					} else {
						var item = App.getPaymentArea(App.address[0].RegionNo,App.address[0].RegionNoName);
						ItemCode = item.ItemCode;
						ItemName = item.ItemName;
					}
					$('#default_contract_area').text(ItemName);
					listView.ajax.setParams('ItemCode1', ItemCode);
					
					if (Fw.isTouch) {
						if (Fw.isIOS) {
							if (Fw.isIOS) {
								Fw.device.Device.applyView({
									title : '电费',
									leftButton : {
										text : '<',
										handler : function() {
											Fw.gotoIndex();
										}
									},
									rightButton : {
										text : ItemName,
										handler : function() {
											dropDownList.show(App.areaData.List);
										},
										selected:"1"
									},
								});
							}
							// 加载数据
							listView.loadData();
						} else if (Fw.isAndroid) {
//							var Param = {
//								ItemName : ItemName,
//								ItemCode : ItemCode,
//								List : App.areaData.List
//							}
							Fw.device.Device.applyView({
								title : '电费',
								leftButton : {
									text : '<',
									handler : function() {
										App.back();
									}
								},
								rightButton : {
									text : {
										ItemName : ItemName,
										ItemCode : ItemCode,
										AddressList : App.areaData.List
									},
									handler : function(items) {
										App.acquireCorporationList(items);
									},
									selected:"1"
								},
							});
						}
					} else {
						Fw.LoadMask.hidden = false;
						// 加载数据
						listView.loadData();
					}
				},
				failure : function(status, textStatus, error) {
					Fw.LoadMask.hidden = false;
					Fw.LoadMask.hide();
				}
			});

		},
		/**
		 * andriod 客户端缴费单位查询
		 * 
		 */
		acquireCorporationList : function(items) {
			/*
			 * 手机端 调用客户端返回的参数
			 */
			ItemCode = Fw.decode(items).ItemCode;
			ItemName = Fw.decode(items).ItemName;
			if (Fw.isEmpty(items)) {

			} else {
				Fw.LoadMask.show();
				listView.ajax.setParams('ItemCode1', Fw.decode(items).ItemCode);
				// 加载数据
				listView.loadData();
			}
		},
		/**
		 * android 查询缴费单位之前
		 * 
		 */
		onBeforeAddItem : function() {
			Fw.LoadMask.hidden = false;
			Fw.LoadMask.hide();
		},
		queryError : function() {
			Fw.LoadMask.hidden = false;
			Fw.LoadMask.hide();
		},
		selectClick : function() {
			dropDownList.show(App.areaData.List);
		},

		itemClick : function(data, index) {
			Fw.LoadMask.show();
			if (Fw.isIOS) {
				Fw.device.Device.applyView({
					title : '电费',
					leftButton : {
						text : '<',
						handler : function() {
							Fw.gotoIndex();
						}
					},
					rightButton : {
						text : data.ItemName,
						handler : function() {
							dropDownList.show(App.areaData.List);
						},
						selected:"1"
					},
				});
			}
			$('#default_contract_area').text(data.ItemName);
			ItemCode = data.ItemCode;
			ItemName = data.ItemName;
			listView.ajax.setParams('ItemCode1', ItemCode);
			listView.loadData();
		},
		onSelect : function(record, index, item, e, cmp) {//点选缴费单位
			var param = {
				"record" : record,
				"defaultArea" : ItemName,
				"ItemCode" : ItemCode,
				BankAcType : App.BankAcType,
			}
			Fw.util.Storage.set("ItemCode", ItemCode);
			Fw.util.Storage.set("ItemCode2", record.ItemCode);
			if(!Fw.isEmpty(params.moveSign)){
				param.moveData = params;
			}
			Fw.redirect('login_payment.html', param);
		},
		onSelect1 : function(record, index, item, e, cmp) {//点选缴费记录
			var param = {
				"record" : record,
				"ItemCode" : record.RegionNo, // 地区编码
				"defaultArea" : record.RegionNoName,
				sign : 3
			};
			Fw.redirect('login_payment.html', param);
		},

		
		onQuery : function(ajax, data, result) {
			App.address = data;
			if (Fw.isEmpty(data) && (data.length == 0)) {
				$('.x-form-fieldset').hide();
			} else {
				$('.x-form-fieldset').show();
			}
			this.queryPaymentArea();
		}
		
		

	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
