/**
 * 创建应用
 */
var App = function() {
	var searchBar, listView, listView1, dropDownList, data = [];
	var ItemCode;
	var ItemName;
	var CorporationName;
	var RegionNo;
	var RegionNoName;
	var url;
	return {
		/**
		 * 依赖组件
		 */
		requires : [
		// 查询工具条
		'Fw.SearchBar',
		// 列表
		'Fw.ListView', 'Fw.DropDownList', 'Fw.app.Session', 'Fw.TableView', ],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			title : '公租房租金',
			leftButton : {
				text : '<',
			},
		},

		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			Fw.LoadMask.show();
			if (Fw.isTouch) {
				if (Fw.isAndroid) {
					Fw.device.Device.FirstAndSecond("3");
				} else if (Fw.isIOS) {
					Fw.device.Device.gotoLife("1");
					Fw.device.Device.initViewConfig(0, 'Fw.emptyFn');
				}
			}
			Fw.util.Storage.remove("PAYMENT_LIST");
			url = document.referrer;
			if (url.indexOf('pageMenu/lifeService') != -1) {
				Fw.util.Storage.set("LIFE_URL", url);
			} else if (url.indexOf('pageMenu/moreMenu.html') != -1) {
				Fw.util.Storage.set("LIFE_URL", url);
			}
			// 校验 是否开通支付权限
			this.queryPaymentAccount();
			// 实例化下拉
			dropDownList = new Fw.DropDownList({
				// 必须参数：结果集
				result : data,
				// 可配置参数：1.false,随内容撑出高度，2.num：固定高度，超出滚动显示,默认[220]
				// fixedHeight : "200",
				// 可配置参数：账号，1.false 不显示账号,2.cdopac 具体显示字段名，默认[cdopac]
				displayNo : false,
				// 可配置参数：从后截取账号显示,1.false 不截取，2.num：截取长度,默认[5]
				// lastSubNo:5,
				// 可配置参数：名称，默认[brchna]
				// displayName : 'area',
				displayName : 'ItemName',
				// 可配置参数：显示时是否重新渲染，默认[false]
				// reload: false,
				// 可配参数：选择完成后是否自动关闭,默认[true]
				autoClose : true,
				// 可配置参数：是否显示手工输入按钮，默认[true]
				cursorBtn : false,
			// 可配置参数：设置不可点击,1.默认[false]不限制,2.cardtp具体字段名
			// disableField: 'cardtp',
			// 可配置参数：设置不可点击参数值，1.默认[0],2.具体值，"不可点击字段“值等于"不可点击参数值"该项不可点击
			// disableFieldValue: '1'
			});

			// 定义查询工具条
			searchBar = new Fw.SearchBar({
				// EL
				contentEl : 'searchbar',
				// 最少输入字符个数（默认4）
				// 满足该参数时，触发查询事件
				minChars : 0,
				// 最大输入长度
				maxLength : 15,
				// 输入框占位信息
				placeholder : '搜索'
			});
			// 定义列表2
			$('#list_record').css('display', 'block');
			listView1 = new Fw.ListView(
					{
						// EL
						contentEl : 'list_record',
						// 数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
						ajax : {
							// 数据源（自定以URL）
							// url: '/data/test.json',
							// 数据源（服务接口）
							// service : 'lifeService6.directory',
							socketAdapter : 'lifeService/queryPaymentDirectory',
							// method: 'query',//默认为query，方法名称必须是query开头
							params : {
								ItemCode : "203",
							},
							rootProperty : 'result.List',
							// 是否自动显示等待层（默认true）
							// 允许自定义等待层提示信息（loadMask: '请稍后...'）
							// loadMask: true,
							// 简单分页组件（只显示上一页、下一页，默认false）
							// simplePage: true,
							// 分页参数
							pageSize : 5,
							page : false,
							loadMask : false,
							staticData : false
						},
						// 向右箭头（默认false）
						disclosure : true,
						// 数据展现模版
						itemTpl : [
								'<div class="ui-img">',
								'<img src="../image/education.png" />',
								'</div>',
								'<div class="ui-list-info" >',
								'<ul class="ui-nowrap" >',
								'<li class="li-info-name" > ${item.UserName}　</li>',
								'<li class="li-info-company" >${item.TraderCodeName}　</li>',
								'<li class="li-info-address" > ${item.RegionNoName}　</li>',
								'<li class="li-info-phone"> ${item.UserNo}　</li>',
								'</ul>', '</div>', ]
					});
			// 初始化事件
			// this.initEvents();
		},

		/**
		 * 初始化事件
		 */
		initEvents : function() {
			Fw.LoadMask.hidden = true; // 设至状态,等待层不能关
			listView1.loadData();
			// 查询数据后触发
			listView1.ajax.on('query', this.onQuery, this);
			// 查询错误之后 触发
			listView1.ajax.on('queryerror', this.queryError, this);
			// 触发查询事件（直接将查询事件桥接到listView）
			searchBar.on('search', this.queryPaymentList, this);
			listView1.on('itemclick', this.onSelect1, this);
			dropDownList.on('itemClick', Fw.bind(this.itemClick, this));
			$('.default_sign_area').on('click', Fw.bind(this.selectClick));
		},
		queryPaymentList : function(keyVal) {
			var liEl = $('#list_corporation').children('li');
			// 过滤需要的信息
			if (Fw.isEmpty(keyVal)) {
				liEl.show();
			} else {
				liEl.filter(function(index) {
					var item = $(this);
					var text = item.text();
					if (text.indexOf(keyVal) >= 0) {
						item.show();
					} else {
						item.hide();
					}
				});
			}
		},
		queryPaymentAccount : function() {
			Fw.util.Ajax.get({
				service : 'accountService',
				method : 'getAccount',
				// null全部
				// 0借记账户1贷记账户2动账借记3动账贷记5贷记卡带信息4缴费支付权限6所有借记'卡'7非定期借记账户8动账借记'卡'
				params : {
					type : '4',
				},
				staticData : false,
				loadMask : false,
				success : function(data4, result) {
					Fw.Logger.debug(data4.List);
					App.data4 = data4.List;
					if (data4.List.length == 0 || Fw.isEmpty(data4)) {
						Fw.util.Ajax.get({
							service : 'accountService',
							method : 'getAccount',
							// null全部
							// 0借记账户1贷记账户2动账借记3动账贷记5贷记卡带信息4缴费支付权限6所有借记'卡'7非定期借记账户8动账借记'卡'
							params : {
								type : "6"
							},
							staticData : false,
							success : function(data5, result) {
								var filterArray = $.grep(
									data5.List,
									function(value) {
										if (Fw.isEqual(value.BankAcType, "PMCT")) {
											return false;
										} else if (Fw.isEqual(value.BankAcType, 'PTIM')) {
											return false;
										} else if (Fw.isEqual(value.BankAcType, 'PSDP')) {
											return false;
										} else if (Fw.isEqual(value.BankAcType, 'PMCS')) {
											return false;
										} else {
											return true;
										}
									});
								var config = {
									No : filterArray[0].No,
									DeptSeq : filterArray[0].DeptSeq,
									sign : "1",
									PayFlag : "1",
									BankAcType : filterArray[0].BankAcType,
								};
								Fw.Msg.cfm('您的加挂账户均未开通支付权限，是否前往设置?', function(code, btn, win) {
									if (code == 'yes') {
										Fw.redirect(Fw.getBasePath() + '/page/pub/quotaManagement/main.html', config);
									} else {
										if (Fw.isTouch) {
											Fw.gotoIndex();
										} else {
											url = Fw.util.Storage.get('LIFE_URL');
											Fw.util.Storage.remove('LIFE_URL');
											if (url.indexOf('pageMenu/lifeService') != -1) {
												Fw.redirect(Fw.getBasePath() + '/page/pageMenu/lifeService.html');
											} else if (url.indexOf('pageMenu/moreMenu.html') != -1) {
												Fw.redirect(Fw.getBasePath() + '/page/pageMenu/moreMenu.html');
											}
										}
									}
								});
							},
						});
					} else {
						// 开通动账权限,才给加载
						App.initEvents();
					}
				},
			});
		},
		/**
		 * 根据地区或地区编号返回地区
		 */
		getPaymentArea : function(No, Name) {
			if (Fw.isEmpty(No) || Fw.isEmpty(Name)) {
				var List = App.data.List;
				for (var i = 0; i < List.length; i++) {
					var item = List[i];
					if (Fw.isEqual(item.ItemName, name) || Fw.isEqual(item.ItemCode, No)) {
						return List[i];
					}
				}
			} else {
				return {
					ItemCode : No,
					ItemName : Name
				};
			}
		},
		queryPayment : function() {
			Fw.util.Ajax
					.query({
						// service : 'autoPaymentManage.paymentArea',
						// 数据源接口
						socketAdapter : 'lifeService/queryPaymentArea',
						// method: 'query',
						// 数据源（服务接口）
						// 请求参数
						params : {
							ItemCode : "203"
						},
						// 是否使用数据挡板（默认false）
						staticData : false,
						loadMask : false,
						// 请求成功后回调
						success : function(data, result) {
							App.data = data;
							if (Fw.isEmpty(App.address) || (App.address.length == 0)) {
								if (Fw.isEmpty(Fw.app.Session.getRegionNo())) {
									ItemCode = '901';
									ItemName = '福州';
								} else {
									ItemCode = Fw.app.Session.getRegionNo();
									ItemName = Fw.app.Session.getRegionName();
								}
							} else {
								var item = App.getPaymentArea(App.address[0].RegionNo, App.address[0].RegionNoName);
								ItemCode = item.ItemCode;
								ItemName = item.ItemName;
							}
							$('#default_contract_area').text(ItemName);
							listView = new Fw.ListView(
									{
										// EL
										contentEl : 'list_corporation',
										// 数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
										ajax : {
											// 数据源（自定以URL）
											// 数据源（服务接口）
											socketAdapter : 'lifeService/queryPaymentCorporation',
											// 请求参数
											params : {
												ItemCode1 : ItemCode,
												ItemCode : "203"
											},
											rootProperty : 'result.List',
											// 是否自动显示等待层（默认true）
											// 允许自定义等待层提示信息（loadMask: '请稍后...'）
											loadMask : false,
											// 简单分页组件（只显示上一页、下一页，默认false）
											// simplePage: true,
											// 分页参数
											pageSize : 10,
											page : false,
											// 是否使用数据挡板（默认false）
											staticData : false
										},
										// 向右箭头（默认false）
										disclosure : true,
										// 数据展现模版
										itemTpl : [ '<div class="list_company a"><span  class="electriImg"> </span> <span class="corpName">${item.ItemName}</span></div>' ]
									});
							listView.on('itemclick', App.onSelect, App);
							// 查询错误之后 触发
							listView.ajax.on('queryerror', App.queryError, App);
							listView.on('beforeitemadd', App.onBeforeAddItem, App);
							if (Fw.isTouch) {
								if (Fw.isIOS) {
									Fw.device.Device.applyView({
										/**
										 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
										 */
										title : '公租房租金',
										leftButton : {
											text : '<',
											handler : function() {
												Fw.gotoIndex();
											}
										},
										rightButton : {
											text : ItemName,
											handler : function() {
												dropDownList.show(App.data.List);
											},
											selected : "1"
										},
									});
									// 加载数据
									listView.loadData();
								} else if (Fw.isAndroid) {
									var Param = {
										ItemCode : ItemCode,
										ItemName : ItemName,
										List : App.data.List
									}
									Fw.device.Device.applyView({
										/**
										 * 标题栏标题
										 * 如果为空或未设置，则标题栏不显示、左右按钮不显示
										 */
										title : '公租房租金',
										/**
										 * 左边按钮（默认显示） 如果为false，则左边按钮不显示
										 * leftButton: '左边按钮'
										 */
										leftButton : {
											text : '<',
											handler : function() {
												App.back();
											}
										},
										rightButton : {
											text : {
												ItemName : Param.ItemName,
												ItemCode : Param.ItemCode,
												AddressList : Param.List
											},
											handler : function(items) {
												App.acquireCorporationList(items);
											},
											selected : "1"
										},
									});
								}
							} else {
								// 加载数据
								listView.loadData();
							}
						},
						// 请求错误后回调
						failure : function(status, textStatus, error) {
							Fw.LoadMask.hidden = false;
							Fw.LoadMask.hide();
						}
					});

		},
		selectClick : function() {
			// 显示组件
			// 1.直接显示
			// dropDownList.show();
			// 2.显示时传入值
			dropDownList.show(App.data.List);
		},
		itemClick : function(data, index) {
			Fw.LoadMask.show();
			if (Fw.isIOS) {
				Fw.device.Device.applyView({
					/**
					 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
					 */
					title : '公租房租金',
					leftButton : {
						text : '<',
						handler : function() {
							Fw.gotoIndex();
						}
					},
					rightButton : {
						text : data.ItemName,
						handler : function() {
							dropDownList.show(App.data.List);
						},
						selected : "1"
					},
				});
			}
			$('#default_contract_area').text(data.ItemName);
			ItemCode = data.ItemCode;
			ItemName = data.ItemName;
			listView.ajax.setParams('ItemCode1', ItemCode);
			listView.loadData();
		},

		/**
		 * 选中记录时触发
		 */
		onSelect : function(record, index, item, e, cmp) {
			var param = {
				"record" : record,
				"defaultArea" : ItemName,
				"ItemCode" : ItemCode, // 地区编码
				AccountNo : App.AccountNo,
			}
			Fw.redirect('login_payment.html', param);
		},
		/**
		 * 有缴费记录时,选中记录时触发
		 */
		onSelect1 : function(record, index, item, e, cmp) {
			var param = {
				"record" : record,
				"ItemCode" : record.RegionNo, // 地区编码
				"defaultArea" : record.RegionNoName,
				sign : "3",
			}
			Fw.redirect('login_payment.html', param);
		},

		onBeforeSearch : function() {
			$('#searchbar input').toggleClass('oninput="App.Fuzzyquery()"');
		},
		Fuzzyquery : function() {
			// 关键字
			var keyVal = $(".ui-searchbar-input input").val();
			$('ul').children('li').hide().filter(":contains('" + (keyVal) + "')").show();

		},
		/**
		 * 查询数据后触发
		 * @param {Object} Ajax对象
		 * @param {Object} 响应数据（result[Fw.Ajax.rootProperty]部分）
		 * @param {Object} 响应数据（全部）
		 */
		onQuery : function(ajax, data, result) {
			App.address = data;
			if (Fw.isEmpty(data) && (data.length == 0)) {
				$('.x-form-fieldset').hide();
			} else {
				$('.x-form-fieldset').show();
			}
			App.queryPayment()
		},
		queryError : function() {
			Fw.LoadMask.hidden = false;
			Fw.LoadMask.hide();
		},
		/**
		 * andrio 客户端缴费单位查询
		 * 
		 */
		acquireCorporationList : function(items) {
			/*
			 * 手机端 调用客户端返回的参数
			 */
			ItemCode = Fw.decode(items).ItemCode;
			ItemName = Fw.decode(items).ItemName;
			if (Fw.isEmpty(items)) {

			} else {
				Fw.LoadMask.show();
				listView.ajax.setParams('ItemCode1', Fw.decode(items).ItemCode);
				// 加载数据
				listView.loadData();
			}
		},
		/**
		 * android 查询缴费单位之前
		 * 
		 */
		onBeforeAddItem : function() {
			Fw.LoadMask.hidden = false;
			Fw.LoadMask.hide();
		},
		leftButtonHandler : function() {
			if (Fw.isTouch) {
				Fw.gotoIndex();
			} else {
				url = Fw.util.Storage.get('LIFE_URL') || "";
				Fw.util.Storage.remove('LIFE_URL');
				if (url.indexOf('pageMenu/lifeService') != -1) {
					Fw.redirect(Fw.getBasePath() + '/page/pageMenu/lifeService.html');
				} else if (url.indexOf('pageMenu/moreMenu.html') != -1) {
					Fw.redirect(Fw.getBasePath() + '/page/pageMenu/moreMenu.html');
				} else if (url.indexOf('pageMenu/lifeService') != -1) {
					Fw.redirect(Fw.getBasePath() + '/page/pageMenu/lifeService.html');
				}
			}
		},
		/**
		 * 第二次加载viewConfig 返回事件 要在leftButton的Handler里自定义
		 */
		back : function() {
			if (Fw.isTouch) {
				Fw.gotoIndex();
			} else {
				url = Fw.util.Storage.get('LIFE_URL') || "";
				Fw.util.Storage.remove('LIFE_URL');
				if (url.indexOf('pageMenu/lifeService') != -1) {
					Fw.redirect(Fw.getBasePath() + '/page/pageMenu/lifeService.html');
				} else if (url.indexOf('pageMenu/moreMenu.html') != -1) {
					Fw.redirect(Fw.getBasePath() + '/page/pageMenu/moreMenu.html');
				} else if (url.indexOf('pageMenu/lifeService') != -1) {
					Fw.redirect(Fw.getBasePath() + '/page/pageMenu/lifeService.html');
				}
			}
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
