/**
 * 创建应用
 */
var App = function() {
	var form;
	var buttons = $('button');
	var del = Fw.getParameters();
	var type = del.type;
	var RegionNo = del.RegionNo;
	var TraderCode = del.TraderCode;
	var flag = del.flag;
	var listView;
	//
	return {
		/**
		 * 依赖组件
		 */
		requires : [
		// 表单
		'Fw.Form',
		// 列表
		'Fw.ListView', 'Fw.TableView' ],
		/**
		 * x 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */

		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '缴费信息列表',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
				// 自定义按钮标题（默认'返回'）
				text : '左边按钮',
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			// handler: XXX

			},

		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			if (Fw.isTouch) {
				if (Fw.isAndroid) {
					Fw.device.Device.applyView({
						title : '缴费信息列表',
						leftButton : {
							// 自定义按钮标题（默认'返回'）
							text : '<',
							handler : function() {
								App.leftButtonHandler();
							}
						},
						rightButton : {
							text : ' ',
						},

						loadMask : false

					});
				}
			}
			// 定义表单
			form = new Fw.Form({
				contentEl : 'form',
				resettable : false,
				msgTarget : 'tips'
			});
			// 定义列表
			listView = new Fw.ListView(
					{
						// EL
						contentEl : 'list',
						ajax : {
							// 数据源（服务接口）
							service : 'paymentInfoManagement.queryPaymentInfoList',
							// 请求参数
							params : {
								ItemCode : type,
								ItemCode1 : "",
								ItemCode2 : "",
								UserNo : "",
							},
							rootProperty : 'result.List',
							// 分页参数
							pageSize : 10,
							page : true,
							// 是否使用数据挡板（默认false）
							staticData : false
						},
						// 向右箭头（默认false）
						disclosure : true,
						// 是否显示行号（默认显示）
						rowNumber : false,
						// 数据展现模版
						itemTpl : [
								'<div class="bag_pay">',
								'<img  src="image/${item.BussType}.png"   style="width:25px;height:25px;"></img>',
								'</div>',
								'<div class="ui-list-info">',
								'<ul class="ui-nowrap" >',
								'<li class="li-info-type  cursor" >{@if item.BussType!="0001"&&item.BussType!="0002"&&item.BussType!="0003"}${item.BussTypeName}　{@/if}</li>',
								'<li class="li-info-address cursor" >{@if item.BussType!="0001"&&item.BussType!="0002"&&item.BussType!="0003"}{@if item.RegionNoName =="null" || item.RegionNoName == "" ||item.RegionNoName==null}{@else}${item.RegionNoName}{@/if}　{@/if}</li>',
								'<li class="li-info-company  cursor" >{@if item.BussType!="0001"&&item.BussType!="0002"&&item.BussType!="0003"}${item.TraderCodeName}　{@/if}{@if item.Remark!=null&&item.Remark!=""}${item.Remark}　{@/if}</li>',
								'<li class="li-info-name  cursor" >{@if item.UserName =="null" || item.UserName=="" || item.UserName==null}${item.UserNo}{@else}${item.UserName}　|${item.UserNo}{@/if}　</li>', '</ul>', '</div>' ]
					});
			// 初始化事件
			this.initEvents();

		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			// 加载数据
			listView.loadData();
			$('#list-loadmore-text').hide();
			$('#list-loadmore').hide();
			// 选中记录时触发
			listView.on('itemclick', this.onSelect, this);
			// 查询数据后触发
			listView.ajax.on('queryerror', this.onQuery, this);
			listView.ajax.on('query', this.onQueryAfter, this);
		},
		leftButtonHandler : function() {
			var defaultArea = del.defaultArea;
			var TraderCodeName = del.TraderCodeName;
			if (flag == 1) {
				var params = {
					"defaultArea" : defaultArea,
					"ItemCode" : del.RegionNo,
					flag : "1",
					"TraderCodeName" : TraderCodeName,
					"ItemCode2" : del.TraderCode,
					back : "left",
					UserNo : del.UserNo
				};
				if (type == '108') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/electricityPartion/login_payment.html', params);
				} else if (type == '107') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/telecomunication/login_payment.html', params);
				} else if (type == '105') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/wireTelevision/login_payment.html', params);
				} else if (type == '202') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/educationPartion/login_payment.html', params);
				} else if (type == '102') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/waterPartion/login_payment.html', params);
				} else if (type == '207') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/propertyManagementFee/login_payment.html', params);
				} else if (type == '203') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/housingPartion/login_payment.html', params);
				} else if (type == '302') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/partyMembershipDues/login_payment.html', params);
				} else if (type == '208'){
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/hospital/login_payment.html', params);
				}
			} else if (flag == 3) {
				var prams = {
					flag : 3,
					ItemCode : del.type,
					ItemCode1 : del.RegionNo,
					ItemCode2 : del.TraderCode,
					"BussType" : del.BussType,
					"RegionName" : del.RegionName,
					"TraderCodeName" : del.TraderCodeName,
					back : "left",
					TypeList : del.TypeList,
					AreaList : del.AreaList,
					CompanyList : del.CompanyList,
					UserNo : del.UserNo
				}
				Fw.redirect(Fw.getBasePath() + '/page/pub/autoPaymentManagement/main.html', prams);
			} else if (del.sign == 1) {

				var params = {
					"defaultArea" : defaultArea,
					"ItemCode" : del.RegionNo,
					sign : "1",
					"TraderCodeName" : TraderCodeName,
					"ItemCode2" : del.TraderCode,
					back : "left",
					UserNo : del.UserNo
				};
				if (type == '108') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/electricityPartion/login_payment.html', params);
				} else if (type == '107') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/telecomunication/login_payment.html', params);
				} else if (type == '105') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/wireTelevision/login_payment.html', params);
				} else if (type == '202') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/educationPartion/login_payment.html', params);
				} else if (type == '102') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/waterPartion/login_payment.html', params);
				} else if (type == '207') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/propertyManagementFee/login_payment.html', params);
				} else if (type == '203') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/housingPartion/login_payment.html', params);
				} else if (type == '302') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/partyMembershipDues/login_payment.html', params);
				} else if (type == '208'){
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/hospital/login_payment.html', params);
				}
			}
		},
		/**
		 * 查询错误后 query 方法
		 * 
		 */
		onQuery : function(ajax, data, result, error) {
			if (error == "无符合条件的记录") {
				Fw.Msg.info("未查询到相关信息", function() {
					// $("#list").html("<p style='height: 45px;line-height:
					// 45px;text-align:center;'>未查询到相关信息</p>");
				})
			}else{
				$('#list-loadmore-text').show();
				$('#list-loadmore').show();
			}
			Fw.LoadMask.hide();
		},

		/**
		 * 
		 * 查询数据之后没有数据 query方法
		 * 
		 */
		onQueryAfter : function(ajax, data, result) {
			if (Fw.isEmpty(data)) {
				$('#list-loadmore-text').hide();
				$('#list-loadmore').hide();
				Fw.Msg.info("未查询到相关信息", function() {
					$("#list").html("<p style='height: 45px;line-height: 45px;text-align:center;'>未查询到相关信息</p>").show();
				});
			} else {
				$('#list-loadmore-text').show();
				$('#list-loadmore').show();
			}
			Fw.LoadMask.hide();
		},
		/**
		 * 选中记录时触发
		 */
		onSelect : function(record, index, item, e, cmp) {
			var defaultArea = record.RegionNoName;
			var TraderCodeName = record.TraderCodeName;
			if (flag == 1) {
				var params = {
					"record" : record,
					"defaultArea" : defaultArea,
					"ItemCode" : record.RegionNo,
					"sign" : "1",
					"TraderCodeName" : TraderCodeName,
					"ItemCode2" : record.TraderCode,
					back : "onselect",
					UserNo : record.UserNo
				};
				if(Fw.isEmpty(defaultArea) || Fw.isEmpty(TraderCodeName)){
					params.moveData = del;
					params.moveSign = "2";
				}
				if (type == '108') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/electricityPartion/login_payment.html', params);
				} else if (type == '107') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/telecomunication/login_payment.html', params);
				} else if (type == '105') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/wireTelevision/login_payment.html', params);
				} else if (type == '202') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/educationPartion/login_payment.html', params);
				} else if (type == '102') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/waterPartion/login_payment.html', params);
				} else if (type == '207') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/propertyManagementFee/login_payment.html', params);
				} else if (type == '203') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/housingPartion/login_payment.html', params);
				} else if (type == '302') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/partyMembershipDues/login_payment.html', params);
				} else if (type == '208'){
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/hospital/login_payment.html', params);
				}
			} else if (flag == 3) {
				if(Fw.isEqual("0001", record.BussType) || Fw.isEqual("0002", record.BussType) || Fw.isEqual("0003", record.BussType)){
					Fw.Msg.info("该类型缴费不支持自助缴费签约");
					return;
				}
				var param = {
					record : record,
					flag : 3,
					"BussTypeName" : record.BussTypeName,
					"RegionName" : record.RegionNoName,
					"TraderCodeName" : record.TraderCodeName,
					ItemCode : record.BussType,
					ItemCode1 : record.RegionNo,
					ItemCode2 : record.TraderCode,
					sign : "2",
					BussType : type,
					back : "onselect",
					TypeList : del.TypeList,
					AreaList : del.AreaList,
					CompanyList : del.CompanyList,
				}
				Fw.redirect(Fw.getBasePath() + '/page/pub/autoPaymentManagement/main.html', param);
			} else if (del.sign == 1) {
				var params = {
					"record" : record,
					"defaultArea" : defaultArea,
					"ItemCode" : record.RegionNo,
					sign : "1",
					"TraderCodeName" : TraderCodeName,
					"ItemCode2" : record.TraderCode,
					back : "onselect"
				};
				if(Fw.isEmpty(defaultArea) || Fw.isEmpty(TraderCodeName)){
					params.moveData = del;
					params.moveSign = "2";
				}
				if (type == '108') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/electricityPartion/login_payment.html', params);
				} else if (type == '107') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/telecomunication/login_payment.html', params);
				} else if (type == '105') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/wireTelevision/login_payment.html', params);
				} else if (type == '202') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/educationPartion/login_payment.html', params);
				} else if (type == '102') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/waterPartion/login_payment.html', params);
				} else if (type == '207') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/propertyManagementFee/login_payment.html', params);
				} else if (type == '203') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/housingPartion/login_payment.html', params);
				} else if (type == '302') {
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/partyMembershipDues/login_payment.html', params);
				} else if (type == '208'){
					Fw.redirect(Fw.getBasePath() + '/page/pub/lifeService/hospital/login_payment.html', params);
				}
			}
		},

	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
