var App = function() {
	var params;
	return {
		requires : [ 'Fw.Keyboard', ],
		viewConfig : {
			title : '其他贷款详细信息',
			leftButton : {
				handler : function() {
					App.back();
				}
			},
			loadMask : false,
		},
		back : function() {
			if (Fw.isPhone) {
				Fw.device.Device.accGotoIndex();
			} else {
				var urltemp = Fw.getBasePath() + '/page/pc/loan/ptdkLoan.html';
				Fw.redirect(urltemp);
			}
		},
		init : function(require) {
			if (Fw.isPhone) {
				Fw.device.Device.getPhoneParams("App.pageInit");
			} else {
				var temp = Fw.getParameters('record');
				App.pageInit(Fw.encode(temp));
			}
		},
		pageInit : function(data) {
			params = Fw.decode(data);
			console.log(params);
			Fw.util.Ajax
					.get({
						socketAdapter : 'loan/MCNetBankLoanAcctInfoQry',
						params : {
							LoanAcctNo : params.LoanAcctNo,
						},
						success : function(data, result) {
							$('#LoanType').html(
									App.LoanTypeTrans(params.LoanType));
							$('#ContractNo').html(data.LoanContractNo);
							$('#acc').html(
									Fw.util.Format.fmtAcctNo(data.PayAcctNo,
											true));
							$('#eDate').html(
									Fw.util.Format.fmtDate(params.ExpiryDate));
							$('#CreditLimit').html(
									Fw.util.Format.fmtAmt(params.ContractAmt));
							$('#UsedLimit').html(
									Fw.util.Format.fmtAmt(params.CurBal));
							$('#AvailLimit').html();
							$('#ContractIntRate').html(
									params.ContractIntRate + "‰");
							$('#AuthStartDate').html(
									Fw.util.Format.fmtDate(params.IssuDate));
							$('#RepayType').html(
									App.RepayTypeTrans(data.RepayType,
											params.LoanType));
							$('#IntSettleMode')
									.html(
											App
													.IntSettleModeTrans(data.IntSettleCycle));
							$('#LoanStatus').html(
									App.LoanStatusTrans(params.LoanStatus));
						},
						failure : function(e, state, textStatus, error, xhr) {
						}
					});
		},
		IntSettleModeTrans : function(v) {
			var result;
			var map = {
				'101' : '到期日对日结息',
				'102' : '每月21日结息',
				'103' : '每季21日结息',
				'104' : '每年21日结息',
				'105' : '每月月末日结息',
				'106' : '不批量结息',
				'107' : '每季季末日结息',
				'108' : '每半年结束日结息',
			};
			result = map[v];
			return Fw.isEmpty(map[v]) ? v : result;
		},
		LoanStatusTrans : function(v) {
			var result;
			var map = {
				'00' : '登记',
				'10' : '暂停',
				'01' : '正常',
				'02' : '逾期',
				'03' : '呆滞 ',
				'04' : '呆帐',
				'05' : '核销',
				'06' : '多种状态',
				'07' : '部分核销',
				'99' : '销户',
				'08' : '部分剥离',
				'09' : '全部剥离 ',
			};
			result = map[v];
			return Fw.isEmpty(map[v]) ? v : result;
		},
		RepayTypeTrans : function(v, b) {
			var result;
			var map1 = {
				'11' : '利随本清',
				'12' : '到期利随本清',
				'13' : '到期一次还本付息',
				'21' : '等额还款法',
				'22' : '等额本金法',
				'23' : '等本等息法',
				'29' : '预收利息',
			};
			var map2 = {
				'21' : '等额本息法',
				'22' : '等额本金法',
				'23' : '计划分期法',
				'24' : '等额累进法',
				'25' : '等比累进法',
			};
			if (b == '1') {
				result = map1[v];
				return Fw.isEmpty(map1[v]) ? v : result;
			} else if (b == '2') {
				result = map2[v];
				return Fw.isEmpty(map2[v]) ? v : result;
			} else {
				return v;
			}
		},
		LoanTypeTrans : function(v) {
			var result;
			var map = {
				'1' : '普通贷款',
				'2' : '按揭贷款',
			};
			result = map[v];
			return Fw.isEmpty(map[v]) ? v : result;
		},
		LoanStatusTrans : function(v) {
			var result;
			var map = {
				'01' : '正常',
				'02' : '逾期',
				'03' : '呆滞',
				'04' : '呆账',
				'05' : '核销',
				'06' : '多种状态',
				'07' : '部分核销',
				'08' : '部分置换',
				'09' : '全部置换',
				'10' : '部分剥离',
				'11' : '全部剥离',
			};
			result = map[v];
			return Fw.isEmpty(map[v]) ? v : result;
		},
	}
}();
Fw.onReady(App);
