/**
 * 创建应用
 */
var App = function() {
	var endDateEl = $('#endT');
	var beginDateEl = $('#beginT');
	var tpl;
	var param;
	var tpindex;
	//
	return {
		requires : [ 'Fw.Calendar', 'Fw.ListView', ],
		viewConfig : {
			title : '其他贷款明细查询',
			leftButton : {
				handler : function() {
					App.back();
				}
			},
			loadMask : true,
		},
		back : function() {
			if (Fw.isPhone) {
				Fw.device.Device.accGotoIndex();
			} else {
				var urltemp = Fw.getBasePath() + '/page/pc/loan/ptdkLoan.html';
				Fw.redirect(urltemp);
			}
		},
		returnMain : function() {
			$('#sub_page').hide();
			$('#main_page').show();
			$("#transDetailList").empty();
			$('#transDetailList-loadmore-text').remove();
		},
		init : function(require) {
			tpl = require('./tpl/ext.tpl').join('');
			if (Fw.isPhone) {
				Fw.device.Device.getPhoneParams("App.pageInit");
			} else {
				var temp = Fw.getParameters('record');
				App.pageInit(Fw.encode(temp));
			}
		},
		pageInit : function(data) {
			params = Fw.decode(data);
			$('#beginT').val(App.getFullDate(0, -1));
			$('#endT').val(App.getFullDate());
			Fw.LoadMask.hide();
			App.initEvents();
		},
		initEvents : function() {
			$('#search_btn').on('click', Fw.bind(this.normalSearch, this));
			$('.calendarInput').on('change', Fw.bind(this.dateLogic, this));
		},
		dateLogic : function(e) {
			var $that = $(e.currentTarget);
			var beginday = new Date(beginDateEl.val());
			var yb = beginday.getFullYear();
			var mb = beginday.getMonth();
			var db = beginday.getDate();

			var newday = new Date(yb, mb + 6, db);
			var endday = new Date(endDateEl.val());
			var ye = endday.getFullYear();
			var me = endday.getMonth();
			var de = endday.getDate();
			if (beginday > endday) {
				endDateEl.val(App.newDate(yb, mb, db));
			} else {
				if (newday < endday) {
					if ($that.attr("id") == "endT") {
						beginDateEl.val(App.newDate(ye, me - 6, de + 1))
					} else {
						endDateEl.val(App.newDate(yb, mb + 6, db - 1))
					}
				}
			}
		},
		initList : function() {
			listView = new Fw.ListView(
					{
						contentEl : 'transDetailList',
						ajax : {
							socketAdapter : 'loan/MCNetBankLoanRepayDetailQry',
							pageSize : 5,
							rootProperty : 'result.List',
							totalProperty : "result._TotalNum",
						},
						disclosure : true,
						itemTpl : [
								'<div class="detail_list_div_li">',
								'<div class="div_listLeft" ></div>',
								'<div style="margin-left:30px;border-bottom: 1px solid #E6E6E6;">',
								'<div style="margin-right: 30px;" class="" >',
								'<div class="div2">',
								'${item.TranDate|fmtDate}', '</div>',
								'<div class="div_listRight">',
								'${item.TranAmt|fmtAmt}', '</div>',
								'<div class="div_listRight li_title">',
								'${item.RemarkCode}', '</div>', '</div>',
								'</div>', '</div>' ]
					});
			listView.ajax.on('beforequery', this.onBeforeQuery, this);
			listView.on('itemclick', this.extLib, this);
			listView.ajax.on('query', this.onQuery, this);
			listView.ajax.on('queryerror', this.onQueryError, this);
			listView.ajax.on('error', this.onError, this);
			param = {
				'LoanAcctNo' : params.LoanAcctNo,
				'SDate' : beginDateEl.val().replace("-", "").replace("-", ""),
				'EDate' : endDateEl.val().replace("-", "").replace("-", ""),
				'MyPageSeq' : "",
			}
			listView.loadData();
		},
		onQueryError : function(ajax, data, result, error) {
			if (error == "无满足条件记录") {
				Fw.Msg.info("未查询到相关记录");
			} else {
				Fw.Msg.info(error);
			}
			$("#transDetailList").empty();
		},
		onError : function(ajax, status, textStatus, error, xhr) {
		},
		onBeforeQuery : function(ajax, message, url) {
			ajax.setParams({
				'MyPageSeq' : ''
			})
			ajax.setParams(param);
		},
		onQuery : function(ajax, data, result) {
			param['MyPageSeq'] = result.result['_PageId'];
			Fw.LoadMask.hide();
			App.toSubPage();
		},
		normalSearch : function() {
			if (App.initValidator()) {
				$("#transDetailList").empty();
				$('#transDetailList-loadmore-text').remove();
				App.initList();
			}
		},
		initValidator : function() {
			var mess = "";
			var result = true;
			var reg = /^\d{4}-\d{2}-\d{2}$/;
			if (reg.test(endDateEl.val())) {
				if (reg.test(beginDateEl.val())) {
					var tempday = Fw.getDate();
					var y = tempday.getFullYear();
					var m = tempday.getMonth();
					var d = tempday.getDate();
					y -= 2;
					var newday = new Date(y, m, d);
					var inputday = new Date(beginDateEl.val());
					if (newday > inputday) {
						mess = '请输入两年内日期';
					} else if (new Date(beginDateEl.val()) > Fw.getDate()) {
						mess = '开始日期不得大于今天'
					} else if (new Date(endDateEl.val()) > Fw.getDate()) {
						mess = '结束日期不得大于今天'
					} else if (new Date(beginDateEl.val()) > new Date(endDateEl
							.val())) {
						mess = '时间逻辑关系错误';
					} else if (beginDateEl.val().substr(0, 4) != endDateEl
							.val().substr(0, 4)) {
						mess = '不能跨年度查询';
					} else {
						var beginday = new Date(beginDateEl.val());
						var y = beginday.getFullYear();
						var m = beginday.getMonth();
						var d = beginday.getDate();
						m += 6;
						var newday = new Date(y, m, d);
						var endday = new Date(endDateEl.val());
						if (new Date(beginDateEl.val()) > Fw.getDate()) {
							mess = '开始日期不得大于今天'
						} else if (new Date(endDateEl.val()) > Fw.getDate()) {
							mess = '结束日期不得大于今天'
						}
					}
				} else {
					mess = '请输入有效的起始日期';
				}
			} else {
				mess = '请输入有效的结束日期';
			}
			if (mess != "") {
				Fw.Tips.info(mess);
				return false;
			}
			return true;
		},
		extLib : function(record, index, item, e, cmp) {
			console.log(record);
			var temp = {};
			temp.TranAmt = Fw.util.Format.fmtAmt(record.TranAmt);
			temp.RepayInt = Fw.util.Format.fmtAmt(record.RepayInt);
			temp.RepayInterest = Fw.util.Format.fmtAmt(record.RepayInterest);
			temp.IntBal = Fw.util.Format.fmtAmt(record.IntBal);
			temp.RemarkCode = record.RemarkCode;
			var html2 = Fw.template(tpl, temp);
			$('#transDetailList').find(".x-list_ext").remove();
			if (tpindex != index) {
				$(e.currentTarget).after(html2);
				tpindex = index;
			} else {
				tpindex = -1;
			}
		},
		toSubPage : function() {
			$('#sub_page').show();
			$('#main_page').hide();
		},
		getFullDate : function(yc, mc, dc) {
			var temp = Fw.getDate();
			var y = temp.getFullYear();
			var m = temp.getMonth();
			var d = temp.getDate();
			if (yc != undefined) {
				y += yc;
			}
			if (mc != undefined) {
				m += mc;
			}
			if (dc != undefined) {
				d += dc;
			}
			temp = new Date(y, m, d);
			y = temp.getFullYear();
			m = temp.getMonth() + 1;
			d = temp.getDate();
			y += "";
			m += "";
			d += "";
			if (m.length == 1) {
				m = "0" + m;
			}
			if (d.length == 1) {
				d = "0" + d;
			}
			return y + "-" + m + "-" + d;
		},
		newDate : function(y, m, d) {
			var newday = new Date(y, m, d);
			var yn = newday.getFullYear();
			var mn = newday.getMonth();
			var dn = newday.getDate();
			mn++;
			yn += "";
			mn += "";
			dn += "";
			if (mn.length == 1) {
				mn = "0" + mn;
			}
			if (dn.length == 1) {
				dn = "0" + dn;
			}
			return yn + "-" + mn + "-" + dn;
		},

	}
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);