/**
 * 创建应用
 */
var App = function() {
	return {
		requires : [ 'Fw.Form', 'Fw.TimerGlider', 'Fw.app.Session',
				'Fw.Keyboard' ],
		viewConfig : {
			title : '循环贷还款',
			leftButton : {
				handler : function() {
					App.back();
				}
			},
			loadMask : true,
		},
		init : function() {
			if (Fw.isPhone) {
				Fw.device.Device.getPhoneParams("App.pageInit");
			} else {
				var temp = Fw.getParameters('record');
				App.pageInit(Fw.encode(temp));
			}
		},
		pageInit : function(data) {
			paramrecord = Fw.decode(data);
			App.flag = 0;
			this.initJuicer();
			$('#submit-btn-success').on('click',
					Fw.bind(this.onButtonClick, this));
			Fw.Keyboard.init($("#main_page"));
			Fw.Keyboard.onHidden = function() {
				switch (this.type) {
				// 金额键盘
				case 'AMT':
					this.target.val(Fw.util.Format.fmtAmt(Fw.util.Format
							.unFmtAmt(this.target.val())));
					break;
				}
				$('body').css({
					'top' : '0px'
				});
				// sm 还原Placeholder
				if (Fw.isEmpty(this.target.val())
						&& !Fw.isEmpty(Fw.util.Storage.get(this.target
								.attr('name')))) {
					this.target.attr('placeholder', Fw.util.Storage
							.get(this.target.attr('name')));
					Fw.util.Storage.remove(this.target.attr('name'));
				}
				// sm 是否重启动键盘
				Fw.Keyboard.showKeyboard = true;
				if (this.type == "AMT") {
					App.pageIn();
				}
			}
			$('#btn_ok').on('click', Fw.bind(this.getLoan, this));
			timerGlider = new Fw.ListView(
					{
						contentEl : 'transDetailList',
						ajax : {
							service : 'loanService',
							method : 'queryTrsDetail',
							// 请求参数
							params : {
								ContractNo : paramrecord.ContractNo,
							},
							pageSize : 150,
							page : true,
							rootProperty : 'result.List',// 响应数据集合
							totalProperty : "result._TotalNum",
						},
						// 下拉刷新（默认false）
						pullRefresh : false,
						itemTpl : [
								'<form style="width:100%;border-top:1px solid #E6E6E6;" class="ui-form">',
								'<div class="ui-form-item" style="padding-left:0px;height:34px; line-height: 34px;">',
								'<label class="overHidden" style="text-align:left;margin-left:15px;color:#333;">贷款金额</label>',
								'<div style="margin-left: 200px;text-align: right;overflow: hidden;text-overflow: ellipsis;white-space: nowrap;">${item.LoanAmt|fmtAmt}元</div>',
								'</div>',
								'<div class="ui-form-item" style="padding-left:0px;height:34px; line-height: 34px;">',
								'<label class="overHidden" style="text-align:left;margin-left:15px;color:#333;">未结清金额</label>',
								'<div style="margin-left: 200px;text-align: right;overflow: hidden;text-overflow: ellipsis;white-space: nowrap;">${item.CurLoanBalance|fmtAmt}元</div>',
								'</div>',
								'<div class="ui-form-item" style="padding-left:0px;height:34px; line-height: 34px;">',
								'<label style="text-align:left;margin-left:15px;color:#333;" >贷款期限</label>',
								'<div style="text-align: right;" >${item.LoanIssuDate|fmtDate,"yyyy-MM-dd"} 至 ${item.LoanExpiryDate|fmtDate,"yyyy-MM-dd"}</div>',
								'</div>',
								'<div class="ui-form-item" style="padding-left:0px;height:34px; line-height: 34px;">',
								'<label style="text-align:left;margin-left:15px;color:#333;" >贷款状态</label>',
								'<div style="text-align: right;" >${item.FourLevelFlag|loanStatusTrans}</div>',
								'</div>',
								'<div class="ui-form-item" style="padding-left:0px;height:34px; line-height: 34px;">',
								'<label style="text-align:left;margin-left:15px;color:#333;" >月利率</label>',
								'<div style="text-align: right;" >${item.ExecIntRateMonth|fmtMonthRate,2}</div>',
								'</div>',
								'<div class="ui-form-item" style="padding-left:0px;height:34px; line-height: 34px;">',
								'<label style="text-align:left;margin-left:15px;color:#333;" >我要还款</label>',
								'<div style="text-align: right;color: #BBBABA;" >点击立即还款</div>',
								'</div>', '</div>', '</form>' ]
					});
			timerGlider.on('itemclick', this.onloanList, this);
			timerGlider.ajax.on('error', this.onError, this);
			// 加载数据
			timerGlider.loadData();
			// 手动隐藏等待层
			Fw.LoadMask.hide();
		},
		onError : function(ajax, status, textStatus, error, xhr) {
			$("#" + timerGlider.contentEl + "-loadmore-text").html("未查询到相关记录");
		},
		onButtonClick : function() {
			var urltemp = Fw.getBasePath()
					+ '/page/pub/accountBook/Note/writeNote/main.html';
			var param = {
				AddParam : {
					AcNo : App.record.PayAcctNo,
					Amount : Fw.util.Format.unFmtAmt($('#Amount').val()),
				},
			}
			if (!Fw.isPhone) {
				param.pageParam = {
					aimUrl : '/page/pc/loan/xhdLoan.html',
					BookType : '0',// 0支出1收入
				}
			}
			Fw.redirect(urltemp, param);
		},
		initJuicer : function() {
			juicer.register("loanStatusTrans", function(v) {
				var result;
				var map = {
					'00' : '未分类',
					'10' : '正常',
					'20' : '逾期',
					'30' : '呆滞',
					'40' : '呆帐'
				};
				result = map[v];
				return Fw.isEmpty(map[v]) ? v : result;
			});
			juicer.register("fmtMonthRate", function(v, format) {
				if (!v)
					return null;
				return (v * 1000).toFixed(format) + '‰';
			});
		},
		onloanList : function(record, index, item, e, cmp) {
			App.inrecord = record;
			$('#Amount').on('input', Fw.bind(this.moneyLimit, this));
			$('#Amount').on('blur', Fw.bind(this.amountFormat, this));
			Fw.util.Ajax.get({
				socketAdapter : 'loan/mCSelfRepayVerify',
				params : {
					LoanAcctNo : record.LoanAcctNo,
				},
				success : function(data, result) {
					if (data.SelfHelpRepayFlag == "1") {
						Fw.Msg.info("您的借款不能自助还款，请到开户网点柜台进行还款")
					} else {
						Fw.util.Ajax.get({
							socketAdapter : 'loan/mCCommonLoanInfoQry',
							params : {
								LoanAcNo : record.LoanAcctNo,
							},
							success : function(data1, result1) {
								App.record = data1;
								$('#racc').html(Fw.util.Format.fmtAcctNo(App.record.PayAcctNo, true));
								$('#LastTermBalance').html(Fw.util.Format.fmtAmt(record.CurLoanBalance));
								Fw.util.Ajax.query({
									service : 'accountService',
									method : 'getAccountInfo',
									params : {
										AcNo : App.record.PayAcctNo,
									},
									success : function(data2, result2) {
										App.datarecord = data2;
										card_Balance = data2.AvailBal;
										$('#balance').html(Fw.util.Format.fmtAmt(card_Balance));
										App.flag = 1;
										$('#pageB').show();
										$('#pageA').hide();
									}
								});
							},
							failure : function(e, state, textStatus, error, xhr) {
							}
						});
					}
				},
				failure : function(e, state, textStatus, error, xhr) {
				}
			});
		},
		amountFormat : function(e) {
			var El = $(e.currentTarget);
			El.val(Fw.util.Format.fmtAmt(Fw.util.Format.unFmtAmt(El.val())));
			this.pageIn();
		},
		pageIn : function() {
			if (Fw.isEmpty($('#Amount').val())) {
				return false;
			}
			App.endFlag = "0";
			if (parseFloat(Fw.util.Format.unFmtAmt($('#Amount').val())) == parseFloat(App.record.CorpusBal)) {
				App.endFlag = "1";
			} else if (parseFloat(Fw.util.Format.unFmtAmt($('#Amount').val())) < parseFloat(App.record.CorpusBal)) {
				App.endFlag = "0";
			}
			Fw.util.Ajax.execute({
				socketAdapter : 'loan/mCInterestCalculate',
				params : {
					LoanAcNo : App.inrecord.LoanAcctNo,
					EndSettleFlag : App.endFlag,
					ReturnCorpusAmt : Fw.util.Format.unFmtAmt($('#Amount')
							.val()),
					CompareAmt : Fw.util.Format
							.unFmtAmt(App.datarecord.AvailBal)
				},
				success : function(data, result) {
					$('#CorpusInterestTotalAmt').html(
							Fw.util.Format.fmtAmt(data.CorpusInterestTotalAmt)
									+ " = ");
					$('#CorpusAmt').html(
							Fw.util.Format.fmtAmt($('#Amount').val()) + " + ");
					$('#InterestAmt').html(
							Fw.util.Format.fmtAmt(data.InterestAmt));
					$('#form2').show();
				},
				failure : function(e, state, textStatus, error, xhr) {
				}
			});
		},
		moneyLimit : function(e) {
			var $that = $(e.currentTarget);
			var t_val = $that.val();
			var temp;
			var true_val = t_val.replace(/[,]/g, "").replace("¥", "");
			var list = t_val.split(".");
			var Reg = /^\d{1,11}([.]\d{0,2}){0,1}$/;
			var Reg2 = /^[.]\d{0,2}$/;
			if (Reg.test(true_val)) {
				return true;
			} else if (Reg2.test(t_val)) {
				$that.val("0" + t_val);
			} else if (list.length > 2) {
				for (var i = list.length - 2; i > 0; i--) {
					t_val = t_val.replace(".", "");
				}
				temp = Fw.util.Format.fmtAmt(t_val);
				$that.val(temp);
			} else {
				list[0] = list[0].replace(/\D/g, "");
				list[0] = list[0].substr(0, 11);
				if (list.length == 2) {
					list[1] = list[1].replace(/\D/g, "");
					if (list[1].length > 2) {
						list[1] = list[1].substr(0, 2);
					}
					temp = Fw.util.Format.fmtAmt(list[0] + "." + list[1]);
					$that.val(temp);
				} else {
					temp = Fw.util.Format.fmtAmt(list[0]);
					$that.val(temp);
				}
			}
		},
		getLoan : function() {
			if (Fw.isEmpty($('#Amount').val())) {
				Fw.Tips.info('归还本金不能为空');
				return false;
			}
			Fw.util.Ajax.execute({
				socketAdapter : 'loan/mCInterestCalculate',
				params : {
					LoanAcNo : App.inrecord.LoanAcctNo,
					EndSettleFlag : App.endFlag,
					ReturnCorpusAmt : Fw.util.Format.unFmtAmt($('#Amount')
							.val()),
					CompareAmt : Fw.util.Format
							.unFmtAmt(App.datarecord.AvailBal)
				},
				success : function(data, result) {
					var showInfo = [ {
						label : '还款账户',
						value : Fw.util.Format.fmtAcctNo(App.record.PayAcctNo, true),
					}, ];
					var smsParams = {};
					var cardNews = {
						VType : "loan",
						passwordType : 'T',// 借记卡 T 信用卡 B
						cardNo : App.record.PayAcctNo,
					}
					Fw.device.Device.payControls("AP", showInfo, 'App.getLoanDo',
							smsParams, cardNews);
				},
				failure : function(e, state, textStatus, error, xhr) {
				}
			});
		},
		getLoanDo : function(record, type, isObject) {
			if ((isObject == "false") || (!isObject)) {
				record = Fw.decode(record);
			}
			Fw.util.Ajax.execute({
				socketAdapter : 'loan/mCLoanRepayment',
				params : {
					LoanAcNo : App.inrecord.LoanAcctNo,
					IsIntCorpusClear : App.endFlag,
					RepayCorpus : Fw.util.Format.unFmtAmt($('#Amount').val()),
				},
				success : function(data, result) {
					App.flag = 0;
					$('#step2').show();
					$('#pageB').hide();
				},
				failure : function(e, state, textStatus, error, xhr) {
				}
			});
		},
		back : function() {
			if (App.flag == 1) {
				App.flag = 0;
				$('#Amount').val('');
				$('#form2').hide();
				$('#pageB').hide();
				$('#pageA').show();
			} else {
				if (Fw.isPhone) {
					Fw.device.Device.accGotoIndex();
				} else {
					var urltemp = Fw.getBasePath()
							+ '/page/pc/loan/xhdLoan.html';
					Fw.redirect(urltemp);
				}
			}
		},
	}
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);