var App = function() {
	var paramrecord;
	return {
		requires : [ 'Fw.Form', 'Fw.DropDownList', 'Fw.PayControls',
				'Fw.app.Session', // 安全键盘
				'Fw.Keyboard', 'Fw.Calendar' ],
		viewConfig : {
			title : '循环贷放款',
			leftButton : {
				handler : function() {
					App.back();
				}
			},
		},
		init : function() {
			if (Fw.isPhone) {
				Fw.device.Device.getPhoneParams("App.pageInit");
			} else {
				var temp = Fw.getParameters('record');
				App.pageInit(Fw.encode(temp));
			}
		},
		pageInit : function(data) {
			paramrecord = Fw.decode(data);
			$('#submit-btn-success').on('click',
					Fw.bind(this.onButtonClick, this));
			$('#startTime').val(App.getFullDate());
			$('#Amount').attr("placeholder",
					"可用额度" + paramrecord.ContractActualAmt);
			Fw.LoadMask.hide();
			Fw.Keyboard.init($("#main_page"));
			Fw.Keyboard.onHidden = function() {
				switch (this.type) {
				// 金额键盘
				case 'AMT':
					this.target.val(Fw.util.Format.fmtAmt(Fw.util.Format
							.unFmtAmt(this.target.val())));
					break;
				}
				$('body').css({
					'top' : '0px'
				});
				// sm 还原Placeholder
				if (Fw.isEmpty(this.target.val())
						&& !Fw.isEmpty(Fw.util.Storage.get(this.target
								.attr('name')))) {
					this.target.attr('placeholder', Fw.util.Storage
							.get(this.target.attr('name')));
					Fw.util.Storage.remove(this.target.attr('name'));
				}
				// sm 是否重启动键盘
				Fw.Keyboard.showKeyboard = true;
				if (this.type == "AMT") {
					App.pageIn();
				}
			}
			this.initEvents();
		},
		onButtonClick : function() {
			var urltemp = Fw.getBasePath()
					+ '/page/pub/accountBook/Note/writeNote/main.html';
			var param = {
				AddParam : {
					AcNo : App.lendInfo.RepayAcctNo,
					Amount : Fw.util.Format.unFmtAmt($('#Amount').val()),
				},
			}
			if (!Fw.isPhone) {
				param.pageParam = {
					aimUrl : '/page/pc/loan/xhdLoan.html',
					BookType : '1',// 0支出1收入
				}
			}
			Fw.redirect(urltemp, param);
		},
		pageIn : function() {
			if (Fw.isEmpty($('#Amount').val())) {
				return false;
			}
			if (Fw.isEmpty($('#endTime').val())) {
				return false;
			}
			if (Fw.isEqual(Fw.util.Format.unFmtAmt($('#Amount').val()), '0')) {
				Fw.Tips.info('放款金额不能为0');
				return false;
			}
			Fw.util.Ajax
					.get({
						socketAdapter : 'loan/mCLendInfoQry',
						params : {
							ContractNo : paramrecord.ContractNo,
							LoanAmt : Fw.util.Format.unFmtAmt($('#Amount')
									.val()),
							LoanIssuDate : $('#startTime').val().replaceAll(
									"-", ""),
							LoanExpiryDate : $('#endTime').val().replaceAll(
									"-", "")
						},
						success : function(data, result) {
							App.lendInfo = data;
							$('#rate').html(
									App.fmtMonthRate(data.ExecIntRateMonth, 3));
							$('#acc').html(
									Fw.util.Format.fmtAcctNo(data.RepayAcctNo,
											true));
						},
						failure : function(e, state, textStatus, error, xhr) {
						}
					});
		},
		fmtMonthRate : function(v, format) {
			if (!v)
				return null;
			return (v * 1000).toFixed(format) + '‰';
		},
		initEvents : function() {
			$('#Amount').on('input', Fw.bind(this.moneyLimit, this));
			$('#btn_ok').on('click', Fw.bind(this.checkInput, this));
			$('#Amount').on('blur', Fw.bind(this.amountFormat, this));
			$('#endTime').on('change', Fw.bind(this.pageIn, this));
			$('#endTime').on('blur', Fw.bind(this.pageIn, this));
		},
		amountFormat : function(e) {
			var El = $(e.currentTarget);
			El.val(Fw.util.Format.fmtAmt(Fw.util.Format.unFmtAmt(El.val())));
			this.pageIn();
		},
		checkInput : function() {
			if (Fw.isEmpty($('#Amount').val())) {
				Fw.Tips.info('放款金额不能为空');
				return false;
			}
			if (Fw.isEqual(Fw.util.Format.unFmtAmt($('#Amount').val()), '0')) {
				Fw.Tips.info('放款金额不能为0');
				return false;
			}
			if (Fw.isEmpty($('#endTime').val())) {
				Fw.Tips.info('贷款到期日期不能为空');
				return false;
			}
			App.getLoan();
		},
		getFullDate : function(yc, mc, dc) {
			var temp = Fw.getDate();
			var y = temp.getFullYear();
			var m = temp.getMonth();
			var d = temp.getDate();
			if (yc != undefined) {
				y += yc;
			}
			if (mc != undefined) {
				m += mc;
			}
			if (dc != undefined) {
				d += dc;
			}
			temp = new Date(y, m, d);
			y = temp.getFullYear();
			m = temp.getMonth() + 1;
			d = temp.getDate();
			y += "";
			m += "";
			d += "";
			if (m.length == 1) {
				m = "0" + m;
			}
			if (d.length == 1) {
				d = "0" + d;
			}
			return y + "-" + m + "-" + d;
		},
		getLoan : function() {
			var showInfo = [
					{
						label : '入账账户',
						value : Fw.util.Format.fmtAcctNo(
								App.lendInfo.RepayAcctNo, true),
					}, ];
			var smsParams = {};
			var cardNews = {
				passwordType : 'T',// 借记卡 T 信用卡 B
				cardNo : App.lendInfo.RepayAcctNo,
			}
			Fw.device.Device.payControls("AP", showInfo, 'App.getLoanDo',
					smsParams, cardNews);
		},
		getLoanDo : function(record, type, isObject) {
			if ((isObject == "false") || (!isObject)) {
				record = Fw.decode(record);
			}
			Fw.util.Ajax.execute({
				service : 'loanService',
				method : 'executeRegetLoan',
				params : {
					ContractNo : paramrecord.ContractNo,
					LoanIssuDate : $('#startTime').val().replaceAll("-", ""),
					LoanExpiryDate : $('#endTime').val().replaceAll("-", ""),
					BenfcrAcctNo : App.lendInfo.RepayAcctNo,
					LoanAmt : Fw.util.Format.unFmtAmt($('#Amount').val()),
				},
				success : function(data, result) {
					$('#step2').show();
					$('#step1').hide();
				},
				failure : function(e, state, textStatus, error, xhr) {
				}
			});
		},
		moneyLimit : function(e) {
			var $that = $(e.currentTarget);
			var t_val = $that.val();
			var temp;
			var true_val = t_val.replace(/[,]/g, "").replace("¥", "");
			var list = t_val.split(".");
			var Reg = /^\d{1,11}([.]\d{0,2}){0,1}$/;
			var Reg2 = /^[.]\d{0,2}$/;
			if (Reg.test(true_val)) {
				return true;
			} else if (Reg2.test(t_val)) {
				$that.val("0" + t_val);
			} else if (list.length > 2) {
				for (var i = list.length - 2; i > 0; i--) {
					t_val = t_val.replace(".", "");
				}
				temp = Fw.util.Format.fmtAmt(t_val);
				$that.val(temp);
			} else {
				list[0] = list[0].replace(/\D/g, "");
				list[0] = list[0].substr(0, 11);
				if (list.length == 2) {
					list[1] = list[1].replace(/\D/g, "");
					if (list[1].length > 2) {
						list[1] = list[1].substr(0, 2);
					}
					temp = Fw.util.Format.fmtAmt(list[0] + "." + list[1]);
					$that.val(temp);
				} else {
					temp = Fw.util.Format.fmtAmt(list[0]);
					$that.val(temp);
				}

			}
		},
		back : function() {
			if (Fw.isPhone) {
				Fw.device.Device.accGotoIndex();
			} else {
				var urltemp = Fw.getBasePath() + '/page/pc/loan/xhdLoan.html';
				Fw.redirect(urltemp);
			}
		},
	}
}();
Fw.onReady(App);