/**
 * 创建应用
 */
var App = function() {
	var tab;
	var record = Fw.getParameters()||{};
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Tab'],
		viewConfig : {
			title : '资产/负债一览',
			leftButton : {
				handler : function() {
					if(Fw.isTouch){
						Fw.gotoIndex();
					}else{
						if(record.cardType == 0){
							Fw.redirect("../../pc/myAsset/main.html")
						}else{
							Fw.redirect("../../pc/myDebt/main.html")
						}
					}
				}
			},
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			this.tab = new Fw.Tab({
				contentEl : 'tab',
				activeTab : record.cardType
			});
			this.echarts = require('echarts/echarts');
			require.async(['echarts/chart/pie'], function(bar){
				App.cardType = record.cardType;
	            if(record.cardType == 0){
	            	App.asset();
	            }else{
	            	App.debt();
	            }
            });
			// 初始化事件
			this.initEvents();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			// 选项卡切换后触发
			this.tab.on('tabchange', Fw.bind(this.onTabChange, this));
		},
		/**
		 * 选项卡切换后触发
		 */
		onTabChange : function(tab, index) {
			Fw.LoadMask.show();
			App.cardType = index;
			switch (index) {
			// 第一个
			case 0:
				App.asset();
				break;
			// 第二个
			case 1:
				App.debt();
				break;
			default:
				;
			}
		},
		asset : function(){
			Fw.util.Ajax.query({
                service: 'myAssetService.getMyAsset',
                success: function(data, result) {
                	var list = data.List;
                	var hq = Number(0);
                	var dq = Number(0);
                	for(var i=0;i<list.length;i++){
                		var cardType = list[i].BankAcType;
                		if(cardType != 'PTIM' && cardType != 'PMCT'){
                			hq += parseFloat(list[i].CCDCactBal);
                		}else{
                			dq += parseFloat(list[i].TDCCActBal);
                		}
                	}
                	data = {
                			one : hq,
                			two : dq
                	}
                	App.pie(data);
                }
            });
		},
		debt : function(){
			Fw.util.Ajax.query({
                service: 'accountService.getAccount',
                params: {
                	type : '5'
                },
                success: function(data, result) {
                	var list = data.List;
                	var allMoney = Number(0);
                	var xyk = Number(0);
                	var phk = Number(0);
                	for(var i=0;i<list.length;i++){
                		var cardType = list[i].CardType;
                		if(cardType == 0){
                			if("" == list[i].CurRepayAllAmtCny){
                				xyk += parseFloat(0);
                			}else{
                				xyk += parseFloat(list[i].CurRepayAllAmtCny);
                			}
                		}
                		if(cardType == 1){
                			if("" == list[i].Balance){
                				phk += parseFloat(0);
                			}else{
                				phk += parseFloat(list[i].Balance);
                			}
                		}
                	}
                	allMoney += parseFloat(xyk + phk);
                	data = {
                			one : xyk,
                			two : phk
                	}
                	App.pie(data);
                }
            });
		},
		pie : function(data){
			if(App.cardType == 0){
				var name = '总资产';
				var fName = '我行活期';
				var tName = '我行定期';
				var pie = 'pie';
				$('#oneMoney').html(Fw.util.Format.fmtAmt(data.one));
				$('#twoMoney').html(Fw.util.Format.fmtAmt(data.two));
			}
			if(App.cardType == 1){
				var name = '总负债';
				var fName = '信用卡';
				var tName = '普惠卡';
				var pie = 'pie1';
				$('#oneMoney1').html(Fw.util.Format.fmtAmt(data.one));
				$('#twoMoney1').html(Fw.util.Format.fmtAmt(data.two));
			}
			var option = {
					backgroundColor : '#fff',
//		            tooltip: {
//		                show: true,
//		                formatter: "{b} : {c} ({d}%)"
//		            },
		            legend: {
		                show: false,
		                data: [fName, tName]
		            },
		            toolbox: {
		                show: false
		            },
		            calculable: false,//外边距
		            series: [
		                {
		                    name: name,	
		                    type: 'pie',
		                    radius: ["30%", "65%"],//同心圆 半径
		                    selectedMode: "single",//一次只能选一个
		                    itemStyle: {
		                        normal: {
		                            label: {
		                                show: true,
		                                position: 'inner',
		                                distance: 0.75,
		                                formatter: "{b}\r\n{d}",
		                                textStyle: {
		                                    "color": "#fff",
		                                    "fontSize": "12"
		                                }
		                            },
		                            labelLine: {
		                                show: true
		                            },
		                        }
		                    },
		                    data: [
		                        {value: data.one, name: fName,
		                        	itemStyle : {
			   							normal : {
		 	   								color : '#FF8245',
		 	   								labelLine:{show:false},
		 	   								label:{show:false}
		 	   							}
		 	   						}
		 	   					},
		                        {value: data.two, name: tName,
		 	   						itemStyle : {
			   							normal : {
		 	   								color : '#FFB018',
		 	   								labelLine:{show:false},
		 	   								label:{show:false}
		 	   							}
		 	   						}
		 	   					},
		                    ]
		                }
		            ]
		        };
                this.echarts.init(pie).setOption(option);
                //手动隐藏等待层
                Fw.LoadMask.hide();
		},
		ifNaN : function(value) {
			if (value == 'NaN') {
				return '0.00%';
			} else {
				return value + '%';
			}
		},
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
