/**
 * 创建应用
 */
var App = function() {
	var form;
	var buttons = $('button');
	var record = Fw.getParameters();
	//
	return {
		/**
		 * 依赖组件
		 */
		requires : [
		// 表单
		'Fw.Form', ],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '我的缴费',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
				// 自定义按钮标题（默认'返回'）
				text : '左边按钮',
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			// handler: XXX
			},
		/**
		 * 是否自动显示等待层（默认true） 需手动隐藏等待层
		 */
		 loadMask: true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			Fw.LoadMask.show();
			// 定义表单
			form = new Fw.Form({
				// EL
				contentEl : 'form',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			// 初始化事件
			this.initEvents();

			// 手动隐藏等待层
			Fw.LoadMask.hide();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			// 点击按钮时触发（保存、重置、重发验证码）
			buttons.tap(Fw.bind(this.onButtonClick, this));
			$('#record').on('click', Fw.bind(this.onRecord, this));
			$('#set').on('click', Fw.bind(this.autoSignManage, this));
			$('#submit-btn').on('click', Fw.bind(this.next, this));
		},

		leftButtonHandler : function() {
			Fw.redirect('main.html');
		},

		onRecord : function() {
			Fw.redirect('../../accountBook/Note/writeNote/main.html');
		},
		autoSignManage : function() {
			Fw.redirect('../../autoPaymentManagement/main.html');
		},
		/**
		 * 表单文本输入框、多行文本输入框输入时触发（不含单选、多选、下拉框） 失去焦点时出发
		 * 
		 * @param {String}
		 *            输入框名称
		 * @param {Object}
		 *            值
		 * @param {Object}
		 *            旧值
		 * @param {Fw.Form}
		 *            Form组件
		 */
		// 下一步
		next : function() {
			Fw.redirect("main.html");
		},
		/**
		 * 点击按钮时触发（保存、重置、重发验证码）
		 */
		onButtonClick : function(e) {
		},
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
