/**
 * 创建应用
 */
var App = function() {
	var params = Fw.getParameters()||{};
	var cifNo;
    var form;
	var dropDownList;
	var selectId;
	var occupItems = [];
	var occupMap;
	var occupTip = 0;
	var certOperType;
	var socketAdapter;
	var certId;
	
	var certTypeValue;
	var nationValue;
	var occupValue;
	
	/**
	 * 所在地区下拉框
	 */
	var addressMap;
	var dropDownAddressList;
	var addrId;
	var addrOperType;
	
	var certTypeItems=[{
		"CodeDesc" : "身份证",
		"CodeValue" : "P00"
	}];
	var sexItems=[ {
		"CodeDesc" : "男",
		"CodeValue" : "1"
	}, {
		"CodeDesc" : "女",
		"CodeValue" : "2"
	}];
	var nationItems = [{
		"CodeDesc" : "中国",
		"CodeValue" : "CHN"
	}];
	
    return {
        /**
         * 依赖组件
         */
        requires: [
          	//表单
           'Fw.Form',
           'Fw.DropDownList',
           'Fw.SmsCountDown',
           'Fw.app.Session'
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            title: '个人客户信息维护',
            leftButton: {
	            handler:function(){
	            	Fw.redirect('main.html');
	    		}
            },
            loadMask: false
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	cifNo = Fw.app.Session.getCifNo();
        	App.smsCountDown = new Fw.SmsCountDown();
        	//职业选项
            this.queryOccupItems();
        	//定义表单
        	this.initForm();
        	//实例化下拉
        	this.initDropDownList();
        	//初始化事件
            this.initEvents();
        },
        initForm:function(){
        	form = new Fw.Form({
                contentEl : 'form',
                resettable: false,
                msgTarget: 'tips'
            });
        },
        initDropDownList:function(){
        	dropDownList = new Fw.DropDownList({
        		displayNo: false,
        		displayName: 'CodeDesc',
        		cursorBtn: false
        	});
        	dropDownAddressList = new Fw.DropDownList({
        		displayNo: false,
        		displayName: 'CodeDesc',
        		cursorBtn: false
        	}); 
        },
        /**
         * 初始化事件
         * 
         */
        initEvents: function(){
            //证件类型
            $('#certType').on('click',Fw.bind(this.selectClick));
            $('#certTypeI').on('click',Fw.bind(this.selectClick));
            
            $('#nation').on('click',Fw.bind(this.selectClick));
            $('#nationI').on('click',Fw.bind(this.selectClick));
            
            $('#sex').on('click',Fw.bind(this.selectClick));
            $('#sexI').on('click',Fw.bind(this.selectClick));
            
            $('#occup').on('click',Fw.bind(this.selectClick));
            $('#occupI').on('click',Fw.bind(this.selectClick));
            
            $('#area').on('click',Fw.bind(this.selectAddressClick));
            $('#areaI').on('click',Fw.bind(this.selectAddressClick));
            
            //短信验证码按钮
            $('#smsBtn').on('click',Fw.bind(this.smsCountDownClick,this));
        	//监听select点击事件
        	dropDownList.on('itemClick',Fw.bind(this.itemClick, this));
        	//监听地址select点击事件
        	dropDownAddressList.on('itemClick',Fw.bind(this.itemAddressClick, this));

        	//提交按钮
        	$('#submit-btn').on('click',Fw.bind(this.btnClick));
        },
        /**
         * 提交事件
         */
        btnClick:function(){
        	var certCustName = $("#certCustName").val();
        	if(Fw.isEmpty(certCustName)){
        		Fw.Tips.info("姓名为空");
				return false;
        	}
        	
        	var certType = $("#certType").val();
        	if(Fw.isEmpty(certType)){
        		Fw.Tips.info("证件类型为空");
				return false;
        	}
        	
        	var certNo = $("#certNo").val();
        	if(Fw.isEmpty(certNo)){
        		Fw.Tips.info("证件号码为空");
				return false;
        	}
        	
        	var certValidDateFrom = $("#certValidDateFrom").val();
        	if(Fw.isEmpty(certValidDateFrom)){
        		Fw.Tips.info("证件签发日期为空");
				return false;
        	}
        	
        	var certValidDateTo = $("#certValidDateTo").val();
        	if(Fw.isEmpty(certValidDateTo)){
        		Fw.Tips.info("证件失效日期为空");
				return false;
        	}
        	
        	var nation = $("#nation").val();
        	if(Fw.isEmpty(nation)){
        		Fw.Tips.info("国籍为空");
        		return false;
        	}
        	
        	var sex = $("#sex").val();
        	if(Fw.isEmpty(sex)){
        		Fw.Tips.info("请选择性别");
        		return false;
        	}
        	
        	var occup = $("#occup").val();
        	if(Fw.isEmpty(occup)){
        		Fw.Tips.info("请选择职业");
        		return false;
        	}
        	
    		var area = $('#area').val();
    		var province = $('#Province').val();
    		var city = $('#City').val();
    		var country = $('#Country').val();
    		if(Fw.isEmpty(area) || Fw.isEmpty(province) || Fw.isEmpty(city) || Fw.isEmpty(country)){
    			Fw.Tips.info("请选择所在地区");
        		return false;
    		}
        	
        	var address = $("#address").val();
        	if(Fw.isEmpty(address)){
        		Fw.Tips.info("请输入详细地址");
        		return false;
        	}
        	
        	var certCustPhone = $("#certCustPhone").val();
        	if(Fw.isEmpty(certCustPhone)){
        		Fw.Tips.info("预留手机号码为空");
        		return false;
        	}
        	
        	var smsCode = $('#smsCode').val();
    		if (Fw.isEmpty(smsCode)){
    			Fw.Tips.info("请输入短信验证码");
    			return false;
    		}else if(!/^[0-9]*$/.test(smsCode)){
    			Fw.Tips.info("短信验证码为正整数");
    			return false;
    		}else if (smsCode.length<6){
    			Fw.Tips.info("请输入6位短信验证码");
    			return false;
    		}else{
    			Fw.util.Ajax.execute({
    				service : 'smsCodeService',
    				method : 'executeSmsCode',
    				params : {
    					dyPassword : smsCode
    				},
    				success : function(data, result) {
    					var birthDate = $('#BirthDate').val();
    		    		
    		    		var perCertList = [{
    		    			CertId:certId,
    		    			OperType:certOperType,
    						CertType:certTypeValue,
    						CertNo:certNo,
    						CertCustName:certCustName,
    						CertValidDateFrom:certValidDateFrom.replaceAll('-',''),
    						CertValidDateTo:certValidDateTo=="长期"?"99991231":certValidDateTo.replaceAll('-',''),
    						CertAddr:$('#CertAddr').val(),
    						AuthOrgName:$('#AuthOrg').val(),
    						MainCertFlg:'Y'
    					}];
    		    		
    		    		var perAddrList = [{
    		    			AddrId:addrId,
    		    			OperType:addrOperType,
    		    			AddrType:'04',
    		    			Nation:nationValue,
    		    			Province:$('#Province').val(),
    		    			City:$('#City').val(),
    		    			County:$('#Country').val(),
    		    			AddrDetail:$('#address').val(),
    		    			Address:$('#area').val() + $('#address').val()
    		    		}];
    		    		
    		    		var perPhoneList = [];
    		    		
    		    		var params = {
    		    			CustNo : cifNo,
    		    			CustName : certCustName,
    		    			LongName : certCustName,
    		    			ShortName : certCustName,
    		    			Sex : sex=='男'?'1':'2',
    		    			BirthDay : birthDate.replaceAll('\\.',''),
    		    			Nation : nationValue,
    		    			Title : '',
    		    			Occup : occupValue,
    		    			Ethnic : '01',
    		    			CustType : '101',
    		    			CustSrcType : '01',
    		    			PerCertList : perCertList,
    		    			PerPhoneList : perPhoneList,
    		    			PerAddrList : perAddrList
    					};
    		    		
    		    		Fw.util.Ajax.get({
    		    			socketAdapter : socketAdapter,
    		                params: params,
    		                staticData : false,
    		                success : function(data, result) {
    		                	Fw.redirect("success.html");
    		                },
    		                failure : function(status, textStatus, error){
    						}
    		            });
    				}
    			});
    		}
        },
        
        /**
         * 显示select选项
         */
        selectClick:function(e){
        	var obj = $(e.currentTarget);
        	selectId = obj.attr("id");
        	if(selectId=='certType' || selectId=='certTypeI'){
        		dropDownList.show(certTypeItems);
        		selectId = 'certType';
        	}else if(selectId=='nation' || selectId=='nationI'){
        		dropDownList.show(nationItems);
        		selectId = 'nation';
        	}else if(selectId=='occup' || selectId=='occupI'){
        		var items = App.occupItemsList();
        		dropDownList.autoClose = false;
        		dropDownList.show(items);
        		selectId = 'occup';
        		occupTip++;
        	}
        },
        
        /**
         * 监听select点击事件
         */
        itemClick: function(data, index){
        	var codeValue = data.CodeValue;
        	if(selectId == 'occup'){
        		if(codeValue != 'X'){
        			if(occupTip>=1){
            			var items = App.occupItemsList(codeValue);
    	        		dropDownList.show(items);
    	        		occupTip=0;
    	        		return;
            		}else{
            			dropDownList.hide();
            			occupTip=0;
            		}
        		}else{
        			dropDownList.hide();
        			occupTip=0;
        		}
        	}
        	dropDownList.autoClose = true;
        	
            $('[name="'+selectId+'"]').val(data.CodeDesc);
            eval(selectId+"Value='"+data.CodeValue+"'");
        },
        
        selectAddressClick:function(e){
        	//地址
        	var param = {
            	CodeType:'17011',
            	CodePrefix:'',
            	CodePostfix:'0000',
            	CodeLength:'6'
            };
        	App.queryCodeInfo(function(data,result,param){
    			App.addressBack(data,result,param)
    		},param);
        },
        
        itemAddressClick:function(data,index){
        	var codeValue = data.CodeValue;
        	var codeDesc = data.CodeDesc;
        	
        	if(codeValue.substring(codeValue.length-4,codeValue.length)=='0000'){
        		//省
        		var pk = codeValue.substring(0,2);
        		var param = {
                	CodeType:'17011',
                	CodePrefix:pk,
                	CodePostfix:'00',
                	CodeLength:'6'
                };
        		
        		$('#AreaDesc').val(codeDesc);
        		$('#AreaValue').val(codeValue);
        		
        		App.queryCodeInfo(function(data,result,param){
        			App.addressBack(data,result,param)
        		},param);
        	}else if(codeValue.substring(codeValue.length-2,codeValue.length)=='00'){
        		//市
        		var ck = codeValue.substring(0,4);
        		var param = {
                	CodeType:'17011',
                	CodePrefix:ck,
                	CodePostfix:'',
                	CodeLength:'6'
                };
        		
        		var areaDesc = $('#AreaDesc').val();
        		$('#AreaDesc').val(areaDesc+codeDesc);
        		
        		var areaValue = $('#AreaValue').val();
        		$('#AreaValue').val(areaValue+'#'+codeValue);
        		
        		App.queryCodeInfo(function(data,result,param){
        			App.addressBack(data,result,param)
        		},param);
        	}else{
        		//区、县
        		var areaDesc = $('#AreaDesc').val();
        		$('#area').val(areaDesc+codeDesc);
        		
        		var areaValue = $('#AreaValue').val();
        		var areaValueArray = areaValue.split('#');
        		
        		$('#Province').val(areaValueArray[0]);
        		$('#City').val(areaValueArray[1]);
        		$('#Country').val(codeValue);
        	}
        },
        
        /**
         * 下拉框数据分装
         */
        occupItemsList: function(code){
        	var items = [];
        	var j=0;
        	
        	if(occupItems.length==0){
        		return items;
        	}
        	
        	for(var i=0;i<occupItems.length;i++){
        		var item = occupItems[i];
        		var codeValue = item.CodeValue;
        		if(code){
        			if(codeValue.length==3 && codeValue.substring(0,1)==code){
        				items[j++] = item;
        			}
        		}else{
        			if(codeValue.length==1 && codeValue!='X'){
        				items[j++] = item;
        			}
        		}
        		if(i==(occupItems.length-1)){
        			return items;
        		}
        	}
        },
        
        /**
         * 短信点击事件
         */
        smsCountDownClick:function(e){
        	var contentEl = $(e.currentTarget);
			var config={
				contentEl:contentEl,
	    		//倒计时的文本
	    		delayText:'{0}s'
			};
			var params = {
					tranType : '080103',  //080103-互联网银行客户端非转账类交易验证       080104-互联网银行客户端转账交易验证   080108-互银客户端批量转账
					payerAcct : '',  // 付款账号 交易类型080104-必传
					payeeAcct : '',  // 收款账号 交易类型080104-必传
					payeeAcctName : '', // 收款人  交易类型080104-必传
					trsAmount  : '', //交易金额   交易类型080104-必传
					trsCount  : '' //交易笔数   交易类型080108-必传
			};
			App.smsCountDown.showSmsCountDown(config, params);
		},
		
		/**
		 * 职业选项
		 */
		queryOccupItems:function(){
			Fw.util.Ajax.query({
				service : 'codeInfoService',
				method : 'queryCodeInfo',
	            params: {
	            	CodeType:'11001'
	            },
	            success: function(data, result) {
	            	occupMap = new Map();
	            	if(data && data.List.length>0){
	            		occupItems = data.List;
	            		for(var i=0;i<occupItems.length;i++){
	            			var m = occupItems[i];
	            			occupMap.set(m.CodeValue,m.CodeDesc);
	            		}
	            	}
	            	//查询客户信息
	                App.perInfoDetail();
	            },
	            failure : function(status, textStatus, error) {
				}
	        });
		},
		
		/**
		 * 客户信息查询
		 */
		perInfoDetail:function(){
			if(Fw.isEmpty(params)){
        		//新增
        		socketAdapter = 'personalInfoService/MCCIFInfoAdd';
        	}else{
        		//修改
        		socketAdapter = 'personalInfoService/MCCIFInfoUpdate';
        	}
			
			var data = params.PerInfo;
			var perInfo = data.StructPerInfoT;
        	var custName = perInfo.CustName;
        	var sex = perInfo.Sex;
        	var nation = perInfo.Nation;
        	var occup = perInfo.Occup;
        	occupValue = occup;
        	
        	//证件信息
        	if(data.TablePerCertList){
        		var perCert = data.TablePerCertList.TablePerCertT;
            	certId = perCert.CertId;
            	var certNo = perCert.CertNo;
            	var certType = perCert.CertType;
            	var certValidDateFrom = perCert.CertValidDateFrom;
            	var certValidDateTo = perCert.CertValidDateTo;
            	$('#certNo').val(Fw.isEmpty(params.IdCard)?certNo:params.IdCard);
            	$('#certValidDateFrom').val(Fw.isEmpty(params.GlobalEffDateStartTime)?Fw.util.Format.fmtDate(certValidDateFrom):Fw.util.Format.fmtDate(params.GlobalEffDateStartTime));
            	
            	//身份证长期处理
            	var certValidDateToVal = params.GlobalEffDateEndTime;
            	if(certValidDateToVal!="长期"){
            		if(Fw.isEmpty(certValidDateToVal)){
            			if(certValidDateTo=='99991231'){
            				certValidDateToVal = "长期";
            			}else{
            				certValidDateToVal = Fw.util.Format.fmtDate(certValidDateTo);
            			}
            		}else{
            			certValidDateToVal = Fw.util.Format.fmtDate(certValidDateToVal);
            		}
            	}
            	$('#certValidDateTo').val(certValidDateToVal);
            	
            	//证件类型设初值
                $('[name="certType"]').val(certTypeItems[0].CodeDesc);
                certTypeValue = certTypeItems[0].CodeValue;
                
            	certOperType = 'U';
        	}else{
        		certOperType = 'I';
        	}
        	
        	//地区信息
        	if(data.TablePerAddrList){
        		var areaArr = [];
        		var perAddr = data.TablePerAddrList.TablePerAddrT;
            	addrId = perAddr.AddrId;
            	
            	var prvince = perAddr.Province;
            	areaArr.push(prvince);
            	$('#Province').val(prvince);
            	
            	var city = perAddr.City;
            	areaArr.push(city);
            	$('#City').val(city);
            	
            	var county = perAddr.County;
            	areaArr.push(county);
            	$('#Country').val(county);
            	
            	if(!Fw.isEmpty(prvince) && !Fw.isEmpty(city) && !Fw.isEmpty(prvince)){
            		for(var i=0;i<areaArr.length;i++){
                		var codePrefix = areaArr[i].substring(0,3);
                		var codePostfix = areaArr[i].substring(3,6);
                		var param = {
                        	CodeType:'17011',
                        	CodePrefix:codePrefix,
                        	CodePostfix:codePostfix,
                        	CodeLength:'6'
                        };
                		App.queryCodeInfo(function(data,result,param){
                			if(data && data.List.length>0){
                				var address = data.List[0];
                				var desc = address.CodeDesc;
                				var areaDesc = $('#AreaDesc').val();
                				$('#AreaDesc').val(areaDesc+desc);
                				if(param.CodePostfix.substring(1,3)!='00'){
                					var areaDesc = $('#AreaDesc').val();
        	            			$('#area').val(areaDesc);
        	            			Fw.LoadMask.hide();
                				}
                			}
                		},param);
                	}
            	}
            	
            	var addrDetail = perAddr.AddrDetail;
            	//详细地址
            	$('#address').val(addrDetail);
            	
            	addrOperType = 'U';
        	}else{
        		addrOperType = 'I';
        	}
        	
        	var perPhone = data.TablePerPhoneList[0];
        	var phone = perPhone.Phone;
        	
        	//证件地址
        	$('#CertAddr').val(params.HomeAddr);
    		$('#certCustPhone').val(phone);
        	$('#certCustName').val(Fw.isEmpty(params.CustName)?custName:params.CustName);
        	$('#BirthDate').val(Fw.isEmpty(params.BirthDate)?'':params.BirthDate);
        	$('#AuthOrg').val(Fw.isEmpty(params.AuthOrg)?'':params.AuthOrg);
            
            //国家设初值
            $('[name="nation"]').val(nationItems[0].CodeDesc);
            nationValue = nationItems[0].CodeValue;
        	
        	if(!Fw.isEmpty(params.Sex)){
        		$('[name="sex"]').val(params.Sex);
        	}
        	
        	if(occupMap.size>0 && occup!=''){
        		$('#occup').val(occupMap.get(occup));
        	}
		},
		addressBack:function(data, result, param){
			if(data && data.List.length>0){
        		var addressList = data.List;
        		if(param.CodePostfix!='0000'){
        			addressList.shift();
        		}
        		if(param.CodePostfix==''){
        			dropDownAddressList.autoClose = true;
        		}else{
        			dropDownAddressList.autoClose = false;
        		}
        		dropDownAddressList.show(addressList);
        	}
		},
		queryCodeInfo:function(fun, param){
			Fw.util.Ajax.query({
				service : 'codeInfoService',
				method : 'queryCodeInfo',
	            params : param,
	            success: function(data, result) {
	            	fun(data, result, param);
	            },
	            failure : function(status, textStatus, error) {
				}
	        });
		}
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
