var App = function() {
	var params = Fw.getParameters()||{};
	//获取上个页面带入的重置绑定卡申请的信息
	var updateData;
	var facedata;
	var backdata;
	var cifNo;
	
    return {
    	 //依赖组件
        requires : [
        	'Fw.app.Session'
        ],
    	viewConfig: {
    		title: '',
    		leftButton: {
	            handler:function(){
	            	App.leftButtonHandler();
	    		}
            },
            /**
    		* 是否自动显示等待层（默认true）
    		* 需手动隐藏等待层
    		*/
    		loadMask: true
    	},
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
        	App.isVersion(function(){
        		//cifNo = Fw.app.Session.getCifNo();
            	App.openIDCard();
            	App.initEvents();
        	});
        },
        
        /**
         * 初始化事件
         */
        initEvents : function() {
            $('#bnt1').on('click',Fw.bind(function(){
            	App.leftButtonHandler();
            },this));

            $('#bnt2').on('click',Fw.bind(function(){
            	App.openIDCard();
            },this));
        },
        
        showDiv : function(){
        	$('#info_div').show();
        },
        
        openIDCard : function(){
        	Fw.device.Device.openIDCardCaptorViewForMBank({}, 'App.openIDCardCaptor_callBack');
        	Fw.LoadMask.hide();
        	Fw.defer('App.showDiv()',1000);
        },

        openIDCardCaptor_callBack : function(data){
        	$('#info_div').hide();
        	var cardData = Fw.decode(data);
        	//身份证照片认证接口
        	Fw.util.Ajax.get({
        		service : 'personalInfoService',
				method : 'getIdentityPhotoAuth',
				params : {
					'imageVisitType' : "1", // 图片的访问类型  1-FileNmN和FileNm2字段保存的是base64图片内容  2-FileNmN和FileNm2字段保存的是图片的NAS地址
					'fileName1' : cardData.result.fileName1, // 文件名称1 身份证正面照片
					'fileName2' : cardData.result.fileName2, // 文件名称2 身份证反面照片
					'reservMsg' : "", // 预留信息
					'reservMsg2' : "" // 预留信息2
				},
				// 请求成功后回调
				success : function(data, result) {
					App.queryInfoDetail(data);
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					Fw.Msg.info(error, function() {
						App.openIDCard();
					});
					return false;
				}
			});
        },
        /**
		 * 客户信息查询
		 */
		queryInfoDetail : function(param){
			Fw.util.Ajax.query({
	    		service : 'personalInfoService',
				method : 'queryInfoDetail',
	            params: {},
	            success: function(data, result) {
	            	var perInfo = data.StructPerInfoT;
	            	var custName = perInfo.CustName;
	            	var perCert = data.TablePerCertList.TablePerCertT;
	            	var certNo = perCert.CertNo;
	            	
	            	var dateEndTime = new Date(Fw.util.Format.unFmtDate(param.GlobalEffDateEndTime));
	            	var dateNow = new Date(Fw.util.Format.unFmtDate(new Date()));
	            	
	            	if(param.IdCard!=certNo){
	            		Fw.Msg.info("非本人证件信息",function(){
	            			App.openIDCard();
	            		});
	            	}else if(param.CustName!=custName){
	            		Fw.Msg.info("证件信息读取失败，请至柜面办理",function(){
	            			App.openIDCard();
	            		});
	            	}else if(param.GlobalEffDateEndTime != "长期" && dateEndTime < dateNow){
						Fw.Msg.info("证件信息已过期", function() {
							App.openIDCard();
						});
	            	}else{
	            		param.PerInfo = data;
	            		Fw.redirect('info.html',param);
	            	}
	            },
	            failure : function(status, textStatus, error){
	            	Fw.Msg.info(error,function(){
	            		App.openIDCard();
	            	});
	            	return false;
				}
	        });
		},
		
		isVersion : function(func) {
			var version = Fw.app.Session.get("app_no");
			if((Fw.isIOS && App.getConvertVersion(version) <= App.getConvertVersion("2.0.4")) || (Fw.isAndroid && App.getConvertVersion(version) <= App.getConvertVersion("2.0.6"))) {
				Fw.Msg.info("请下载更新手机银行至最新版本后使用",function(){
					App.leftButtonHandler();
				});
			}else{
				func();
			}
		},
		
		getConvertVersion : function(version) {
			try {
				if (version == undefined || version == "") {
					return 0;
				} else {
					var m = version.split(".");
					var v = parseInt(m[0] * 100) + parseInt(m[1] * 10) + parseInt(m[2]);
					return v;
				}
			} catch (err) {
				return 0;
			}
		},
		
        leftButtonHandler:function(){
        	Fw.gotoIndex();
        }
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
