/**
 * 创建应用
 */
var App = function() {
	var form;
	var dropDownList;
	var step;
	var checkWay = "S&AP";// 验证方式
	var pageFlag ='0';
	//
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Form',// 表单验证组件
		"Fw.DropDownList",// 底部划出下来组件
		"Fw.app.Session",// 底部划出下来组件
		'Fw.Steps', 'Fw.PayControls'// 支付控件组件
		],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '登录名修改',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
				// 自定义按钮标题（默认'返回'）
				text : '左边按钮',
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			},
			/**
			 * 右边按钮（默认不显示） rightButton: '右边按钮'
			 */
			rightButton : false,
		/**
		 * 是否自动显示等待层（默认true） 需手动隐藏等待层
		 */
		// loadMask: false
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			if(Fw.isPhone){
				$("#testChannal").hide();
			}
			if(Fw.isEmpty(Fw.app.Session.getCifNo())){
        		Fw.Msg.info("您的登录信息已经超时，请重新登录！",function(){
        			Fw.device.Device.gotoLogin("",true);
//        			Fw.device.Device.gotoLogin('page/pub/personalSet/lgNameUpdate.html',true)
        		});
        		return;
        	}
			App.subData = {};
			App.subData._AuthMode = 'O';
			this.initDrop_Step();
			this.initEvents();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$(".pageA").show();
			this.queryLgName();
			this.initPage();
		},
		initDrop_Step : function() {
			var paytestTem=[ {
				"tpname" : "短信验证码支付",
				"tpType" : "O"
			}, {
				"tpname" : "U-key支付",
				"tpType" : "U"
			} ];
			if(Fw.isPhone){
				paytestTem=[ {
					"tpname" : "短信验证码支付",
					"tpType" : "O"
				}];
				$("#testChannal").hide();
			}
			dropDownList = new Fw.DropDownList({
				// 必须参数：结果集
				result : paytestTem,
//				fixedHeight : "88",
				displayNo : false,
				displayName : 'tpname',
				reload : true,
				cursorBtn : false,
			});
			dropDownList.on('itemClick', Fw.bind(this.dropitemClick, this));// 对下拉列表监听
			$(".ui-select").on('click', Fw.bind(this.dropdownClick, this));
			step = new Fw.Steps({
				contentEl : 'step',
				// 默认显示步
				 currentStep: 1,
				data : [ {
					name : '确认修改'
				}, {
					name : '交易结果'
				} ]
			});
		},
		/**
		 * 查询登录名
		 */
		queryLgName : function() {
			$("#loginAgain").on('click',Fw.bind(this.leftButtonHandler,this));
			//从session中获取登录名
			App.OldLoginId = Fw.app.Session.getUserId();
			$("#oldname_span").text(App.OldLoginId);
			setTimeout(function(){
				Fw.LoadMask.hide();
			}, 500)
		},
		/**
		 * 登录名修改页面初始化
		 */
		initPage : function() {
			form = new Fw.Form({
				// EL
				contentEl : 'form',
				resettable : false,
				msgTarget : 'tips'
			});
			// form.on('change', this.onChange, this);
			// 触发提交事件前（校验前）触发
			form.on('beforesubmit', this.beforeSubmit, this);
			// 触发提交事件触发
			form.on('submit', this.showPayControl, this);
			// 点击按钮时触发（保存、重置、重发验证码）
			$("#submit").tap(Fw.bind(this.onButtonClick, this));
		},
		/**
		 * 触发提交事件前触发
		 */
		beforeSubmit : function(values) {
			if(Fw.isEmpty(values.NewLoginId)){
				Fw.Tips.info("请设置新登录名");
				return false;
			}
			
			else if (!App.checkLgName(values.NewLoginId)) {
				Fw.Tips.info("登录名格式不正确，请重新设置");
				return false;
			} else {
				return true;
			}
		},
		/**
		 * 登录名修改提交per.MCUpdateUserChannelLoginId
		 */
		doSubmit : function(data, record, type) {
			Fw.Logger.debug(data)
			App.subData.CheckPwdFlag = "0";
			if(Fw.isTouch && Fw.isString(data)){//客户端数据转json
				try {
					data=JSON.parse(data);
				} catch (e) {
				}
			}
			App.subData.tesType=checkWay;
			Fw.apply(App.subData, data);//支付控件 输入密码
			App.subData.dyPassword=data.sms;
			Fw.util.Ajax.execute({
				// 数据源（自定以URL）
				// 数据源（服务接口）
				service : 'personalSetService/executeUpdateUserChannelLoginId',
				// service: 'personalSet.MCUpdateUserChannelLoginId',
				// 请求参数
				params : App.subData,
				// 是否自动显示等待层（默认true）
				// 允许自定义等待层提示信息（loadMask: '请稍后...'）
				// loadMask: true,
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					if(Fw.isEqual("000000", result.error)){
						$("#step1").hide();
						$(".kindlyTips").hide();
						step.nextStep();
						$('#step2').show();
						pageFlag = "1";
						
						Fw.app.Session.refresh();
						
					}else if(Fw.isEqual("10211010084", result.error)){
						Fw.Msg.info("登录名已存在，请重新设置")
					}else{
						Fw.Msg.info(result.message);
					}
					Fw.LoadMask.hide();
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
				}
			});
		},
		loginOutFn:function(){
			Fw.util.Ajax.execute({
				// 数据源（自定以URL）
				// 数据源（服务接口）
				service : 'loginService/executeLogout',
				// service: 'personalSet.MCUpdateUserChannelLoginId',
				// 请求参数
				params : {},
				// 是否自动显示等待层（默认true）
				// 允许自定义等待层提示信息（loadMask: '请稍后...'）
				// loadMask: true,
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {	
					Fw.LoadMask.hide();
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					Fw.LoadMask.hide();
				}
			});
		},
		onButtonClick : function(e) {
			form.submit();
		},
		dropitemClick : function(data, index) {
			switch (data.tpType) {
			case "O":// 			
				checkWay = 'S&AP';
				App.subData._AuthMode = 'O';
				break;
			case "U":// 
				checkWay = 'U&AP';
				App.subData._AuthMode = 'U';
				break;
			}
			$("#authentication").val(data.tpname);
		},
		dropdownClick : function() {
			// 如果是web端，弹出短信验证和uk验证 移动端弹出短信验证和IC卡验证
			if (Fw.isPhone) {
				dropDownList.show([ {
					"tpname" : "短信验证码支付",
					"tpType" : "O"
				} ]);
				$("#testChannal").hide();
			} else {
				dropDownList.show();
			}
		},
		/**
		 * 检查登录名是否符合命名规则
		 */
		checkLgName : function(values) {
			if (/^[a-zA-Z0-9]+$/.test(values) && /^(?=.*?[a-zA-Z])/.test(values)) {// 判断是否是有数字和字母组成·/([a-zA-Z]{6,12})|(^(?![0-9]+$)[A-Za-z0-9]{6,12}$)/
				return true;
			}else{
				return false;
			}
		},
		/**
		 * 显示支付窗体
		 */
		showPayControl : function(values) {
			
//			Fw.device.Device.gotoLogin('', true);
//			return;
			
			Fw.apply(App.subData, values);
			var cardList = Fw.app.Session.getAcList();
			var cardNews = {
					passwordType:'T',//借记卡  T  信用卡  B
					cardNo:cardList[0].No,
			}
			var showInfo = [{
				label : '账号',
				value : Fw.util.Format.fmtAcctNo(cardList[0].No,true),
			}];
			var signcontent = {
					OldLoginId : App.subData.OldLoginId,
					NewLoginId : App.subData.NewLoginId,
					CheckPwdFlag : "0"
			};
			var smsParams = {
					tranType : '080103', // 080103-互联网银行客户端非转账类交易验证
					// 080104-互联网银行客户端转账交易验证
					payerAcct : '', // 付款账号 交易类型080104-必传
					payeeAcct : '', // 收款账号 交易类型080104-必传
					payeeAcctName : '', // 收款人 交易类型080104-必传
					trsAmount : '', // 交易金额 交易类型080104-必传
					signcontent:Fw.encode(signcontent)
				};
			/**
			 * type
			 * 
			 * S&AP 短信验证码+账户密码 U&AP U-key密码+账户密码(pc端) AP 账户密码 CTP 信用卡交易密码 SMS
			 * 短信验证码 IC&AP IC卡+账户密码(手机端)
			 */
			Fw.device.Device.payControls(checkWay, showInfo, 'App.doSubmit',smsParams,cardNews);

		},
		leftButtonHandler : function() {
//			if(Fw.isEqual('1', pageFlag)){
//				if(Fw.isTouch){
//					Fw.gotoIndex();
//				}else{
//					Fw.redirect(Fw.getBasePath() + "/page/pageMenu/personalSet.html");
//				}
//			}else{
				if(Fw.isTouch){
					Fw.gotoIndex();
				}else{
					Fw.redirect(Fw.getBasePath() + "/page/pageMenu/personalSet.html");
				}
//			}
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
