/**
 * 创建应用
 */
var App = function() {
	var form;
	var dropDownList;
	var checkWay = "S&AP";// 验证方式，默认为短信验证+账户密码验证
	var pgeditor_0 = undefined;
	var pgeditor_1 = undefined;
	var pgeditor_2 = undefined;
	var pageFlage = "0";
	var loginFlag = "0";
	//
	return {
		/**
		 * 依赖组件
		 */
		requires : [ 'Fw.Form',// 表单验证组件
		'Fw.Keyboard',// 安全键盘
		"Fw.DropDownList",// 底部划出下来组件
		'Fw.Steps', 'Fw.PayControls','Fw.app.Session'// 支付控件组件
		],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '登录密码修改',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
				// 自定义按钮标题（默认'返回'）
				text : '左边按钮',
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			},
			/**
			 * 右边按钮（默认不显示） rightButton: '右边按钮'
			 */
			rightButton : false,
			/**
			 * 是否自动显示等待层（默认true） 需手动隐藏等待层
			 */
			loadMask : true
		},
		/**
		 * 初始化 应用入口
		 */
		
		init : function(require) {
			if(Fw.isEmpty(Fw.app.Session.getCifNo())){
				Fw.LoadMask.hide();
        		Fw.Msg.info("您的登录信息已经超时，请重新登录！",function(){
        			Fw.device.Device.gotoLogin("",true)
//        			Fw.device.Device.gotoLogin('page/pub/personalSet/lgPwdUpdate.html',true)
        		});
        		return;
        	}
			loginFlag = Fw.getParameters("loginFlag");
			App.subData = {};
			App.subData._AuthMode = 'O';
			this.initDropDownList();
			this.initFormSteps();
			this.initEvents();
		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			if (Fw.isTouch) {// 手机端显示输入框
				$("input[type=password]").show();
				$("#pwdStrong").show();
				setTimeout(function() {
					Fw.LoadMask.hide();
				}, 500);
			} else {// pc端显示div
				$(".payControls_window").show();
				this.initPwdInput();
				$("div[id^=_ocx_password]").show();
			}
			$("#loginAgain").on('click', Fw.bind(this.leftButtonHandler, this));
			$("#step1").show();
			$(".kindlyTips").show();
		},
		/**
		 * 初始化密码控件
		 */
		initPwdInput : function() {
			var PgeOption = {
				pgePath : Fw.getBasePath() + "/ocx/",// 控件下载目录，可以指定绝对路径，如"http://www.baidu.com/download/"
				pgeId : "_ocx_password_0",// 控件id
				pgeEdittype : 0,// 控件显示类型,0(星号),1(明文)
				pgeEreg1 : "[\\s\\S]*",// 输入过程中字符类型限制，如"[0-9]*"表示只能输入数字
				pgeEreg2 : "[\\s\\S]{6,12}",// 输入完毕后字符类型判断条件，与pgeditor.pwdValid()方法对应
				pgeMaxlength : 12,// 允许最大输入长度
				pgeTabindex : 2,// tab键顺序
				pgeClass : "ocx_style",// 控件css样式
				pgePlaceHolder : "<div style='color:#9A9A9A;font-family: \"微软雅黑\";font-size: 15px;'>请输入原密码</div>",
				pgeDivStyle : "height:44px;line-height:44px;",
				pgeInstallClass : "ocx_style",// 针对安装或升级的css样式
				pgeOnkeydown : "",// 回车键响应函数，需焦点在控件中才能响应
				tabCallback : "input2",// 火狐tab键回调函数,设置要跳转到的对象ID
				pgeOnfocus : "App.pgeFocus0()",// 监控光标切入密码控件框
				pgeOnblur : "App.pgeBlur0()",// 监控光标切出密码控件框
				// windows10 edge&Chrome42+相关
				pgeWindowID : "password" + new Date().getTime() + 1,
				pgeRZRandNum : Fw.util.Storage.get("TpgeRZRandNum"),
				pgeRZDataB : Fw.util.Storage.get("TpgeRZDataB")
			};

			pgeditor_0 = new $.pge(PgeOption);

			var PgeOption1 = {
				pgePath : Fw.getBasePath() + "/ocx/",// 控件下载目录，可以指定绝对路径，如"http://www.baidu.com/download/"
				pgeId : "_ocx_password_1",// 控件id
				pgeEdittype : 0,// 控件显示类型,0(星号),1(明文)
				pgeEreg1 : "[\\s\\S]*",// 输入过程中字符类型限制，如"[0-9]*"表示只能输入数字
				pgeEreg2 : "^(?!^[a-z]*$)(?!^[A-Z]*$)(?!^[0-9]*$)(?!^[_\\W]*$)^[a-zA-Z0-9].{7,12}$",// 输入完毕后字符类型判断条件，与pgeditor.pwdValid()方法对应
				pgeMaxlength : 12,// 允许最大输入长度
				pgeTabindex : 2,// tab键顺序
				pgeClass : "ocx_style",// 控件css样式
				pgePlaceHolder : "<div style='color:#9A9A9A;font-family: \"微软雅黑\";font-size: 15px;'>请输入新密码</div>",
				pgeDivStyle : "height:44px;line-height:44px;",
				pgeInstallClass : "ocx_style",// 针对安装或升级的css样式
				pgeOnkeydown : "",// 回车键响应函数，需焦点在控件中才能响应
				tabCallback : "input2",// 火狐tab键回调函数,设置要跳转到的对象ID
				pgeOnfocus : "App.pgeFocus1()",// 监控光标切入密码控件框
				pgeOnblur : "App.pgeBlur1()",// 监控光标切出密码控件框
				// windows10 edge&Chrome42+相关
				pgeWindowID : "password" + new Date().getTime() + 2,
				pgeRZRandNum : Fw.util.Storage.get("TpgeRZRandNum"),
				pgeRZDataB : Fw.util.Storage.get("TpgeRZDataB")
			};
			var PgeOption2 = {
				pgePath : Fw.getBasePath() + "/ocx/",// 控件下载目录，可以指定绝对路径，如"http://www.baidu.com/download/"
				pgeId : "_ocx_password_2",// 控件id
				pgeEdittype : 0,// 控件显示类型,0(星号),1(明文)
				pgeEreg1 : "[\\s\\S]*",// 输入过程中字符类型限制，如"[0-9]*"表示只能输入数字
				pgeEreg2 : "^(?!^[a-z]*$)(?!^[A-Z]*$)(?!^[0-9]*$)(?!^[_\\W]*$)^[a-zA-Z0-9].{7,12}$",// 输入完毕后字符类型判断条件，与pgeditor.pwdValid()方法对应
				pgeMaxlength : 12,// 允许最大输入长度
				pgeTabindex : 2,// tab键顺序
				pgeClass : "ocx_style",// 控件css样式
				pgePlaceHolder : "<div style='color:#9A9A9A;font-family: \"微软雅黑\";font-size: 15px;'>请再次输入新密码</div>",
				pgeDivStyle : "height:44px;line-height:44px;",
				pgeInstallClass : "ocx_style",// 针对安装或升级的css样式
				pgeOnkeydown : "",// 回车键响应函数，需焦点在控件中才能响应
				tabCallback : "input2",// 火狐tab键回调函数,设置要跳转到的对象ID
				pgeOnfocus : "App.pgeFocus2()",// 监控光标切入密码控件框
				pgeOnblur : "App.pgeBlur2()",// 监控光标切出密码控件框
				// windows10 edge&Chrome42+相关
				pgeWindowID : "password" + new Date().getTime() + 3,
				pgeRZRandNum : Fw.util.Storage.get("TpgeRZRandNum"),
				pgeRZDataB : Fw.util.Storage.get("TpgeRZDataB")
			};

			pgeditor_1 = new $.pge(PgeOption1);

			pgeditor_2 = new $.pge(PgeOption2);
			window.pgeCtrl = pgeditor_0;
			$("#_ocx_password_str_0").html(pgeditor_0.load());
			$("#_ocx_password_str_1").html(pgeditor_1.load());
			$("#_ocx_password_str_2").html(pgeditor_2.load());

			pgeditor_0.pgInitialize();
			pgeditor_1.pgInitialize();
			pgeditor_2.pgInitialize();
			$("lic").html(pgeditor_0.setLicense());
			$("lic").html(pgeditor_1.setLicense());
			$("lic").html(pgeditor_2.setLicense());

			setTimeout(function() {
				Fw.LoadMask.hide();
			}, 500);

			// });
		},
		pgeFocus0 : function() {
			pgeditor_0.handler1();
		},
		pgeBlur0 : function() {
			pgeditor_0.clearHandlers();
		},
		pgeFocus1 : function() {
			pgeditor_1.handler1();
		},
		pgeBlur1 : function() {
			pgeditor_1.clearHandlers();
		},
		pgeFocus2 : function() {
			pgeditor_2.handler1();
		},
		pgeBlur2 : function() {
			pgeditor_2.clearHandlers();
		},
		/**
		 * 初始化弹出列表
		 */
		initDropDownList : function() {
			var paytestTem=[ {
				"tpname" : "短信验证码支付",
				"tpType" : "O"
			}, {
				"tpname" : "U-key支付",
				"tpType" : "U"
			} ];
			if(Fw.isPhone){
				paytestTem=[ {
					"tpname" : "短信验证码支付",
					"tpType" : "O"
				}];
				$("#testChannal").hide();
			}
			dropDownList = new Fw.DropDownList({
				// 必须参数：结果集
				result : paytestTem,
				// 可配置参数：1.false,随内容撑出高度，2.num：固定高度，超出滚动显示,默认[220]
//				fixedHeight : "88",
				// 可配置参数：账号，1.false 不显示账号,2.cdopac 具体显示字段名，默认[cdopac]
				displayNo : false,
				// 可配置参数：从后截取账号显示,1.false 不截取，2.num：截取长度,默认[5]
				// lastSubNo:5,
				// 可配置参数：名称，默认[brchna]
				displayName : 'tpname',
				// 可配置参数：显示时是否重新渲染，默认[false]
				reload : true,
				// 可配参数：选择完成后是否自动关闭,默认[true]
				// autoClose: true,
				// 可配置参数：是否显示手工输入按钮，默认[true]
				cursorBtn : false,
			// 可配置参数：设置不可点击,1.默认[false]不限制,2.cardtp具体字段名
			// disableField: false,
			// 可配置参数：设置不可点击参数值，1.默认[0],2.具体值，"不可点击字段“值等于"不可点击参数值"该项不可点击
			// disableFieldValue: false
			});
			dropDownList.on('itemClick', Fw.bind(this.dropitemClick, this));// 对下拉列表监听
			$("#authentication").on('click', Fw.bind(this.dropdownClick, this));
			$("#submit").on('click', Fw.bind(this.beforeSubmit, this));
		},
		/**
		 * 初始化form和step
		 */
		initFormSteps : function() {
			form = new Fw.Form({
				// EL
				contentEl : 'form',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			form.on('change', this.onChange, this);
			// 触发提交事件前（校验前）触发
//			form.on('beforesubmit', this.beforeSubmit, this);
			// 触发提交事件触发
//			form.on('submit', this.showPayControl, this);
			// 点击按钮时触发（保存、重置、重发验证码）
			$("#submit").tap(Fw.bind(this.onButtonClick, this));
			step = new Fw.Steps({
				contentEl : 'step',
				// 默认显示步
				// currentStep: 2,
				data : [ {
					name : '确认修改'
				}, {
					name : '交易结果'
				} ]
			});
		},
		onChange : function(name, value) {
			if (Fw.isEqual(name, "NewLoginPassword") && (!Fw.isEqual("1", value)) && !Fw.isEmpty(value)
					&& $("#NewLoginPassword").val().length > 7) {
				// Fw.Tips.info(value);
				Fw.util.Ajax.get({
					service : 'personalSetService.getPwdStrong',
					params : {
						pwd : value
					},
					loadMask : false,
					staticData : false,
					success : function(data, result) {
						App.strongV = data.strongV;
						App.showStrong(data);
					},
					failure : function(status, textStatus, error) {
					}
				});
			}
			if (Fw.isEqual(name, "NewLoginPassword") && Fw.isEmpty($("#NewLoginPassword").val())) {
				$("#strong1").removeClass("ui-bg-pwdcolor");
				$("#strong2").removeClass("ui-bg-pwdcolor");
				$("#strong3").removeClass("ui-bg-pwdcolor");
			} else if (Fw.isEqual(name, "NewLoginPassword") && Fw.isEqual("*", $("#NewLoginPassword").val())) {
				$("#strong1").addClass("ui-bg-pwdcolor");
				$("#strong2").removeClass("ui-bg-pwdcolor");
				$("#strong3").removeClass("ui-bg-pwdcolor");
			}
		},
		/**
		 * 触发提交事件前触发
		 */
		beforeSubmit : function() {
			var values = form.getValues();
			var dispalyValue = $("#NewLoginPassword").val();
			if (Fw.isTouch) {
				App.subData.OldLoginPassword = values.OldLoginPassword;
				App.subData.NewLoginPassword = values.NewLoginPassword;
				App.subData.NewLoginPasswordSure = values.NewLoginPasswordSure;
				if (Fw.isEmpty(values.OldLoginPassword)) {
					Fw.Tips.info("请输入原密码");
					return;
				}
				if (Fw.isEmpty(values.NewLoginPassword) || Fw.isEmpty(dispalyValue)) {
					Fw.Tips.info("请输入新密码");
					return;
				}
				if (Fw.isEmpty(values.NewLoginPasswordSure)) {
					Fw.Tips.info("请输入新密码确认");
					return;
				} else if (dispalyValue.length<8) {
					Fw.Tips.info("新密码位数不能小于8位");
					return;
				} else if (Fw.isEqual("0", App.strongV)) {
					Fw.Tips.info("新密码为弱密码，请重新设置");
					$("#NewLoginPassword").val("");
					$("#strong1").removeClass("ui-bg-pwdcolor");
					$("#strong2").removeClass("ui-bg-pwdcolor");
					$("#strong3").removeClass("ui-bg-pwdcolor");
					$("#NewLoginPasswordSure").val("");
					form.setValues("NewLoginPasswordSure","");
					form.setValues("NewLoginPassword","");
					return false;
				}else if (Fw.isEqual(values.OldLoginPassword, values.NewLoginPassword)) {
					Fw.Tips.info("新密码与原登录密码一致，请重新输入");
					return false;
				} else if (!Fw.isEqual(values.NewLoginPassword, values.NewLoginPasswordSure)) {
					Fw.Tips.info("两次输入的新密码不一致，请重新输入");
					return false;
				}else{
					App.showPayControl()
					return true;
				}
			} else {
				if (pgeditor_0.pwdLength() == 0) {
					Fw.Tips.info("请输入原密码");
					return false;
				}else if (pgeditor_1.pwdLength() == 0) {
					Fw.Tips.info("请输入新密码");
					return false;
				}else if (pgeditor_2.pwdLength() == 0) {
					Fw.Tips.info("请输入新密码确认");
					return false;
				}else if (pgeditor_0.pwdValid() == 1) {
					Fw.Tips.info("原登录密码不符合要求");
					return false;
				}else if (pgeditor_1.pwdValid() == 1) {
					Fw.Tips.info("新密码为弱密码，请重新设置");
					return false;
				}else if (pgeditor_2.pwdValid() == 1) {
					Fw.Tips.info("新密码为弱密码，请重新设置");
					return false;
				}else{
					App.showPayControl()
				}
			}
		},
		
		/**
		 * 显示支付窗体
		 */
		showPayControl : function() {
//			if(Fw.isEqual("", checkWay)){
//				pgeditor_0.pwdSetSk(key);
//				pgeditor_1.pwdSetSk(key);
//				pgeditor_2.pwdSetSk(key);
//				App.subData.OldLoginPassword = pgeditor_0.pwdResult();
//				App.subData.NewLoginPassword = pgeditor_1.pwdResult();
//				App.subData.NewLoginPasswordSure = pgeditor_2.pwdResult();
//				if (Fw.isEqual(App.subData.OldLoginPassword, App.subData.NewLoginPassword)) {
//					Fw.Tips.info("新密码与原登录密码一致，请重新输入");
//					return;
//				} else if (!Fw.isEqual(App.subData.NewLoginPassword, App.subData.NewLoginPasswordSure)) {
//					Fw.Tips.info("两次输入的新密码不一致，请重新输入");
//					return;
//				}
//			}
			
			// var values = form.getValues();
			// this.beforeSubmit(values);
			
			Fw.Msg.cfm("请您确认，是否修改手机银行和网银的登录密码？", function(code, btn, win) {
				if (Fw.isEqual("yes", code)) {
					var cardList = Fw.app.Session.getAcList();
					var cardNews = {
							passwordType:'T',//借记卡  T  信用卡  B
							cardNo:cardList[0].No,
					}
					var showInfo = [{
						label : '账号',
						value : Fw.util.Format.fmtAcctNo(cardList[0].No,true),
					}];
					App.subData.No=cardList[0].No;
					App.subData.Idno=Fw.app.Session.getIdentno();
					var newstr = JSON.stringify(App.subData);
					var signcontent = {
							Password : App.subData.OldLoginPassword,
							OldPassword :  App.subData.NewLoginPassword,
							PwdCheckFlag :  "1"
					}
					var smsParams = {
						tranType : '080103', // 080103-互联网银行客户端非转账类交易验证
						// 080104-互联网银行客户端转账交易验证
						payerAcct : '', // 付款账号 交易类型080104-必传
						payeeAcct : '', // 收款账号 交易类型080104-必传
						payeeAcctName : '', // 收款人 交易类型080104-必传
						trsAmount : '', // 交易金额 交易类型080104-必传
						signcontent:Fw.encode(signcontent)
					};
					//console.log(smsParams);
					Fw.device.Device.payControls(checkWay, showInfo, 'App.doSubmit', smsParams,cardNews);
					/*if (Fw.isTouch) {
						Fw.device.Device.payControls(checkWay, showInfo, 'App.doSubmit', smsParams,cardNews);
					} else {
						Fw.device.Device.payControls(checkWay, showInfo, 'App.doSubmit', smsParams,{});
					}*/
					/**
					 * type
					 * 
					 * S&AP 短信验证码+账户密码 U&AP U-key密码+账户密码(pc端) AP 账户密码 CTP
					 * 信用卡交易密码 SMS 短信验证码 IC&AP IC卡+账户密码(手机端)
					 */
				}
			})
		},
		
		
		/**
		 * 登录密码修改提交per.MCUpdateFirstLoginPWD
		 */
		doSubmit : function(data, record, type) {
		App.subData.signcontent= data.signcontent;
		App.subData.certstr=  data.certstr;
        App.subData.contentsign=  data.contentsign;
        App.subData.keyDn=  data.keyDn;
			App.subData.tesType = checkWay;
			if (!Fw.isTouch) {// pc端 密码加密模块
				var key = Fw.util.Storage.get("WTKey");
				pgeditor_0.pwdSetSk(key);
				pgeditor_1.pwdSetSk(key);
				pgeditor_2.pwdSetSk(key);
				App.subData.OldLoginPassword = pgeditor_0.pwdResult();
				App.subData.NewLoginPassword = pgeditor_1.pwdResult();
				App.subData.NewLoginPasswordSure = pgeditor_2.pwdResult();
				if (Fw.isEqual(App.subData.OldLoginPassword, App.subData.NewLoginPassword)) {
					Fw.Tips.info("新密码与原登录密码一致，请重新输入");
					return;
				} else if (!Fw.isEqual(App.subData.NewLoginPassword, App.subData.NewLoginPasswordSure)) {
					Fw.Tips.info("两次输入的新密码不一致，请重新输入");
					return;
				}
				Fw.util.Ajax.get({
					service : 'personalSetService.getPwdStrong',
					params : {
						pwd : App.subData.NewLoginPassword
					},
					loadMask : false,
					staticData : false,
					success : function(data, result) {
						if (Fw.isEqual("0", data.strongV)) {
							Fw.Msg.info("新密码为弱密码，请重新设置");
						}else{
							Fw.apply(App.subData, data);
							App.subData.dyPassword = data.sms;
							App.updatePwdSubFn();
						}
					},
					failure : function(status, textStatus, error) {
					}
				});
			} else {
				if (Fw.isTouch && Fw.isString(data)) {
					try {
						data = JSON.parse(data);
					} catch (e) {
					}
				}
				Fw.apply(App.subData, data);
				App.subData.dyPassword = data.sms;
				App.updatePwdSubFn();
			}
			
		},
		updatePwdSubFn:function(){
			// 提交到后台
			Fw.util.Ajax.execute({
				// 数据源（自定以URL）
				// 数据源（服务接口）
				service : 'personalSetService.executeUpdateFirstLoginPWD',
				params : App.subData,
				// 是否自动显示等待层（默认true）
				// 允许自定义等待层提示信息（loadMask: '请稍后...'）
				// loadMask: true,
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					$("#step1").hide();
					$(".kindlyTips").hide();
					step.nextStep();
					$('#step2').show();
					pageFlage = "1";
					App.loginOutFn();
					Fw.LoadMask.hide();
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					// alert(status);
					// return false;
				}
			});
		},
		loginOutFn : function() {
			Fw.util.Ajax.execute({
				// 数据源（自定以URL）
				// 数据源（服务接口）
				service : 'loginService/executeLogout',
				// service: 'personalSet.MCUpdateUserChannelLoginId',
				// 请求参数
				params : {},
				// 是否自动显示等待层（默认true）
				// 允许自定义等待层提示信息（loadMask: '请稍后...'）
				// loadMask: true,
				// 是否使用数据挡板（默认false）
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					Fw.LoadMask.hide();
				},
				// 请求错误后回调
				failure : function(status, textStatus, error) {
					Fw.LoadMask.hide();
				}
			});
		},
		onButtonClick : function(e) {
			form.submit();
		},
		dropitemClick : function(data, index) {
			switch (data.tpType) {
			case "O":// 			
				checkWay = 'S&AP';
				App.subData._AuthMode = 'O';
				break;
			case "U":// 
				checkWay = 'U&AP';
				App.subData._AuthMode = 'U';
				break;
			}
			$("#authentication").val(data.tpname);
			App.subData._AuthMode = data.tpType;
		},
		/**
		 * 显示下拉弹框 根据客户端类型进行判断弹出内容
		 */
		dropdownClick : function() {
			// 如果是web端，弹出短信验证和uk验证 移动端弹出短信验证和IC卡验证
			if (Fw.isPhone) {
				dropDownList.show([ {
					"tpname" : "短信验证码支付",
					"tpType" : "O"
				} ]);
				$("#testChannal").hide();
			} else {
				dropDownList.show();
			}
		},
		
		/**
		 * 显示密码强度
		 */
		showStrong : function(data) {
			if (Fw.isEqual("1", data.strongV) || Fw.isEqual("0", data.strongV)) {
				$("#strong1").addClass("ui-bg-pwdcolor");
				$("#strong2").removeClass("ui-bg-pwdcolor");
				$("#strong3").removeClass("ui-bg-pwdcolor");
			} else if (Fw.isEqual("2", data.strongV)) {
				$("#strong1").addClass("ui-bg-pwdcolor");
				$("#strong2").addClass("ui-bg-pwdcolor");
				$("#strong3").removeClass("ui-bg-pwdcolor");
			} else if (Fw.isEqual("3", data.strongV)) {
				$("#strong1").addClass("ui-bg-pwdcolor");
				$("#strong2").addClass("ui-bg-pwdcolor");
				$("#strong3").addClass("ui-bg-pwdcolor");
			}
		},
		leftButtonHandler : function() {
			if (Fw.isEqual("1", pageFlage)) {
				Fw.device.Device.gotoLogin();
			} else if (Fw.isEqual("1", loginFlag)) {
				Fw.device.Device.gotoLogin();
			} else {
				if (Fw.isTouch) {
					Fw.gotoIndex();
				} else {
					Fw.redirect(Fw.getBasePath() + "/page/pageMenu/personalSet.html");
				}
			}
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);