/**
 * 创建应用
 */
App.Item1 = function() {
    var searchbar, listView;
    //
    return {
    	requires : ['Fw.ListView','Fw.Form',],
        viewConfig: {
            title: '交易权限设置',
            loadMask : true
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
            form = new Fw.Form({
                //EL
                contentEl : 'form',
                //是否激活重置事件（默认false）
                //单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
                resettable: false,
                //校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
                msgTarget: 'tips'
            });
            listView = new Fw.ListView({
                contentEl : 'list',
                ajax : {
                    service: 'accountService.queryAccount',
                     params: {
                    	 type : "7",//非定期借记账户
                     },
                    
                    rootProperty:'result.List',
                    page:false,
                    loadMask : false,
                },
                disclosure: true,
                
                itemTpl: [
				'<form id="form" class="ui-form  x-form" style="width:100%;">',
				'<div class="ui-form-item" style="padding-left:0px;height:30px; line-height: 30px;width:95%">',
//				'<label class="ui-nowrap" style="text-align:left;margin-left:20px;">${item.Department.Name} ${item.BankAcType|fmtBankAcType} ${item.No|fmtAcctNoEnd}</label>',
				'<label class="ui-nowrap" style="text-align:left;margin-left:20px;">${item.option}</label>',
				'{@if item.IsOpenFlag == "1"}',
				'<div style="width:100%;text-align:right;">开启</div>',
				'{@else if item.IsOpenFlag == "0"}',
				'<div style="width:100%;text-align:right;">关闭</div>',
				'{@/if}',
				'</div>',
				'</form>',
                ]
            });
            
            //初始化事件
            this.initEvents();
            
            //加载数据
            listView.loadData();
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
            listView.on('itemclick', this.onSelect, this);
            listView.ajax.on('query', this.onQuery, this);
            listView.ajax.on('error', this.onError, this);
        },
        /**
         * 选中记录时触发
         */
        onSelect : function(record, index, item, e, cmp) {
        	this.record=record;
            Fw.redirect('main1.html',record);
        },
        onError : function(record, index, item, e, cmp) {
        	Fw.LoadMask.hide();
        },
        onQuery : function(ajax, data, result) {
        	Fw.LoadMask.hide();
        	if (Fw.isEmpty(data)||data.length==0) {
        		Fw.Msg.info("请先加挂账户再进行查询",function(){
  				  $("#list").html("<p style='height: 45px;line-height: 45px;text-align:center;'>未查询到相关记录</p>");
  			  })
        	}
        },
        leftButtonHandler : function() {
        	if(Fw.isTouch){
                  Fw.gotoIndex();        		
        	}else{
        		Fw.redirect("../../pageMenu/moreMenu.html");
        	}
		}
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App.Item1);
