/**
 * 创建应用
 */
var App = function() {
	var form,idType,ActPerTrsLimit,ActPerDayLimit,ActPerYearLimit,ActPerCountLimit,IdNo;
	var BankActPerCountLimit,BankActPerDayLimit,BankActPerTrsLimit;
	var actPerTrsLimit,actPerDayLimit,actPerCountLimit;
	var record = Fw.getParameters()||{};
	//动账权限
	var isOpenFlag=record.IsOpenFlag;
	//银行账户类型
	var bankAcType=record.BankAcType;
	//卡号
	var AcNo=record.No;
	var flag;
	//
	return {
		/**
		 * 依赖组件
		 */
		requires : [
		// 表单
		'Fw.Form', 'Fw.PayControls',//安全键盘
        'Fw.Keyboard','Fw.app.Session'],
		/**
		 * 视图设置 设置标题栏、按钮等 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
		 */
		viewConfig : {
			/**
			 * 标题栏标题 如果为空或未设置，则标题栏不显示、左右按钮不显示
			 */
			title : '转账权限管理',
			/**
			 * 左边按钮（默认显示） 如果为false，则左边按钮不显示 leftButton: '左边按钮'
			 */
			leftButton : {
				// 自定义按钮标题（默认'返回'）
				text : '左边按钮',
			// 自定义按钮点击事件（默认App.leftButtonHandler）
			},
		/**
		 * 是否自动显示等待层（默认true） 需手动隐藏等待层
		 */
		 loadMask: true
		},
		/**
		 * 初始化 应用入口
		 */
		init : function(require) {
			// 定义表单
			form = new Fw.Form({
				// EL
				contentEl : 'form1',
				// 是否激活重置事件（默认false）
				// 单击输入框时，自动重置为初始值（仅处理文本输入框、多行文本输入框）
				resettable : false,
				// 校验提示方式（tips：浮动层、msg：弹出框，默认为tips）
				msgTarget : 'tips'
			});
			// 判断状态
			if (isOpenFlag == '1') {
				//个人转账限额查询  //有动账权限
				$('#limite').attr("src","image/checktrue.png");
				Fw.util.Ajax.query({
					socketAdapter : 'quotaManagementService/queryMCActTransLimitQry',
					// 请求参数
					params : {
						bankAcType : bankAcType,// 银行账户类型
						AcNo:AcNo//卡号
					},
					staticData : false,
					// 请求成功后回调
					success : function(data, result) {
						idType=data.IdType;
						App.showForm(data);
						$('#form1').show();
						$(".ui-btn-wrap").show();
						$('#ui_zh').addClass("ui-border-b")
						$('#ui_card').addClass("ui-border-b")
						//默认限额 
						BankActPerCountLimit=data.BankActPerCountLimit;//笔数
						BankActPerDayLimit=data.BankActPerDayLimit;//日累计
						BankActPerTrsLimit=data.BankActPerTrsLimit;//单笔
						//回显数据
						 actPerTrsLimit=data.ActPerTrsLimit;
						 actPerDayLimit=data.ActPerDayLimit;
						 actPerCountLimit=data.ActPerCountLimit;
						 
						 if(!Fw.isEmpty(data.ActPerDaySupLimit)){//如果有超限额字段,取超限额替代原行日累计
							 BankActPerDayLimit=data.ActPerDaySupLimit;
						 }
						 
						$("#one").val(Fw.util.Format.fmtAmt(actPerTrsLimit)).change();
						$("#two").val(Fw.util.Format.fmtAmt(actPerDayLimit)).change();
						$("#three").text(actPerCountLimit);
//						$("#three").text(BankActPerTrsLimit);
						$('#tipsSingleLimit').text(Fw.util.Format.fmtAmt(BankActPerTrsLimit));
						$('#tipsDayLimit').text(Fw.util.Format.fmtAmt(BankActPerDayLimit));
						flag = true;
						// 手动隐藏等待层
						Fw.LoadMask.hide();
					}
				});
			} else {
				$('#limite').attr("src","image/checkfalse.png");
				$('#ui_zh').removeClass("ui-border-b")
				$('#ui_card').removeClass("ui-border-b")
				$('#form1').hide();
				$(".ui-btn-wrap").hide();
				flag = false;
				// 手动隐藏等待层
				Fw.LoadMask.hide();
			}
			// 初始化事件
			this.initEvents();

		},
		/**
		 * 初始化事件
		 */
		initEvents : function() {
			$("#limite").on("click", Fw.bind(this.changes, this));
			$('#submit-btn').on('click', Fw.bind(this.doSubmit, this));
			Fw.Keyboard.onHidden = function() {
        		var inputVal = Fw.util.Format.fmtAmt($("#one").val());
    			$("#one").val(inputVal);
    			var inputVal1 = Fw.util.Format.fmtAmt($("#two").val());
    			$("#two").val(inputVal1);
    			
    			$('body').css({
             		'top': '0px'
             	});
        		//sm 还原Placeholder
 				if(Fw.isEmpty(this.target.val()) && !Fw.isEmpty(Fw.util.Storage.get(this.target.attr('name'))) ){
 					this.target.attr('placeholder',Fw.util.Storage.get(this.target.attr('name')));
 					Fw.util.Storage.remove(this.target.attr('name'));
 				}
				Fw.Keyboard.showKeyboard = true;
			};
			$('#one').on('blur',Fw.bind(this.formatMoney1,this));
			$('#two').on('blur',Fw.bind(this.formatMoney2,this));
		},
		formatMoney1 : function() {
			var inputVal = Fw.util.Format.fmtAmt($("#one").val());
			$("#one").val(inputVal);
		},
		formatMoney2 : function() {
			var inputVal = Fw.util.Format.fmtAmt($("#two").val());
			$("#two").val(inputVal);
		},
        field1Click:function(){
        	var m = Fw.util.Format.unFmtAmt($("#one").val());
			//保留小数点后的0
			var v=$("#one").val().trim()+"";
	    	if(v.indexOf("¥")==0){
	    	   v=v.substring(1,v.length);
	    	}
	    	v=v.replaceAll(",","");
	    	var money;
	    	if(v.indexOf('.')>11){
				money = v.slice(0,v.indexOf('.')-1)+v.slice(v.indexOf('.'), v.length);
			}else{
				money = v.slice(0,v.length-1);
			}
			if(!/^[0-9]+\.?(\d{2})?$/.test(v)){
				if(/^(([1-9]\d*)|0)(\.\d+)?$/.test(v)){
					if((v.length-v.indexOf('.')-1)>2){
						$("#one").val(money).change();
					}
				}else{
					$("#one").val(money).change();
				}
			}else{
				if(!/^[0-9]{1,11}([.][0-9]{1,2})?$/.test(m)){
 					$("#one").val(money).change();
				}
			}
        },
        field2Click:function(){
        	var m = Fw.util.Format.unFmtAmt($("#two").val());
			//保留小数点后的0
			var v=$("#two").val().trim()+"";
	    	if(v.indexOf("¥")==0){
	    	   v=v.substring(1,v.length);
	    	}
	    	v=v.replaceAll(",","");
	    	var money;
	    	if(v.indexOf('.')>11){
				money = v.slice(0,v.indexOf('.')-1)+v.slice(v.indexOf('.'), v.length);
			}else{
				money = v.slice(0,v.length-1);
			}
			if(!/^[0-9]+\.?(\d{2})?$/.test(v)){
				if(/^(([1-9]\d*)|0)(\.\d+)?$/.test(v)){
					if((v.length-v.indexOf('.')-1)>2){
						$("#two").val(money).change();
					}
				}else{
					$("#two").val(money).change();
				}
			}else{
				if(!/^[0-9]{1,11}([.][0-9]{1,2})?$/.test(m)){
 					$("#two").val(money).change();
				}
			}
        },
		changes : function() {
			if (flag) {
				Fw.Msg.cfm('该功能关闭后，您将无法进行动账类交易，再次开通，需至我行任一网点重新开通', function(
						code, btn, win) {
					if (code == 'yes'){
						App.close();
					} else if (code == 'no') {
						$('#ui_zh').addClass("ui-border-b")
						$('#ui_card').addClass("ui-border-b")
						$("#form1").show();
						$(".ui-btn-wrap").show();
						$('#limite').attr("src","image/checktrue.png");
						flag = true;
					}
				});
			} else {
				Fw.Msg.info('该账户未开通动账权限，请户主本人携带有效身份证件及银行账户至我行任一网点开通', function() {
					$("#form1").hide();
					$('#limite').attr("src","image/checkfalse.png");
					$(".ui-btn-wrap").hide();
					Fw.redirect(Fw.getBasePath()+"/page/pub/quotaManagement/main.html");
					flag = false;
				});
			}
		},
		close:function(){
			var params={
						BankAcType : bankAcType,// 银行账户类型
						AcNo:AcNo,//卡号
						TransferFlag:'C',
			};
			Fw.util.Ajax.execute({
				service : 'quotaManagementService/executeMCActTransLimitManager',
				// 请求参数
				params:params,				
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					//关闭接口
					$("#form1").hide();
					$('#limite').attr("src","image/checkfalse.png");
					$(".ui-btn-wrap").hide();
					$('#ui_zh').removeClass("ui-border-b")
					$('#ui_card').removeClass("ui-border-b")
					flag = false;
				}
			});
		},
		/**
		 * 提交表单   显示窗口
		 */
		doSubmit : function() {
			//获取身份证信息
			var idN=Fw.app.Session.getIdentno();
			var cardId=$("#card").val(); 
			 //获取修改信息
			 ActPerTrsLimit=Fw.util.Format.unFmtAmt($('#one').val());
        	 ActPerDayLimit=Fw.util.Format.unFmtAmt($('#two').val());
        	 ActPerYearLimit=Fw.util.Format.unFmtAmt($('#YearLimit').text());
        	 ActPerCountLimit=$('#three').text();
        	 IdNo=$("#card").val();
        	 if(Fw.isEmpty($('#one').val())){
        		 Fw.Tips.info("请输入单笔转账限额");
        	 }else if(ActPerTrsLimit==0){
        		 Fw.Tips.info("单笔转账限额不能为0");
        	 }else if (Fw.isEmpty($('#two').val())) {
        		 Fw.Tips.info("请输入单日累计转账限额");
			}else if (ActPerDayLimit==0) {
        		 Fw.Tips.info("单日累计转账限额不能为0");
			}else if(IdNo==""){
       		 	Fw.Tips.info("请输入证件号码");
       		 }else if(ActPerTrsLimit > BankActPerTrsLimit){
        		 Fw.Msg.info("您设置的单笔限额超过系统最大可用限额，请重新设置");
        	 }else if(ActPerDayLimit > BankActPerDayLimit){
        		 Fw.Msg.info("您设置的单日累计限额超过系统最大可用限额，请重新设置");
        	 }else if(idN==cardId){
				var showInfo = [];
				var cardNews = {
            			cardNo : AcNo,
            			passwordType : 'T',//T代表借记卡 B代表信用卡
            	}
	    		/**
	    		 * type
	    		 * 
	    		 * S&AP  短信验证码+账户密码
	    		 * U&AP  U-key密码+账户密码(pc端)
	    		 * AP    账户密码
	    		 * CTP   信用卡交易密码
	    		 * SMS   短信验证码
	    		 * IC&AP IC卡+账户密码(手机端)
	    		 */
	    	Fw.device.Device.payControls('AP',showInfo,'App.onPayControlsSubmit',{},cardNews);
			}else{
				Fw.Msg.info("证件号码错误，请重新输入")
			}
			
		},
        /**
         * @param record 控件信息
         */
        onPayControlsSubmit: function(record, type, win){
        	if(!win || "false"==win){
				record = Fw.decode(record);
			}
        	var pwd=record.pwd;
        	Fw.util.Ajax.execute({
				service : 'quotaManagementService/executeMCActTransLimitManager',
				// 请求参数
				params:{
					    BankAcType : bankAcType,// 银行账户类型
						AcNo:AcNo,//卡号
						TransferFlag:'N',
						ActPerTrsLimit:ActPerTrsLimit,
						ActPerDayLimit:ActPerDayLimit,
						ActPerYearLimit:ActPerYearLimit,
						ActPerCountLimit:ActPerCountLimit,
						IdType:idType,
						IdNo:IdNo,
				},				
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
					if(Fw.isTouch){
						Fw.redirect('main3.html',{index:"0"})
						}else{
						Fw.redirect(Fw.getBasePath()+'/page/pub/quotaManagement/main3.html',{index:"0"})
					}
				}
			}); 
//        	byFinanceService/executeAcntPassword
        	/*Fw.util.Ajax.execute({
				service : 'financeService/executeAcntPassword',
				// 请求参数
				params:{
					validateFlag:'0',
					'accountNo':AcNo,
					accountBankAcType:bankAcType,
					passwordType:'T',
					'pwd':pwd,
				},				
				staticData : false,
				// 请求成功后回调
				success : function(data, result) {
		        	
				}
			});*/
        	
        	
				
        },
        //回显限额信息
        showForm : function(data) {
			var items = $('#form1').find('[data-name]');
			var name = '', el;
			items.each(function(index, item) {
				el = $(item);
				name = el.attr('data-name');
				//金额格式化
				if(name=="ActPerTrsLimit" || name=="ActPerDayLimit" || name=="ActPerYearLimit"){
					data[name] = Fw.util.Format.fmtAmt(data[name]);
					el.html(data[name]);
					return;
				}
				//证件类型
				if (name == "IdType") {
					var dic={
							"P00":"身份证",
							"P01":"军官证",
							"P02":"文职干部证",
							"P03":"警官证",
							"P04":"士兵军人证",
							"P05":"中国护照",
							"P06":"港澳台居民身份证",
							"P07":"户口簿",
							"P08":"边民出入境通行证",
							"P09":"外国人永久居留证",
							"P10":"临时身份证",
							"P11":"离休干部荣誉证",
							"P12":"武警警官证誉证补折",
							"P13":"台湾居民往来通行证",
							"P14":"军官退休证",
							"P15":"文职干部退休证",
							"P16":"军事院校学员证",
							"P17":"武警士兵证",
							"P18":"武警文职干部证",
							"P19":"武警军官退休证",
							"P20":"武警文职干部退休证",
							"P21":"驾驶执照",
							"P22":"旧身份证",
							"P23":"外国护照",
							"P24":"工作证",
							"P25":"股金过渡证件",
							"P26":"中华人民共和国旅行证",
							"P27":"村民委员会居民证",
							"P28":"个体工商户营业执照(年检)",
							"P29":"港澳居民往来通行证",
							"P30":"其他有效旅行证件", 
							"P99":"个人其他",
							"E01":"组织机构代码证",
							"E02":"营业执照",
							"E03":"企业名称核准书",
							"E04":"政府机构/公共机构批文",
							"E05":"香港商业登记证",
							"E06":"开户证明",
							"E07":"军队开户许可证",
							"E08":"社会团体证",
							"E09":"非法人组织机构代码证",
							"E10":"金融许可证",
							"E11":"企业（法人）代码证",
							"E12":"国税登记证",
							"E13":"地税登记证",
							"E14":"主管部门的批文或证明",
							"E99":"企业其他",
						
						};
					
					if(Fw.isEmpty(dic[data[name]])){
						data[name] ="居民身份证";
						el.html(data[name]);
						return;
					}else{
						data[name] =dic[data[name]];
						el.html(data[name]);
						return;
					}
					
				}
					
					
			});
		},
        leftButtonHandler : function() {
        	var params={
        		index:'0'	
        	};
        	Fw.redirect("main.html",params);
		}
	};
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
