/**
 * 创建应用
 */
var App = function() {
    var searchbar, listView;
    //
    return {
        /**
         * 依赖组件
         */
        requires : [
            //列表
            'Fw.ListView'
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '预约转账查询',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            //loadMask: false
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
            //定义列表
            listView = new Fw.ListView({
                contentEl : 'form',
                ajax : {
                    service: 'queryService.querybalance',
                    pageSize: 10,
                    staticData: true
                },
                disclosure: false,
                itemTpl: [
						'<form style="width:100%;border-top:1px solid #E6E6E6;padding-top:5px;" class="ui-form">',   
						'<div class="ui-form-item" style="padding-left:0px;height:34px; line-height: 34px;">',
							'<label style="text-align:left;margin-left:0px;color:#333;">登记日期</label>',
							'<div style="text-align: right;">${item.record_date|fmtDate,"yyyy-MM-dd"}</div>', 
						'</div>',
						'<div class="ui-form-item" style="padding-left:0px;height:34px; line-height: 34px;">',
							'<label style="text-align:left;margin-left:0px;color:#333;" >收款账号</label>',
							'<div style="text-align: right;" >${item.account_accept|fmtAcctNo}</div>', 
						'</div>',
						'<div class="ui-form-item" style="padding-left:0px;height:34px; line-height: 34px;">',
							'<label style="text-align:left;margin-left:0px;color:#333;" >收款人</label>',
							'<div style="text-align: right;" >${item.name_accept}</div>', 
						'</div>',
						'<div class="ui-form-item" style="padding-left:0px;height:34px; line-height: 34px;">',
							'<label style="text-align:left;margin-left:0px;color:#333;" >预约金额</label>',
							'<div style="text-align: right;color:#ef2525;" >${item.booking_amount|fmtAmt}</div>', 
						/*'</div>',
							'<div class="ui-form-item" style="padding-left:0px;height:34px; line-height: 34px;">',
							'<label style="text-align:left;margin-left:15px;color:#333;" >转账周期</label>',
							'<div style="text-align: right;" >${item.transfer_time}</div>', 
						'</div>',
						'<div class="ui-row-flex" style="border-top:1px solid #E6E6E6;height:40px;padding-top:6px;background-color:#fcfcfc;" >',
							'<div class="ui-col-3 ui-border-r queryTransfer" style="text-align:center;height:28px;line-height:28px;color:#60B2fb;font-size:14px;">查询预约信息</div>',
							'<div class="ui-col-3 ui-border-r queryRecord" style="text-align:center;height:28px;line-height:28px;color:#60B2fb;font-size:14px;">查询转账记录</div>',
							'<div class="ui-col-2 delTransfer DelQueryTransfer" style="text-align:center;height:28px;line-height:28px;color:#60B2fb;font-size:14px;">撤销预约</div>',
						'</div>',*/
						'</form>'
                ]
            });
            this.initEvents();
            listView.loadData();
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	//$("#queryTransfer").on('click', this.queryTransferClick, this);
            //选中记录时触发
            listView.on('itemclick', this.onSelect, this);
            //渲染到页面前触发
        	listView.on('beforeitemadd', this.onBeforeAddItem, this);
            //查询数据前触发
            listView.ajax.on('beforequery', this.onBeforeQuery, this);
            //查询数据后触发
            listView.ajax.on('query', this.onQuery, this);
        },
        /**
         * 选中记录时触发
         */
        onSelect : function(record, index, item, e, cmp) {
        	//转账
        	console.log(e.target);
        	Fw.redirect('queryTransferDetail.html',record);
           /* if($(e.target).hasClass('queryTransfer')){
            	Fw.redirect('queryTransferDetail.html',record);
            }else if($(e.target).hasClass('queryRecord')){
            	Fw.redirect('queryTransferRecord.html',record);
            }else if($(e.target).hasClass('DelQueryTransfer')){
            	Fw.Msg.cfm('确定撤销预约？', function(code, btn, win){
            		if(code=="yes"){
            			Fw.Msg.info('撤销成功', function(){
            				//删除该条撤销记录，发请求
            			});
            		}
                });
            }*/
        },
        /**
         * 渲染到页面前触发
         */
        onBeforeAddItem: function(record, index, cmp){
            //不显示向右箭头
            // this.disclosure = false;
            //不渲染当前记录
            // return false;
        },
        /**
         * 查询数据前触发
         * @param {Object} Ajax对象
         * @param {Object} 请求报文
         * @param {String} 请求路径
         */
        onBeforeQuery : function(ajax, message, url) {
            //设置查询条件
            // ajax.setParams('p1', '11123');
            //设置排序方式
            // ajax.setSorts('col12', 'asc');
            //return false; //则不加载
        },
        /**
         * 查询数据后触发
         * @param {Object} Ajax对象
         * @param {Object} 响应数据（result[Fw.Ajax.rootProperty]部分）
         * @param {Object} 响应数据（全部）
         */
        onQuery : function(ajax, data, result) {
            // alert(Fw.encode(data));
        }
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
