/**
 * 创建应用
 */
var App = function() {
    var searchbar, listView;
    //
    return {
        /**
         * 依赖组件
         */
        requires : [
            //列表
            'Fw.ListView'
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '预约转账查询',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 是否自动显示等待层（默认true）
             * 需手动隐藏等待层
             */
            //loadMask: false
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function(require) {
            //定义列表
            listView = new Fw.ListView({
                contentEl : 'form',
                ajax : {
                    service: 'queryService.querybalance',
                    pageSize: 10,
                    staticData: true
                },
                disclosure: false,
                itemTpl: [
					'<form style="width:100%;border-top:1px solid #E6E6E6;border-bottom:1px solid #E6E6E6;" class="ui-form">',   
						'<div class="ui-form-item" style="padding-left:0px;height:28px; line-height: 28px;">',
							'<label style="text-align:left;margin-left:5px;color:#333;">执行日期</label>',
							'<div style="text-align: right;">${item.record_date|fmtDate,"yyyy-MM-dd"}</div>', 
						'</div>',
						'<div class="ui-form-item" style="padding-left:0px;height:34px; line-height: 34px;">',
							'<label style="text-align:left;margin-left:5px;color:#333;" >付款账号</label>',
							'<div style="text-align: right;" >${item.account_pay|fmtAcctNo,"true"}</div>', 
						'</div>',
						'<div class="ui-form-item" style="padding-left:0px;height:34px; line-height: 34px;">',
							'<label style="text-align:left;margin-left:5px;color:#333;" >收款账号</label>',
							'<div style="text-align: right;" >${item.account_accept|fmtAcctNo,"true"}</div>', 
						'</div>',
						'<div class="ui-form-item" style="padding-left:0px;height:34px; line-height: 34px;">',
							'<label style="text-align:left;margin-left:5px;color:#333;" >收款人</label>',
							'<div style="text-align: right;" >${item.name_accept}</div>', 
						'</div>',
						'<div class="ui-form-item" style="padding-left:0px;height:34px; line-height: 34px;">',
							'<label style="text-align:left;margin-left:5px;color:#333;" >转账金额</label>',
							'<div style="text-align: right;color:#ef2525;" >${item.booking_amount|fmtAmt}</div>', 
						'</div>',
						'<div class="ui-form-item" style="padding-left:0px;height:34px; line-height: 34px;">',
							'<label style="text-align:left;margin-left:5px;color:#333;" >手续费</label>',
							'<div style="text-align: right;" >${item.poundage|fmtAmt}</div>', 
						'</div>',
						'<div class="ui-form-item" style="padding-left:0px;height:34px; line-height: 34px;">',
							'<label style="text-align:left;margin-left:5px;color:#333;" >用途</label>',
							'<div style="text-align: right;" >${item.use}</div>', 
						'</div>',
						'<div class="ui-form-item" style="padding-left:0px;height:34px; line-height: 34px;">',
							'<label style="text-align:left;margin-left:5px;color:#333;" >是否成功</label>',
							'<div style="text-align: right;" >${item.whether_successful}</div>', 
						'</div>',
					'</form>'
                ]
            });
            this.initEvents();
            listView.loadData();
        },
        /**
         * 初始化事件
         */
        initEvents: function(){
        	//$("#queryTransfer").on('click', this.queryTransferClick, this);
            //选中记录时触发
            listView.on('itemclick', this.onSelect, this);
            //渲染到页面前触发
        	listView.on('beforeitemadd', this.onBeforeAddItem, this);
            //查询数据前触发
            listView.ajax.on('beforequery', this.onBeforeQuery, this);
            //查询数据后触发
            listView.ajax.on('query', this.onQuery, this);
        },
        /**
         * 选中记录时触发
         */
        onSelect : function(record, index, item, e, cmp) {},
        /**
         * 渲染到页面前触发
         */
        onBeforeAddItem: function(record, index, cmp){
            //不显示向右箭头
            // this.disclosure = false;
            //不渲染当前记录
            // return false;
        },
        /**
         * 查询数据前触发
         * @param {Object} Ajax对象
         * @param {Object} 请求报文
         * @param {String} 请求路径
         */
        onBeforeQuery : function(ajax, message, url) {
            //设置查询条件
            // ajax.setParams('p1', '11123');
            //设置排序方式
            // ajax.setSorts('col12', 'asc');
            //return false; //则不加载
        },
        /**
         * 查询数据后触发
         * @param {Object} Ajax对象
         * @param {Object} 响应数据（result[Fw.Ajax.rootProperty]部分）
         * @param {Object} 响应数据（全部）
         */
        onQuery : function(ajax, data, result) {
            // alert(Fw.encode(data));
        }
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
