/**
 * 创建应用
 */
var App = function() {
	var listView;
    return {
        /**
         * 依赖组件
         */
        requires: [
           //
           'Fw.ListView',
        ],
        /**
         * 视图设置
         * 设置标题栏、按钮等
         * 如果为空或未设置，则标题栏不显示、左右按钮不显示、等待层不自动显示
         */
        viewConfig: {
            /**
             * 标题栏标题
             * 如果为空或未设置，则标题栏不显示、左右按钮不显示
             */
            title: '登录记录查询',
            /**
             * 左边按钮（默认显示）
             * 如果为false，则左边按钮不显示
             * leftButton: '左边按钮'
             */
            leftButton: {
                //自定义按钮标题（默认'返回'）
                text: '左边按钮',
                //自定义按钮点击事件（默认App.leftButtonHandler）
                //handler: XXX
            },
            /**
             * 右边按钮（默认不显示）
             * rightButton: '右边按钮'
             */
//            rightButton: false
            loadMask: true
        },
        /**
         * 初始化
         * 应用入口
         */
        init : function() {
        	//定义列表
            listView = new Fw.ListView({
                //EL
                contentEl : 'list',
                //数据请求对象（为空时，可通过loadData加载静态数据，但不支持beforequery、query事件）
                ajax : {
                    //数据源（服务接口）
                    service: 'transferService.queryloginEntry',
//                    socketAdapter:'transferService/queryLoginEntry',
                    //请求参数
//                     params: {
//                         name: '名称'
//                     },
                    
                    rootProperty:'result.List',
                    //是否自动显示等待层（默认true）
                    //允许自定义等待层提示信息（loadMask: '请稍后...'）
                    //loadMask: true,
                    //简单分页组件（只显示上一页、下一页，默认false）
//                     simplePage: true,
                    //分页参数
                    pageSize: 10,
                    page:true,
                    //是否使用数据挡板（默认false）
//                    staticData: true
                    staticData: false
                },
                //向右箭头（默认false）
                disclosure: false,
                //数据展现模版
                itemTpl: [
                      	'<div>',
  	                        '<div class="font-26-c">登录设备：',
                      	'{@if item.ClientLoginType=="PC"}电脑端',
                      	'{@else}手机端{@/if}',
                      	'{@if item.LoginDeviceType!= null}(${item.LoginDeviceType})',
                      	'{@/if}',
                      	'</div>',
  	                    '<div class="font-26-c">登录时间：${item.AccessTimeStamp}</div>',
                      	'</div>',
                ]
            });
            
            this.initEvents();
            //加载数据
            listView.loadData();
           
        },
        /**
         * 初始化事件
         * 
         */
        initEvents: function(){
        	//选中记录时触发
            listView.on('itemclick', this.onSelect, this);
            //渲染到页面前触发
        	listView.on('beforeitemadd', this.onBeforeAddItem, this);
        },
        onSelect:function(record, index, item, e, cmp){
        	
        },
        onBeforeAddItem: function(record, index, cmp){
            //不显示向右箭头
            // this.disclosure = false;
            //不渲染当前记录
            // return false;
        	
        },
        leftButtonHandler:function(){
    		if(Fw.isPhone){
    			Fw.gotoIndex();
    		}else{
    			Fw.redirect(Fw.getBasePath() +"/page/pageMenu/systemManage.html")
    		}
        		
        }
    };
}();

/**
 * 页面加载完毕后，初始化应用
 */
Fw.onReady(App);
